/*
This file is part of Telegram Desktop,
an unofficial desktop messaging app, see https://telegram.org

Telegram Desktop is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

It is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

Full license: https://github.com/telegramdesktop/tdesktop/blob/master/LICENSE
Copyright (c) 2014 John Preston, https://tdesktop.com
*/
#include "stdafx.h"
#include "gui/emoji_config.h"

namespace {
	EmojiData *emojis = 0;
	char emojisData[sizeof(EmojiData) * 845];
}

void initEmoji() {
	EmojiData *toFill = emojis = (EmojiData*)emojisData;

	switch (cScale()) {

	case dbisOne:
		new (toFill++) EmojiData(176, 0, 169, 0, 1);
		new (toFill++) EmojiData(192, 0, 174, 0, 1);
		new (toFill++) EmojiData(208, 0, 8252, 0, 1);
		new (toFill++) EmojiData(224, 0, 8265, 0, 1);
		new (toFill++) EmojiData(240, 0, 8482, 0, 1);
		new (toFill++) EmojiData(256, 0, 8505, 0, 1);
		new (toFill++) EmojiData(272, 0, 8596, 0, 1);
		new (toFill++) EmojiData(288, 0, 8597, 0, 1);
		new (toFill++) EmojiData(304, 0, 8598, 0, 1);
		new (toFill++) EmojiData(320, 0, 8599, 0, 1);
		new (toFill++) EmojiData(336, 0, 8600, 0, 1);
		new (toFill++) EmojiData(352, 0, 8601, 0, 1);
		new (toFill++) EmojiData(368, 0, 8617, 0, 1);
		new (toFill++) EmojiData(384, 0, 8618, 0, 1);
		new (toFill++) EmojiData(400, 0, 8986, 0, 1);
		new (toFill++) EmojiData(416, 0, 8987, 0, 1);
		new (toFill++) EmojiData(432, 0, 9193, 0, 1);
		new (toFill++) EmojiData(448, 0, 9194, 0, 1);
		new (toFill++) EmojiData(464, 0, 9195, 0, 1);
		new (toFill++) EmojiData(480, 0, 9196, 0, 1);
		new (toFill++) EmojiData(496, 0, 9200, 0, 1);
		new (toFill++) EmojiData(512, 0, 9203, 0, 1);
		new (toFill++) EmojiData(528, 0, 9410, 0, 1);
		new (toFill++) EmojiData(544, 0, 9642, 0, 1);
		new (toFill++) EmojiData(560, 0, 9643, 0, 1);
		new (toFill++) EmojiData(576, 0, 9654, 0, 1);
		new (toFill++) EmojiData(592, 0, 9664, 0, 1);
		new (toFill++) EmojiData(608, 0, 9723, 0, 1);
		new (toFill++) EmojiData(624, 0, 9724, 0, 1);
		new (toFill++) EmojiData(0, 16, 9725, 0, 1);
		new (toFill++) EmojiData(16, 16, 9726, 0, 1);
		new (toFill++) EmojiData(32, 16, 9728, 0, 1);
		new (toFill++) EmojiData(48, 16, 9729, 0, 1);
		new (toFill++) EmojiData(64, 16, 9742, 0, 1);
		new (toFill++) EmojiData(80, 16, 9745, 0, 1);
		new (toFill++) EmojiData(96, 16, 9748, 0, 1);
		new (toFill++) EmojiData(112, 16, 9749, 0, 1);
		new (toFill++) EmojiData(128, 16, 9757, 0, 1);
		new (toFill++) EmojiData(144, 16, 9786, 0, 1);
		new (toFill++) EmojiData(160, 16, 9800, 0, 1);
		new (toFill++) EmojiData(176, 16, 9801, 0, 1);
		new (toFill++) EmojiData(192, 16, 9802, 0, 1);
		new (toFill++) EmojiData(208, 16, 9803, 0, 1);
		new (toFill++) EmojiData(224, 16, 9804, 0, 1);
		new (toFill++) EmojiData(240, 16, 9805, 0, 1);
		new (toFill++) EmojiData(256, 16, 9806, 0, 1);
		new (toFill++) EmojiData(272, 16, 9807, 0, 1);
		new (toFill++) EmojiData(288, 16, 9808, 0, 1);
		new (toFill++) EmojiData(304, 16, 9809, 0, 1);
		new (toFill++) EmojiData(320, 16, 9810, 0, 1);
		new (toFill++) EmojiData(336, 16, 9811, 0, 1);
		new (toFill++) EmojiData(352, 16, 9824, 0, 1);
		new (toFill++) EmojiData(368, 16, 9827, 0, 1);
		new (toFill++) EmojiData(384, 16, 9829, 0, 1);
		new (toFill++) EmojiData(400, 16, 9830, 0, 1);
		new (toFill++) EmojiData(416, 16, 9832, 0, 1);
		new (toFill++) EmojiData(432, 16, 9851, 0, 1);
		new (toFill++) EmojiData(448, 16, 9855, 0, 1);
		new (toFill++) EmojiData(464, 16, 9875, 0, 1);
		new (toFill++) EmojiData(480, 16, 9888, 0, 1);
		new (toFill++) EmojiData(496, 16, 9889, 0, 1);
		new (toFill++) EmojiData(512, 16, 9898, 0, 1);
		new (toFill++) EmojiData(528, 16, 9899, 0, 1);
		new (toFill++) EmojiData(544, 16, 9917, 0, 1);
		new (toFill++) EmojiData(560, 16, 9918, 0, 1);
		new (toFill++) EmojiData(576, 16, 9924, 0, 1);
		new (toFill++) EmojiData(592, 16, 9925, 0, 1);
		new (toFill++) EmojiData(608, 16, 9934, 0, 1);
		new (toFill++) EmojiData(624, 16, 9940, 0, 1);
		new (toFill++) EmojiData(0, 32, 9962, 0, 1);
		new (toFill++) EmojiData(16, 32, 9970, 0, 1);
		new (toFill++) EmojiData(32, 32, 9971, 0, 1);
		new (toFill++) EmojiData(48, 32, 9973, 0, 1);
		new (toFill++) EmojiData(64, 32, 9978, 0, 1);
		new (toFill++) EmojiData(80, 32, 9981, 0, 1);
		new (toFill++) EmojiData(96, 32, 9986, 0, 1);
		new (toFill++) EmojiData(112, 32, 9989, 0, 1);
		new (toFill++) EmojiData(128, 32, 9992, 0, 1);
		new (toFill++) EmojiData(144, 32, 9993, 0, 1);
		new (toFill++) EmojiData(160, 32, 9994, 0, 1);
		new (toFill++) EmojiData(176, 32, 9995, 0, 1);
		new (toFill++) EmojiData(192, 32, 9996, 0, 1);
		new (toFill++) EmojiData(208, 32, 9999, 0, 1);
		new (toFill++) EmojiData(224, 32, 10002, 0, 1);
		new (toFill++) EmojiData(240, 32, 10004, 0, 1);
		new (toFill++) EmojiData(256, 32, 10006, 0, 1);
		new (toFill++) EmojiData(272, 32, 10024, 0, 1);
		new (toFill++) EmojiData(288, 32, 10035, 0, 1);
		new (toFill++) EmojiData(304, 32, 10036, 0, 1);
		new (toFill++) EmojiData(320, 32, 10052, 0, 1);
		new (toFill++) EmojiData(336, 32, 10055, 0, 1);
		new (toFill++) EmojiData(352, 32, 10060, 0, 1);
		new (toFill++) EmojiData(368, 32, 10062, 0, 1);
		new (toFill++) EmojiData(384, 32, 10067, 0, 1);
		new (toFill++) EmojiData(400, 32, 10068, 0, 1);
		new (toFill++) EmojiData(416, 32, 10069, 0, 1);
		new (toFill++) EmojiData(432, 32, 10071, 0, 1);
		new (toFill++) EmojiData(448, 32, 10084, 0, 1);
		new (toFill++) EmojiData(464, 32, 10133, 0, 1);
		new (toFill++) EmojiData(480, 32, 10134, 0, 1);
		new (toFill++) EmojiData(496, 32, 10135, 0, 1);
		new (toFill++) EmojiData(512, 32, 10145, 0, 1);
		new (toFill++) EmojiData(528, 32, 10160, 0, 1);
		new (toFill++) EmojiData(544, 32, 10175, 0, 1);
		new (toFill++) EmojiData(560, 32, 10548, 0, 1);
		new (toFill++) EmojiData(576, 32, 10549, 0, 1);
		new (toFill++) EmojiData(592, 32, 11013, 0, 1);
		new (toFill++) EmojiData(608, 32, 11014, 0, 1);
		new (toFill++) EmojiData(624, 32, 11015, 0, 1);
		new (toFill++) EmojiData(0, 48, 11035, 0, 1);
		new (toFill++) EmojiData(16, 48, 11036, 0, 1);
		new (toFill++) EmojiData(32, 48, 11088, 0, 1);
		new (toFill++) EmojiData(48, 48, 11093, 0, 1);
		new (toFill++) EmojiData(64, 48, 12336, 0, 1);
		new (toFill++) EmojiData(80, 48, 12349, 0, 1);
		new (toFill++) EmojiData(96, 48, 12951, 0, 1);
		new (toFill++) EmojiData(112, 48, 12953, 0, 1);
		new (toFill++) EmojiData(0, 0, 2302179, 0, 2);
		new (toFill++) EmojiData(16, 0, 3154147, 0, 2);
		new (toFill++) EmojiData(32, 0, 3219683, 0, 2);
		new (toFill++) EmojiData(48, 0, 3285219, 0, 2);
		new (toFill++) EmojiData(64, 0, 3350755, 0, 2);
		new (toFill++) EmojiData(80, 0, 3416291, 0, 2);
		new (toFill++) EmojiData(96, 0, 3481827, 0, 2);
		new (toFill++) EmojiData(112, 0, 3547363, 0, 2);
		new (toFill++) EmojiData(128, 0, 3612899, 0, 2);
		new (toFill++) EmojiData(144, 0, 3678435, 0, 2);
		new (toFill++) EmojiData(160, 0, 3743971, 0, 2);
		new (toFill++) EmojiData(128, 48, 3627867140, 0, 2);
		new (toFill++) EmojiData(144, 48, 3627867343, 0, 2);
		new (toFill++) EmojiData(160, 48, 3627867504, 0, 2);
		new (toFill++) EmojiData(176, 48, 3627867505, 0, 2);
		new (toFill++) EmojiData(192, 48, 3627867518, 0, 2);
		new (toFill++) EmojiData(208, 48, 3627867519, 0, 2);
		new (toFill++) EmojiData(224, 48, 3627867534, 0, 2);
		new (toFill++) EmojiData(240, 48, 3627867537, 0, 2);
		new (toFill++) EmojiData(256, 48, 3627867538, 0, 2);
		new (toFill++) EmojiData(272, 48, 3627867539, 0, 2);
		new (toFill++) EmojiData(288, 48, 3627867540, 0, 2);
		new (toFill++) EmojiData(304, 48, 3627867541, 0, 2);
		new (toFill++) EmojiData(320, 48, 3627867542, 0, 2);
		new (toFill++) EmojiData(336, 48, 3627867543, 0, 2);
		new (toFill++) EmojiData(352, 48, 3627867544, 0, 2);
		new (toFill++) EmojiData(368, 48, 3627867545, 0, 2);
		new (toFill++) EmojiData(384, 48, 3627867546, 0, 2);
		new (toFill++) EmojiData(400, 48, 3627867624, 3627867635, 4);
		new (toFill++) EmojiData(416, 48, 3627867625, 3627867626, 4);
		new (toFill++) EmojiData(432, 48, 3627867626, 3627867640, 4);
		new (toFill++) EmojiData(448, 48, 3627867627, 3627867639, 4);
		new (toFill++) EmojiData(464, 48, 3627867628, 3627867623, 4);
		new (toFill++) EmojiData(480, 48, 3627867630, 3627867641, 4);
		new (toFill++) EmojiData(496, 48, 3627867631, 3627867637, 4);
		new (toFill++) EmojiData(512, 48, 3627867632, 3627867639, 4);
		new (toFill++) EmojiData(528, 48, 3627867639, 3627867642, 4);
		new (toFill++) EmojiData(544, 48, 3627867642, 3627867640, 4);
		new (toFill++) EmojiData(560, 48, 3627867649, 0, 2);
		new (toFill++) EmojiData(576, 48, 3627867650, 0, 2);
		new (toFill++) EmojiData(592, 48, 3627867674, 0, 2);
		new (toFill++) EmojiData(608, 48, 3627867695, 0, 2);
		new (toFill++) EmojiData(624, 48, 3627867698, 0, 2);
		new (toFill++) EmojiData(0, 64, 3627867699, 0, 2);
		new (toFill++) EmojiData(16, 64, 3627867700, 0, 2);
		new (toFill++) EmojiData(32, 64, 3627867701, 0, 2);
		new (toFill++) EmojiData(48, 64, 3627867702, 0, 2);
		new (toFill++) EmojiData(64, 64, 3627867703, 0, 2);
		new (toFill++) EmojiData(80, 64, 3627867704, 0, 2);
		new (toFill++) EmojiData(96, 64, 3627867705, 0, 2);
		new (toFill++) EmojiData(112, 64, 3627867706, 0, 2);
		new (toFill++) EmojiData(128, 64, 3627867728, 0, 2);
		new (toFill++) EmojiData(144, 64, 3627867729, 0, 2);
		new (toFill++) EmojiData(160, 64, 3627867904, 0, 2);
		new (toFill++) EmojiData(176, 64, 3627867905, 0, 2);
		new (toFill++) EmojiData(192, 64, 3627867906, 0, 2);
		new (toFill++) EmojiData(208, 64, 3627867907, 0, 2);
		new (toFill++) EmojiData(224, 64, 3627867908, 0, 2);
		new (toFill++) EmojiData(240, 64, 3627867909, 0, 2);
		new (toFill++) EmojiData(256, 64, 3627867910, 0, 2);
		new (toFill++) EmojiData(272, 64, 3627867911, 0, 2);
		new (toFill++) EmojiData(288, 64, 3627867912, 0, 2);
		new (toFill++) EmojiData(304, 64, 3627867913, 0, 2);
		new (toFill++) EmojiData(320, 64, 3627867914, 0, 2);
		new (toFill++) EmojiData(336, 64, 3627867915, 0, 2);
		new (toFill++) EmojiData(352, 64, 3627867916, 0, 2);
		new (toFill++) EmojiData(368, 64, 3627867917, 0, 2);
		new (toFill++) EmojiData(384, 64, 3627867918, 0, 2);
		new (toFill++) EmojiData(400, 64, 3627867919, 0, 2);
		new (toFill++) EmojiData(416, 64, 3627867920, 0, 2);
		new (toFill++) EmojiData(432, 64, 3627867921, 0, 2);
		new (toFill++) EmojiData(448, 64, 3627867922, 0, 2);
		new (toFill++) EmojiData(464, 64, 3627867923, 0, 2);
		new (toFill++) EmojiData(480, 64, 3627867924, 0, 2);
		new (toFill++) EmojiData(496, 64, 3627867925, 0, 2);
		new (toFill++) EmojiData(512, 64, 3627867926, 0, 2);
		new (toFill++) EmojiData(528, 64, 3627867927, 0, 2);
		new (toFill++) EmojiData(544, 64, 3627867928, 0, 2);
		new (toFill++) EmojiData(560, 64, 3627867929, 0, 2);
		new (toFill++) EmojiData(576, 64, 3627867930, 0, 2);
		new (toFill++) EmojiData(592, 64, 3627867931, 0, 2);
		new (toFill++) EmojiData(608, 64, 3627867932, 0, 2);
		new (toFill++) EmojiData(624, 64, 3627867933, 0, 2);
		new (toFill++) EmojiData(0, 80, 3627867934, 0, 2);
		new (toFill++) EmojiData(16, 80, 3627867935, 0, 2);
		new (toFill++) EmojiData(32, 80, 3627867936, 0, 2);
		new (toFill++) EmojiData(48, 80, 3627867952, 0, 2);
		new (toFill++) EmojiData(64, 80, 3627867953, 0, 2);
		new (toFill++) EmojiData(80, 80, 3627867954, 0, 2);
		new (toFill++) EmojiData(96, 80, 3627867955, 0, 2);
		new (toFill++) EmojiData(112, 80, 3627867956, 0, 2);
		new (toFill++) EmojiData(128, 80, 3627867957, 0, 2);
		new (toFill++) EmojiData(144, 80, 3627867959, 0, 2);
		new (toFill++) EmojiData(160, 80, 3627867960, 0, 2);
		new (toFill++) EmojiData(176, 80, 3627867961, 0, 2);
		new (toFill++) EmojiData(192, 80, 3627867962, 0, 2);
		new (toFill++) EmojiData(208, 80, 3627867963, 0, 2);
		new (toFill++) EmojiData(224, 80, 3627867964, 0, 2);
		new (toFill++) EmojiData(240, 80, 3627867965, 0, 2);
		new (toFill++) EmojiData(256, 80, 3627867966, 0, 2);
		new (toFill++) EmojiData(272, 80, 3627867967, 0, 2);
		new (toFill++) EmojiData(288, 80, 3627867968, 0, 2);
		new (toFill++) EmojiData(304, 80, 3627867969, 0, 2);
		new (toFill++) EmojiData(320, 80, 3627867970, 0, 2);
		new (toFill++) EmojiData(336, 80, 3627867971, 0, 2);
		new (toFill++) EmojiData(352, 80, 3627867972, 0, 2);
		new (toFill++) EmojiData(368, 80, 3627867973, 0, 2);
		new (toFill++) EmojiData(384, 80, 3627867974, 0, 2);
		new (toFill++) EmojiData(400, 80, 3627867975, 0, 2);
		new (toFill++) EmojiData(416, 80, 3627867976, 0, 2);
		new (toFill++) EmojiData(432, 80, 3627867977, 0, 2);
		new (toFill++) EmojiData(448, 80, 3627867978, 0, 2);
		new (toFill++) EmojiData(464, 80, 3627867979, 0, 2);
		new (toFill++) EmojiData(480, 80, 3627867980, 0, 2);
		new (toFill++) EmojiData(496, 80, 3627867981, 0, 2);
		new (toFill++) EmojiData(512, 80, 3627867982, 0, 2);
		new (toFill++) EmojiData(528, 80, 3627867983, 0, 2);
		new (toFill++) EmojiData(544, 80, 3627867984, 0, 2);
		new (toFill++) EmojiData(560, 80, 3627867985, 0, 2);
		new (toFill++) EmojiData(576, 80, 3627867986, 0, 2);
		new (toFill++) EmojiData(592, 80, 3627867987, 0, 2);
		new (toFill++) EmojiData(608, 80, 3627867988, 0, 2);
		new (toFill++) EmojiData(624, 80, 3627867989, 0, 2);
		new (toFill++) EmojiData(0, 96, 3627867990, 0, 2);
		new (toFill++) EmojiData(16, 96, 3627867991, 0, 2);
		new (toFill++) EmojiData(32, 96, 3627867992, 0, 2);
		new (toFill++) EmojiData(48, 96, 3627867993, 0, 2);
		new (toFill++) EmojiData(64, 96, 3627867994, 0, 2);
		new (toFill++) EmojiData(80, 96, 3627867995, 0, 2);
		new (toFill++) EmojiData(96, 96, 3627867996, 0, 2);
		new (toFill++) EmojiData(112, 96, 3627867997, 0, 2);
		new (toFill++) EmojiData(128, 96, 3627867998, 0, 2);
		new (toFill++) EmojiData(144, 96, 3627867999, 0, 2);
		new (toFill++) EmojiData(160, 96, 3627868000, 0, 2);
		new (toFill++) EmojiData(176, 96, 3627868001, 0, 2);
		new (toFill++) EmojiData(192, 96, 3627868002, 0, 2);
		new (toFill++) EmojiData(208, 96, 3627868003, 0, 2);
		new (toFill++) EmojiData(224, 96, 3627868004, 0, 2);
		new (toFill++) EmojiData(240, 96, 3627868005, 0, 2);
		new (toFill++) EmojiData(256, 96, 3627868006, 0, 2);
		new (toFill++) EmojiData(272, 96, 3627868007, 0, 2);
		new (toFill++) EmojiData(288, 96, 3627868008, 0, 2);
		new (toFill++) EmojiData(304, 96, 3627868009, 0, 2);
		new (toFill++) EmojiData(320, 96, 3627868010, 0, 2);
		new (toFill++) EmojiData(336, 96, 3627868011, 0, 2);
		new (toFill++) EmojiData(352, 96, 3627868012, 0, 2);
		new (toFill++) EmojiData(368, 96, 3627868013, 0, 2);
		new (toFill++) EmojiData(384, 96, 3627868014, 0, 2);
		new (toFill++) EmojiData(400, 96, 3627868015, 0, 2);
		new (toFill++) EmojiData(416, 96, 3627868016, 0, 2);
		new (toFill++) EmojiData(432, 96, 3627868017, 0, 2);
		new (toFill++) EmojiData(448, 96, 3627868018, 0, 2);
		new (toFill++) EmojiData(464, 96, 3627868019, 0, 2);
		new (toFill++) EmojiData(480, 96, 3627868020, 0, 2);
		new (toFill++) EmojiData(496, 96, 3627868021, 0, 2);
		new (toFill++) EmojiData(512, 96, 3627868022, 0, 2);
		new (toFill++) EmojiData(528, 96, 3627868023, 0, 2);
		new (toFill++) EmojiData(544, 96, 3627868024, 0, 2);
		new (toFill++) EmojiData(560, 96, 3627868025, 0, 2);
		new (toFill++) EmojiData(576, 96, 3627868026, 0, 2);
		new (toFill++) EmojiData(592, 96, 3627868027, 0, 2);
		new (toFill++) EmojiData(608, 96, 3627868028, 0, 2);
		new (toFill++) EmojiData(624, 96, 3627868032, 0, 2);
		new (toFill++) EmojiData(0, 112, 3627868033, 0, 2);
		new (toFill++) EmojiData(16, 112, 3627868034, 0, 2);
		new (toFill++) EmojiData(32, 112, 3627868035, 0, 2);
		new (toFill++) EmojiData(48, 112, 3627868036, 0, 2);
		new (toFill++) EmojiData(64, 112, 3627868037, 0, 2);
		new (toFill++) EmojiData(80, 112, 3627868038, 0, 2);
		new (toFill++) EmojiData(96, 112, 3627868039, 0, 2);
		new (toFill++) EmojiData(112, 112, 3627868040, 0, 2);
		new (toFill++) EmojiData(128, 112, 3627868041, 0, 2);
		new (toFill++) EmojiData(144, 112, 3627868042, 0, 2);
		new (toFill++) EmojiData(160, 112, 3627868043, 0, 2);
		new (toFill++) EmojiData(176, 112, 3627868044, 0, 2);
		new (toFill++) EmojiData(192, 112, 3627868045, 0, 2);
		new (toFill++) EmojiData(208, 112, 3627868046, 0, 2);
		new (toFill++) EmojiData(224, 112, 3627868047, 0, 2);
		new (toFill++) EmojiData(240, 112, 3627868048, 0, 2);
		new (toFill++) EmojiData(256, 112, 3627868049, 0, 2);
		new (toFill++) EmojiData(272, 112, 3627868050, 0, 2);
		new (toFill++) EmojiData(288, 112, 3627868051, 0, 2);
		new (toFill++) EmojiData(304, 112, 3627868064, 0, 2);
		new (toFill++) EmojiData(320, 112, 3627868065, 0, 2);
		new (toFill++) EmojiData(336, 112, 3627868066, 0, 2);
		new (toFill++) EmojiData(352, 112, 3627868067, 0, 2);
		new (toFill++) EmojiData(368, 112, 3627868068, 0, 2);
		new (toFill++) EmojiData(384, 112, 3627868069, 0, 2);
		new (toFill++) EmojiData(400, 112, 3627868070, 0, 2);
		new (toFill++) EmojiData(416, 112, 3627868071, 0, 2);
		new (toFill++) EmojiData(432, 112, 3627868072, 0, 2);
		new (toFill++) EmojiData(448, 112, 3627868073, 0, 2);
		new (toFill++) EmojiData(464, 112, 3627868074, 0, 2);
		new (toFill++) EmojiData(480, 112, 3627868075, 0, 2);
		new (toFill++) EmojiData(496, 112, 3627868076, 0, 2);
		new (toFill++) EmojiData(512, 112, 3627868077, 0, 2);
		new (toFill++) EmojiData(528, 112, 3627868078, 0, 2);
		new (toFill++) EmojiData(544, 112, 3627868079, 0, 2);
		new (toFill++) EmojiData(560, 112, 3627868080, 0, 2);
		new (toFill++) EmojiData(576, 112, 3627868081, 0, 2);
		new (toFill++) EmojiData(592, 112, 3627868082, 0, 2);
		new (toFill++) EmojiData(608, 112, 3627868083, 0, 2);
		new (toFill++) EmojiData(624, 112, 3627868084, 0, 2);
		new (toFill++) EmojiData(0, 128, 3627868085, 0, 2);
		new (toFill++) EmojiData(16, 128, 3627868086, 0, 2);
		new (toFill++) EmojiData(32, 128, 3627868087, 0, 2);
		new (toFill++) EmojiData(48, 128, 3627868088, 0, 2);
		new (toFill++) EmojiData(64, 128, 3627868089, 0, 2);
		new (toFill++) EmojiData(80, 128, 3627868090, 0, 2);
		new (toFill++) EmojiData(96, 128, 3627868091, 0, 2);
		new (toFill++) EmojiData(112, 128, 3627868092, 0, 2);
		new (toFill++) EmojiData(128, 128, 3627868093, 0, 2);
		new (toFill++) EmojiData(144, 128, 3627868094, 0, 2);
		new (toFill++) EmojiData(160, 128, 3627868095, 0, 2);
		new (toFill++) EmojiData(176, 128, 3627868096, 0, 2);
		new (toFill++) EmojiData(192, 128, 3627868097, 0, 2);
		new (toFill++) EmojiData(208, 128, 3627868098, 0, 2);
		new (toFill++) EmojiData(224, 128, 3627868099, 0, 2);
		new (toFill++) EmojiData(240, 128, 3627868100, 0, 2);
		new (toFill++) EmojiData(256, 128, 3627868102, 0, 2);
		new (toFill++) EmojiData(272, 128, 3627868103, 0, 2);
		new (toFill++) EmojiData(288, 128, 3627868104, 0, 2);
		new (toFill++) EmojiData(304, 128, 3627868105, 0, 2);
		new (toFill++) EmojiData(320, 128, 3627868106, 0, 2);
		new (toFill++) EmojiData(336, 128, 3627868128, 0, 2);
		new (toFill++) EmojiData(352, 128, 3627868129, 0, 2);
		new (toFill++) EmojiData(368, 128, 3627868130, 0, 2);
		new (toFill++) EmojiData(384, 128, 3627868131, 0, 2);
		new (toFill++) EmojiData(400, 128, 3627868132, 0, 2);
		new (toFill++) EmojiData(416, 128, 3627868133, 0, 2);
		new (toFill++) EmojiData(432, 128, 3627868134, 0, 2);
		new (toFill++) EmojiData(448, 128, 3627868135, 0, 2);
		new (toFill++) EmojiData(464, 128, 3627868136, 0, 2);
		new (toFill++) EmojiData(480, 128, 3627868137, 0, 2);
		new (toFill++) EmojiData(496, 128, 3627868138, 0, 2);
		new (toFill++) EmojiData(512, 128, 3627868139, 0, 2);
		new (toFill++) EmojiData(528, 128, 3627868140, 0, 2);
		new (toFill++) EmojiData(544, 128, 3627868141, 0, 2);
		new (toFill++) EmojiData(560, 128, 3627868142, 0, 2);
		new (toFill++) EmojiData(576, 128, 3627868143, 0, 2);
		new (toFill++) EmojiData(592, 128, 3627868144, 0, 2);
		new (toFill++) EmojiData(608, 128, 3627932672, 0, 2);
		new (toFill++) EmojiData(624, 128, 3627932673, 0, 2);
		new (toFill++) EmojiData(0, 144, 3627932674, 0, 2);
		new (toFill++) EmojiData(16, 144, 3627932675, 0, 2);
		new (toFill++) EmojiData(32, 144, 3627932676, 0, 2);
		new (toFill++) EmojiData(48, 144, 3627932677, 0, 2);
		new (toFill++) EmojiData(64, 144, 3627932678, 0, 2);
		new (toFill++) EmojiData(80, 144, 3627932679, 0, 2);
		new (toFill++) EmojiData(96, 144, 3627932680, 0, 2);
		new (toFill++) EmojiData(112, 144, 3627932681, 0, 2);
		new (toFill++) EmojiData(128, 144, 3627932682, 0, 2);
		new (toFill++) EmojiData(144, 144, 3627932683, 0, 2);
		new (toFill++) EmojiData(160, 144, 3627932684, 0, 2);
		new (toFill++) EmojiData(176, 144, 3627932685, 0, 2);
		new (toFill++) EmojiData(192, 144, 3627932686, 0, 2);
		new (toFill++) EmojiData(208, 144, 3627932687, 0, 2);
		new (toFill++) EmojiData(224, 144, 3627932688, 0, 2);
		new (toFill++) EmojiData(240, 144, 3627932689, 0, 2);
		new (toFill++) EmojiData(256, 144, 3627932690, 0, 2);
		new (toFill++) EmojiData(272, 144, 3627932691, 0, 2);
		new (toFill++) EmojiData(288, 144, 3627932692, 0, 2);
		new (toFill++) EmojiData(304, 144, 3627932693, 0, 2);
		new (toFill++) EmojiData(320, 144, 3627932694, 0, 2);
		new (toFill++) EmojiData(336, 144, 3627932695, 0, 2);
		new (toFill++) EmojiData(352, 144, 3627932696, 0, 2);
		new (toFill++) EmojiData(368, 144, 3627932697, 0, 2);
		new (toFill++) EmojiData(384, 144, 3627932698, 0, 2);
		new (toFill++) EmojiData(400, 144, 3627932699, 0, 2);
		new (toFill++) EmojiData(416, 144, 3627932700, 0, 2);
		new (toFill++) EmojiData(432, 144, 3627932701, 0, 2);
		new (toFill++) EmojiData(448, 144, 3627932702, 0, 2);
		new (toFill++) EmojiData(464, 144, 3627932703, 0, 2);
		new (toFill++) EmojiData(480, 144, 3627932704, 0, 2);
		new (toFill++) EmojiData(496, 144, 3627932705, 0, 2);
		new (toFill++) EmojiData(512, 144, 3627932706, 0, 2);
		new (toFill++) EmojiData(528, 144, 3627932707, 0, 2);
		new (toFill++) EmojiData(544, 144, 3627932708, 0, 2);
		new (toFill++) EmojiData(560, 144, 3627932709, 0, 2);
		new (toFill++) EmojiData(576, 144, 3627932710, 0, 2);
		new (toFill++) EmojiData(592, 144, 3627932711, 0, 2);
		new (toFill++) EmojiData(608, 144, 3627932712, 0, 2);
		new (toFill++) EmojiData(624, 144, 3627932713, 0, 2);
		new (toFill++) EmojiData(0, 160, 3627932714, 0, 2);
		new (toFill++) EmojiData(16, 160, 3627932715, 0, 2);
		new (toFill++) EmojiData(32, 160, 3627932716, 0, 2);
		new (toFill++) EmojiData(48, 160, 3627932717, 0, 2);
		new (toFill++) EmojiData(64, 160, 3627932718, 0, 2);
		new (toFill++) EmojiData(80, 160, 3627932719, 0, 2);
		new (toFill++) EmojiData(96, 160, 3627932720, 0, 2);
		new (toFill++) EmojiData(112, 160, 3627932721, 0, 2);
		new (toFill++) EmojiData(128, 160, 3627932722, 0, 2);
		new (toFill++) EmojiData(144, 160, 3627932723, 0, 2);
		new (toFill++) EmojiData(160, 160, 3627932724, 0, 2);
		new (toFill++) EmojiData(176, 160, 3627932725, 0, 2);
		new (toFill++) EmojiData(192, 160, 3627932726, 0, 2);
		new (toFill++) EmojiData(208, 160, 3627932727, 0, 2);
		new (toFill++) EmojiData(224, 160, 3627932728, 0, 2);
		new (toFill++) EmojiData(240, 160, 3627932729, 0, 2);
		new (toFill++) EmojiData(256, 160, 3627932730, 0, 2);
		new (toFill++) EmojiData(272, 160, 3627932731, 0, 2);
		new (toFill++) EmojiData(288, 160, 3627932732, 0, 2);
		new (toFill++) EmojiData(304, 160, 3627932733, 0, 2);
		new (toFill++) EmojiData(320, 160, 3627932734, 0, 2);
		new (toFill++) EmojiData(336, 160, 3627932736, 0, 2);
		new (toFill++) EmojiData(352, 160, 3627932738, 0, 2);
		new (toFill++) EmojiData(368, 160, 3627932739, 0, 2);
		new (toFill++) EmojiData(384, 160, 3627932740, 0, 2);
		new (toFill++) EmojiData(400, 160, 3627932741, 0, 2);
		new (toFill++) EmojiData(416, 160, 3627932742, 0, 2);
		new (toFill++) EmojiData(432, 160, 3627932743, 0, 2);
		new (toFill++) EmojiData(448, 160, 3627932744, 0, 2);
		new (toFill++) EmojiData(464, 160, 3627932745, 0, 2);
		new (toFill++) EmojiData(480, 160, 3627932746, 0, 2);
		new (toFill++) EmojiData(496, 160, 3627932747, 0, 2);
		new (toFill++) EmojiData(512, 160, 3627932748, 0, 2);
		new (toFill++) EmojiData(528, 160, 3627932749, 0, 2);
		new (toFill++) EmojiData(544, 160, 3627932750, 0, 2);
		new (toFill++) EmojiData(560, 160, 3627932751, 0, 2);
		new (toFill++) EmojiData(576, 160, 3627932752, 0, 2);
		new (toFill++) EmojiData(592, 160, 3627932753, 0, 2);
		new (toFill++) EmojiData(608, 160, 3627932754, 0, 2);
		new (toFill++) EmojiData(624, 160, 3627932755, 0, 2);
		new (toFill++) EmojiData(0, 176, 3627932756, 0, 2);
		new (toFill++) EmojiData(16, 176, 3627932757, 0, 2);
		new (toFill++) EmojiData(32, 176, 3627932758, 0, 2);
		new (toFill++) EmojiData(48, 176, 3627932759, 0, 2);
		new (toFill++) EmojiData(64, 176, 3627932760, 0, 2);
		new (toFill++) EmojiData(80, 176, 3627932761, 0, 2);
		new (toFill++) EmojiData(96, 176, 3627932762, 0, 2);
		new (toFill++) EmojiData(112, 176, 3627932763, 0, 2);
		new (toFill++) EmojiData(128, 176, 3627932764, 0, 2);
		new (toFill++) EmojiData(144, 176, 3627932765, 0, 2);
		new (toFill++) EmojiData(160, 176, 3627932766, 0, 2);
		new (toFill++) EmojiData(176, 176, 3627932767, 0, 2);
		new (toFill++) EmojiData(192, 176, 3627932768, 0, 2);
		new (toFill++) EmojiData(208, 176, 3627932769, 0, 2);
		new (toFill++) EmojiData(224, 176, 3627932770, 0, 2);
		new (toFill++) EmojiData(240, 176, 3627932771, 0, 2);
		new (toFill++) EmojiData(256, 176, 3627932772, 0, 2);
		new (toFill++) EmojiData(272, 176, 3627932773, 0, 2);
		new (toFill++) EmojiData(288, 176, 3627932774, 0, 2);
		new (toFill++) EmojiData(304, 176, 3627932775, 0, 2);
		new (toFill++) EmojiData(320, 176, 3627932776, 0, 2);
		new (toFill++) EmojiData(336, 176, 3627932777, 0, 2);
		new (toFill++) EmojiData(352, 176, 3627932778, 0, 2);
		new (toFill++) EmojiData(368, 176, 3627932779, 0, 2);
		new (toFill++) EmojiData(384, 176, 3627932780, 0, 2);
		new (toFill++) EmojiData(400, 176, 3627932781, 0, 2);
		new (toFill++) EmojiData(416, 176, 3627932782, 0, 2);
		new (toFill++) EmojiData(432, 176, 3627932783, 0, 2);
		new (toFill++) EmojiData(448, 176, 3627932784, 0, 2);
		new (toFill++) EmojiData(464, 176, 3627932785, 0, 2);
		new (toFill++) EmojiData(480, 176, 3627932786, 0, 2);
		new (toFill++) EmojiData(496, 176, 3627932787, 0, 2);
		new (toFill++) EmojiData(512, 176, 3627932788, 0, 2);
		new (toFill++) EmojiData(528, 176, 3627932789, 0, 2);
		new (toFill++) EmojiData(544, 176, 3627932790, 0, 2);
		new (toFill++) EmojiData(560, 176, 3627932791, 0, 2);
		new (toFill++) EmojiData(576, 176, 3627932792, 0, 2);
		new (toFill++) EmojiData(592, 176, 3627932793, 0, 2);
		new (toFill++) EmojiData(608, 176, 3627932794, 0, 2);
		new (toFill++) EmojiData(624, 176, 3627932795, 0, 2);
		new (toFill++) EmojiData(0, 192, 3627932796, 0, 2);
		new (toFill++) EmojiData(16, 192, 3627932797, 0, 2);
		new (toFill++) EmojiData(32, 192, 3627932798, 0, 2);
		new (toFill++) EmojiData(48, 192, 3627932799, 0, 2);
		new (toFill++) EmojiData(64, 192, 3627932800, 0, 2);
		new (toFill++) EmojiData(80, 192, 3627932801, 0, 2);
		new (toFill++) EmojiData(96, 192, 3627932802, 0, 2);
		new (toFill++) EmojiData(112, 192, 3627932803, 0, 2);
		new (toFill++) EmojiData(128, 192, 3627932804, 0, 2);
		new (toFill++) EmojiData(144, 192, 3627932805, 0, 2);
		new (toFill++) EmojiData(160, 192, 3627932806, 0, 2);
		new (toFill++) EmojiData(176, 192, 3627932807, 0, 2);
		new (toFill++) EmojiData(192, 192, 3627932808, 0, 2);
		new (toFill++) EmojiData(208, 192, 3627932809, 0, 2);
		new (toFill++) EmojiData(224, 192, 3627932810, 0, 2);
		new (toFill++) EmojiData(240, 192, 3627932811, 0, 2);
		new (toFill++) EmojiData(256, 192, 3627932812, 0, 2);
		new (toFill++) EmojiData(272, 192, 3627932813, 0, 2);
		new (toFill++) EmojiData(288, 192, 3627932814, 0, 2);
		new (toFill++) EmojiData(304, 192, 3627932815, 0, 2);
		new (toFill++) EmojiData(320, 192, 3627932816, 0, 2);
		new (toFill++) EmojiData(336, 192, 3627932817, 0, 2);
		new (toFill++) EmojiData(352, 192, 3627932818, 0, 2);
		new (toFill++) EmojiData(368, 192, 3627932819, 0, 2);
		new (toFill++) EmojiData(384, 192, 3627932820, 0, 2);
		new (toFill++) EmojiData(400, 192, 3627932821, 0, 2);
		new (toFill++) EmojiData(416, 192, 3627932822, 0, 2);
		new (toFill++) EmojiData(432, 192, 3627932823, 0, 2);
		new (toFill++) EmojiData(448, 192, 3627932824, 0, 2);
		new (toFill++) EmojiData(464, 192, 3627932825, 0, 2);
		new (toFill++) EmojiData(480, 192, 3627932826, 0, 2);
		new (toFill++) EmojiData(496, 192, 3627932827, 0, 2);
		new (toFill++) EmojiData(512, 192, 3627932828, 0, 2);
		new (toFill++) EmojiData(528, 192, 3627932829, 0, 2);
		new (toFill++) EmojiData(544, 192, 3627932830, 0, 2);
		new (toFill++) EmojiData(560, 192, 3627932831, 0, 2);
		new (toFill++) EmojiData(576, 192, 3627932832, 0, 2);
		new (toFill++) EmojiData(592, 192, 3627932833, 0, 2);
		new (toFill++) EmojiData(608, 192, 3627932834, 0, 2);
		new (toFill++) EmojiData(624, 192, 3627932835, 0, 2);
		new (toFill++) EmojiData(0, 208, 3627932836, 0, 2);
		new (toFill++) EmojiData(16, 208, 3627932837, 0, 2);
		new (toFill++) EmojiData(32, 208, 3627932838, 0, 2);
		new (toFill++) EmojiData(48, 208, 3627932839, 0, 2);
		new (toFill++) EmojiData(64, 208, 3627932840, 0, 2);
		new (toFill++) EmojiData(80, 208, 3627932841, 0, 2);
		new (toFill++) EmojiData(96, 208, 3627932842, 0, 2);
		new (toFill++) EmojiData(112, 208, 3627932843, 0, 2);
		new (toFill++) EmojiData(128, 208, 3627932844, 0, 2);
		new (toFill++) EmojiData(144, 208, 3627932845, 0, 2);
		new (toFill++) EmojiData(160, 208, 3627932846, 0, 2);
		new (toFill++) EmojiData(176, 208, 3627932847, 0, 2);
		new (toFill++) EmojiData(192, 208, 3627932848, 0, 2);
		new (toFill++) EmojiData(208, 208, 3627932849, 0, 2);
		new (toFill++) EmojiData(224, 208, 3627932850, 0, 2);
		new (toFill++) EmojiData(240, 208, 3627932851, 0, 2);
		new (toFill++) EmojiData(256, 208, 3627932852, 0, 2);
		new (toFill++) EmojiData(272, 208, 3627932853, 0, 2);
		new (toFill++) EmojiData(288, 208, 3627932854, 0, 2);
		new (toFill++) EmojiData(304, 208, 3627932855, 0, 2);
		new (toFill++) EmojiData(320, 208, 3627932856, 0, 2);
		new (toFill++) EmojiData(336, 208, 3627932857, 0, 2);
		new (toFill++) EmojiData(352, 208, 3627932858, 0, 2);
		new (toFill++) EmojiData(368, 208, 3627932859, 0, 2);
		new (toFill++) EmojiData(384, 208, 3627932860, 0, 2);
		new (toFill++) EmojiData(400, 208, 3627932861, 0, 2);
		new (toFill++) EmojiData(416, 208, 3627932862, 0, 2);
		new (toFill++) EmojiData(432, 208, 3627932863, 0, 2);
		new (toFill++) EmojiData(448, 208, 3627932864, 0, 2);
		new (toFill++) EmojiData(464, 208, 3627932865, 0, 2);
		new (toFill++) EmojiData(480, 208, 3627932866, 0, 2);
		new (toFill++) EmojiData(496, 208, 3627932867, 0, 2);
		new (toFill++) EmojiData(512, 208, 3627932868, 0, 2);
		new (toFill++) EmojiData(528, 208, 3627932869, 0, 2);
		new (toFill++) EmojiData(544, 208, 3627932870, 0, 2);
		new (toFill++) EmojiData(560, 208, 3627932871, 0, 2);
		new (toFill++) EmojiData(576, 208, 3627932872, 0, 2);
		new (toFill++) EmojiData(592, 208, 3627932873, 0, 2);
		new (toFill++) EmojiData(608, 208, 3627932874, 0, 2);
		new (toFill++) EmojiData(624, 208, 3627932875, 0, 2);
		new (toFill++) EmojiData(0, 224, 3627932876, 0, 2);
		new (toFill++) EmojiData(16, 224, 3627932877, 0, 2);
		new (toFill++) EmojiData(32, 224, 3627932878, 0, 2);
		new (toFill++) EmojiData(48, 224, 3627932879, 0, 2);
		new (toFill++) EmojiData(64, 224, 3627932880, 0, 2);
		new (toFill++) EmojiData(80, 224, 3627932881, 0, 2);
		new (toFill++) EmojiData(96, 224, 3627932882, 0, 2);
		new (toFill++) EmojiData(112, 224, 3627932883, 0, 2);
		new (toFill++) EmojiData(128, 224, 3627932884, 0, 2);
		new (toFill++) EmojiData(144, 224, 3627932885, 0, 2);
		new (toFill++) EmojiData(160, 224, 3627932886, 0, 2);
		new (toFill++) EmojiData(176, 224, 3627932887, 0, 2);
		new (toFill++) EmojiData(192, 224, 3627932888, 0, 2);
		new (toFill++) EmojiData(208, 224, 3627932889, 0, 2);
		new (toFill++) EmojiData(224, 224, 3627932890, 0, 2);
		new (toFill++) EmojiData(240, 224, 3627932891, 0, 2);
		new (toFill++) EmojiData(256, 224, 3627932892, 0, 2);
		new (toFill++) EmojiData(272, 224, 3627932893, 0, 2);
		new (toFill++) EmojiData(288, 224, 3627932894, 0, 2);
		new (toFill++) EmojiData(304, 224, 3627932895, 0, 2);
		new (toFill++) EmojiData(320, 224, 3627932896, 0, 2);
		new (toFill++) EmojiData(336, 224, 3627932897, 0, 2);
		new (toFill++) EmojiData(352, 224, 3627932898, 0, 2);
		new (toFill++) EmojiData(368, 224, 3627932899, 0, 2);
		new (toFill++) EmojiData(384, 224, 3627932900, 0, 2);
		new (toFill++) EmojiData(400, 224, 3627932901, 0, 2);
		new (toFill++) EmojiData(416, 224, 3627932902, 0, 2);
		new (toFill++) EmojiData(432, 224, 3627932903, 0, 2);
		new (toFill++) EmojiData(448, 224, 3627932904, 0, 2);
		new (toFill++) EmojiData(464, 224, 3627932905, 0, 2);
		new (toFill++) EmojiData(480, 224, 3627932906, 0, 2);
		new (toFill++) EmojiData(496, 224, 3627932907, 0, 2);
		new (toFill++) EmojiData(512, 224, 3627932908, 0, 2);
		new (toFill++) EmojiData(528, 224, 3627932909, 0, 2);
		new (toFill++) EmojiData(544, 224, 3627932910, 0, 2);
		new (toFill++) EmojiData(560, 224, 3627932911, 0, 2);
		new (toFill++) EmojiData(576, 224, 3627932912, 0, 2);
		new (toFill++) EmojiData(592, 224, 3627932913, 0, 2);
		new (toFill++) EmojiData(608, 224, 3627932914, 0, 2);
		new (toFill++) EmojiData(624, 224, 3627932915, 0, 2);
		new (toFill++) EmojiData(0, 240, 3627932916, 0, 2);
		new (toFill++) EmojiData(16, 240, 3627932917, 0, 2);
		new (toFill++) EmojiData(32, 240, 3627932918, 0, 2);
		new (toFill++) EmojiData(48, 240, 3627932919, 0, 2);
		new (toFill++) EmojiData(64, 240, 3627932921, 0, 2);
		new (toFill++) EmojiData(80, 240, 3627932922, 0, 2);
		new (toFill++) EmojiData(96, 240, 3627932923, 0, 2);
		new (toFill++) EmojiData(112, 240, 3627932924, 0, 2);
		new (toFill++) EmojiData(128, 240, 3627932928, 0, 2);
		new (toFill++) EmojiData(144, 240, 3627932929, 0, 2);
		new (toFill++) EmojiData(160, 240, 3627932930, 0, 2);
		new (toFill++) EmojiData(176, 240, 3627932931, 0, 2);
		new (toFill++) EmojiData(192, 240, 3627932932, 0, 2);
		new (toFill++) EmojiData(208, 240, 3627932933, 0, 2);
		new (toFill++) EmojiData(224, 240, 3627932934, 0, 2);
		new (toFill++) EmojiData(240, 240, 3627932935, 0, 2);
		new (toFill++) EmojiData(256, 240, 3627932936, 0, 2);
		new (toFill++) EmojiData(272, 240, 3627932937, 0, 2);
		new (toFill++) EmojiData(288, 240, 3627932938, 0, 2);
		new (toFill++) EmojiData(304, 240, 3627932939, 0, 2);
		new (toFill++) EmojiData(320, 240, 3627932940, 0, 2);
		new (toFill++) EmojiData(336, 240, 3627932941, 0, 2);
		new (toFill++) EmojiData(352, 240, 3627932942, 0, 2);
		new (toFill++) EmojiData(368, 240, 3627932943, 0, 2);
		new (toFill++) EmojiData(384, 240, 3627932944, 0, 2);
		new (toFill++) EmojiData(400, 240, 3627932945, 0, 2);
		new (toFill++) EmojiData(416, 240, 3627932946, 0, 2);
		new (toFill++) EmojiData(432, 240, 3627932947, 0, 2);
		new (toFill++) EmojiData(448, 240, 3627932948, 0, 2);
		new (toFill++) EmojiData(464, 240, 3627932949, 0, 2);
		new (toFill++) EmojiData(480, 240, 3627932950, 0, 2);
		new (toFill++) EmojiData(496, 240, 3627932951, 0, 2);
		new (toFill++) EmojiData(512, 240, 3627932952, 0, 2);
		new (toFill++) EmojiData(528, 240, 3627932953, 0, 2);
		new (toFill++) EmojiData(544, 240, 3627932954, 0, 2);
		new (toFill++) EmojiData(560, 240, 3627932955, 0, 2);
		new (toFill++) EmojiData(576, 240, 3627932956, 0, 2);
		new (toFill++) EmojiData(592, 240, 3627932957, 0, 2);
		new (toFill++) EmojiData(608, 240, 3627932958, 0, 2);
		new (toFill++) EmojiData(624, 240, 3627932959, 0, 2);
		new (toFill++) EmojiData(0, 256, 3627932960, 0, 2);
		new (toFill++) EmojiData(16, 256, 3627932961, 0, 2);
		new (toFill++) EmojiData(32, 256, 3627932962, 0, 2);
		new (toFill++) EmojiData(48, 256, 3627932963, 0, 2);
		new (toFill++) EmojiData(64, 256, 3627932964, 0, 2);
		new (toFill++) EmojiData(80, 256, 3627932965, 0, 2);
		new (toFill++) EmojiData(96, 256, 3627932966, 0, 2);
		new (toFill++) EmojiData(112, 256, 3627932967, 0, 2);
		new (toFill++) EmojiData(128, 256, 3627932968, 0, 2);
		new (toFill++) EmojiData(144, 256, 3627932969, 0, 2);
		new (toFill++) EmojiData(160, 256, 3627932970, 0, 2);
		new (toFill++) EmojiData(176, 256, 3627932971, 0, 2);
		new (toFill++) EmojiData(192, 256, 3627932972, 0, 2);
		new (toFill++) EmojiData(208, 256, 3627932973, 0, 2);
		new (toFill++) EmojiData(224, 256, 3627932974, 0, 2);
		new (toFill++) EmojiData(240, 256, 3627932975, 0, 2);
		new (toFill++) EmojiData(256, 256, 3627932976, 0, 2);
		new (toFill++) EmojiData(272, 256, 3627932977, 0, 2);
		new (toFill++) EmojiData(288, 256, 3627932978, 0, 2);
		new (toFill++) EmojiData(304, 256, 3627932979, 0, 2);
		new (toFill++) EmojiData(320, 256, 3627932980, 0, 2);
		new (toFill++) EmojiData(336, 256, 3627932981, 0, 2);
		new (toFill++) EmojiData(352, 256, 3627932982, 0, 2);
		new (toFill++) EmojiData(368, 256, 3627932983, 0, 2);
		new (toFill++) EmojiData(384, 256, 3627932984, 0, 2);
		new (toFill++) EmojiData(400, 256, 3627932985, 0, 2);
		new (toFill++) EmojiData(416, 256, 3627932986, 0, 2);
		new (toFill++) EmojiData(432, 256, 3627932987, 0, 2);
		new (toFill++) EmojiData(448, 256, 3627932988, 0, 2);
		new (toFill++) EmojiData(464, 256, 3627932989, 0, 2);
		new (toFill++) EmojiData(480, 256, 3627933008, 0, 2);
		new (toFill++) EmojiData(496, 256, 3627933009, 0, 2);
		new (toFill++) EmojiData(512, 256, 3627933010, 0, 2);
		new (toFill++) EmojiData(528, 256, 3627933011, 0, 2);
		new (toFill++) EmojiData(544, 256, 3627933012, 0, 2);
		new (toFill++) EmojiData(560, 256, 3627933013, 0, 2);
		new (toFill++) EmojiData(576, 256, 3627933014, 0, 2);
		new (toFill++) EmojiData(592, 256, 3627933015, 0, 2);
		new (toFill++) EmojiData(608, 256, 3627933016, 0, 2);
		new (toFill++) EmojiData(624, 256, 3627933017, 0, 2);
		new (toFill++) EmojiData(0, 272, 3627933018, 0, 2);
		new (toFill++) EmojiData(16, 272, 3627933019, 0, 2);
		new (toFill++) EmojiData(32, 272, 3627933020, 0, 2);
		new (toFill++) EmojiData(48, 272, 3627933021, 0, 2);
		new (toFill++) EmojiData(64, 272, 3627933022, 0, 2);
		new (toFill++) EmojiData(80, 272, 3627933023, 0, 2);
		new (toFill++) EmojiData(96, 272, 3627933024, 0, 2);
		new (toFill++) EmojiData(112, 272, 3627933025, 0, 2);
		new (toFill++) EmojiData(128, 272, 3627933026, 0, 2);
		new (toFill++) EmojiData(144, 272, 3627933027, 0, 2);
		new (toFill++) EmojiData(160, 272, 3627933028, 0, 2);
		new (toFill++) EmojiData(176, 272, 3627933029, 0, 2);
		new (toFill++) EmojiData(192, 272, 3627933030, 0, 2);
		new (toFill++) EmojiData(208, 272, 3627933031, 0, 2);
		new (toFill++) EmojiData(224, 272, 3627933179, 0, 2);
		new (toFill++) EmojiData(240, 272, 3627933180, 0, 2);
		new (toFill++) EmojiData(256, 272, 3627933181, 0, 2);
		new (toFill++) EmojiData(272, 272, 3627933182, 0, 2);
		new (toFill++) EmojiData(288, 272, 3627933183, 0, 2);
		new (toFill++) EmojiData(304, 272, 3627933184, 0, 2);
		new (toFill++) EmojiData(320, 272, 3627933185, 0, 2);
		new (toFill++) EmojiData(336, 272, 3627933186, 0, 2);
		new (toFill++) EmojiData(352, 272, 3627933187, 0, 2);
		new (toFill++) EmojiData(368, 272, 3627933188, 0, 2);
		new (toFill++) EmojiData(384, 272, 3627933189, 0, 2);
		new (toFill++) EmojiData(400, 272, 3627933190, 0, 2);
		new (toFill++) EmojiData(416, 272, 3627933191, 0, 2);
		new (toFill++) EmojiData(432, 272, 3627933192, 0, 2);
		new (toFill++) EmojiData(448, 272, 3627933193, 0, 2);
		new (toFill++) EmojiData(464, 272, 3627933194, 0, 2);
		new (toFill++) EmojiData(480, 272, 3627933195, 0, 2);
		new (toFill++) EmojiData(496, 272, 3627933196, 0, 2);
		new (toFill++) EmojiData(512, 272, 3627933197, 0, 2);
		new (toFill++) EmojiData(528, 272, 3627933198, 0, 2);
		new (toFill++) EmojiData(544, 272, 3627933199, 0, 2);
		new (toFill++) EmojiData(560, 272, 3627933200, 0, 2);
		new (toFill++) EmojiData(576, 272, 3627933201, 0, 2);
		new (toFill++) EmojiData(592, 272, 3627933202, 0, 2);
		new (toFill++) EmojiData(608, 272, 3627933203, 0, 2);
		new (toFill++) EmojiData(624, 272, 3627933204, 0, 2);
		new (toFill++) EmojiData(0, 288, 3627933205, 0, 2);
		new (toFill++) EmojiData(16, 288, 3627933206, 0, 2);
		new (toFill++) EmojiData(32, 288, 3627933207, 0, 2);
		new (toFill++) EmojiData(48, 288, 3627933208, 0, 2);
		new (toFill++) EmojiData(64, 288, 3627933209, 0, 2);
		new (toFill++) EmojiData(80, 288, 3627933210, 0, 2);
		new (toFill++) EmojiData(96, 288, 3627933211, 0, 2);
		new (toFill++) EmojiData(112, 288, 3627933212, 0, 2);
		new (toFill++) EmojiData(128, 288, 3627933213, 0, 2);
		new (toFill++) EmojiData(144, 288, 3627933214, 0, 2);
		new (toFill++) EmojiData(160, 288, 3627933215, 0, 2);
		new (toFill++) EmojiData(176, 288, 3627933216, 0, 2);
		new (toFill++) EmojiData(192, 288, 3627933217, 0, 2);
		new (toFill++) EmojiData(208, 288, 3627933218, 0, 2);
		new (toFill++) EmojiData(224, 288, 3627933219, 0, 2);
		new (toFill++) EmojiData(240, 288, 3627933220, 0, 2);
		new (toFill++) EmojiData(256, 288, 3627933221, 0, 2);
		new (toFill++) EmojiData(272, 288, 3627933222, 0, 2);
		new (toFill++) EmojiData(288, 288, 3627933223, 0, 2);
		new (toFill++) EmojiData(304, 288, 3627933224, 0, 2);
		new (toFill++) EmojiData(320, 288, 3627933225, 0, 2);
		new (toFill++) EmojiData(336, 288, 3627933226, 0, 2);
		new (toFill++) EmojiData(352, 288, 3627933227, 0, 2);
		new (toFill++) EmojiData(368, 288, 3627933228, 0, 2);
		new (toFill++) EmojiData(384, 288, 3627933229, 0, 2);
		new (toFill++) EmojiData(400, 288, 3627933230, 0, 2);
		new (toFill++) EmojiData(416, 288, 3627933231, 0, 2);
		new (toFill++) EmojiData(432, 288, 3627933232, 0, 2);
		new (toFill++) EmojiData(448, 288, 3627933233, 0, 2);
		new (toFill++) EmojiData(464, 288, 3627933234, 0, 2);
		new (toFill++) EmojiData(480, 288, 3627933235, 0, 2);
		new (toFill++) EmojiData(496, 288, 3627933236, 0, 2);
		new (toFill++) EmojiData(512, 288, 3627933237, 0, 2);
		new (toFill++) EmojiData(528, 288, 3627933238, 0, 2);
		new (toFill++) EmojiData(544, 288, 3627933239, 0, 2);
		new (toFill++) EmojiData(560, 288, 3627933240, 0, 2);
		new (toFill++) EmojiData(576, 288, 3627933241, 0, 2);
		new (toFill++) EmojiData(592, 288, 3627933242, 0, 2);
		new (toFill++) EmojiData(608, 288, 3627933243, 0, 2);
		new (toFill++) EmojiData(624, 288, 3627933244, 0, 2);
		new (toFill++) EmojiData(0, 304, 3627933245, 0, 2);
		new (toFill++) EmojiData(16, 304, 3627933246, 0, 2);
		new (toFill++) EmojiData(32, 304, 3627933247, 0, 2);
		new (toFill++) EmojiData(48, 304, 3627933248, 0, 2);
		new (toFill++) EmojiData(64, 304, 3627933253, 0, 2);
		new (toFill++) EmojiData(80, 304, 3627933254, 0, 2);
		new (toFill++) EmojiData(96, 304, 3627933255, 0, 2);
		new (toFill++) EmojiData(112, 304, 3627933256, 0, 2);
		new (toFill++) EmojiData(128, 304, 3627933257, 0, 2);
		new (toFill++) EmojiData(144, 304, 3627933258, 0, 2);
		new (toFill++) EmojiData(160, 304, 3627933259, 0, 2);
		new (toFill++) EmojiData(176, 304, 3627933260, 0, 2);
		new (toFill++) EmojiData(192, 304, 3627933261, 0, 2);
		new (toFill++) EmojiData(208, 304, 3627933262, 0, 2);
		new (toFill++) EmojiData(224, 304, 3627933263, 0, 2);
		new (toFill++) EmojiData(240, 304, 3627933312, 0, 2);
		new (toFill++) EmojiData(256, 304, 3627933313, 0, 2);
		new (toFill++) EmojiData(272, 304, 3627933314, 0, 2);
		new (toFill++) EmojiData(288, 304, 3627933315, 0, 2);
		new (toFill++) EmojiData(304, 304, 3627933316, 0, 2);
		new (toFill++) EmojiData(320, 304, 3627933317, 0, 2);
		new (toFill++) EmojiData(336, 304, 3627933318, 0, 2);
		new (toFill++) EmojiData(352, 304, 3627933319, 0, 2);
		new (toFill++) EmojiData(368, 304, 3627933320, 0, 2);
		new (toFill++) EmojiData(384, 304, 3627933321, 0, 2);
		new (toFill++) EmojiData(400, 304, 3627933322, 0, 2);
		new (toFill++) EmojiData(416, 304, 3627933323, 0, 2);
		new (toFill++) EmojiData(432, 304, 3627933324, 0, 2);
		new (toFill++) EmojiData(448, 304, 3627933325, 0, 2);
		new (toFill++) EmojiData(464, 304, 3627933326, 0, 2);
		new (toFill++) EmojiData(480, 304, 3627933327, 0, 2);
		new (toFill++) EmojiData(496, 304, 3627933328, 0, 2);
		new (toFill++) EmojiData(512, 304, 3627933329, 0, 2);
		new (toFill++) EmojiData(528, 304, 3627933330, 0, 2);
		new (toFill++) EmojiData(544, 304, 3627933331, 0, 2);
		new (toFill++) EmojiData(560, 304, 3627933332, 0, 2);
		new (toFill++) EmojiData(576, 304, 3627933333, 0, 2);
		new (toFill++) EmojiData(592, 304, 3627933334, 0, 2);
		new (toFill++) EmojiData(608, 304, 3627933335, 0, 2);
		new (toFill++) EmojiData(624, 304, 3627933336, 0, 2);
		new (toFill++) EmojiData(0, 320, 3627933337, 0, 2);
		new (toFill++) EmojiData(16, 320, 3627933338, 0, 2);
		new (toFill++) EmojiData(32, 320, 3627933339, 0, 2);
		new (toFill++) EmojiData(48, 320, 3627933340, 0, 2);
		new (toFill++) EmojiData(64, 320, 3627933341, 0, 2);
		new (toFill++) EmojiData(80, 320, 3627933342, 0, 2);
		new (toFill++) EmojiData(96, 320, 3627933343, 0, 2);
		new (toFill++) EmojiData(112, 320, 3627933344, 0, 2);
		new (toFill++) EmojiData(128, 320, 3627933345, 0, 2);
		new (toFill++) EmojiData(144, 320, 3627933346, 0, 2);
		new (toFill++) EmojiData(160, 320, 3627933347, 0, 2);
		new (toFill++) EmojiData(176, 320, 3627933348, 0, 2);
		new (toFill++) EmojiData(192, 320, 3627933349, 0, 2);
		new (toFill++) EmojiData(208, 320, 3627933350, 0, 2);
		new (toFill++) EmojiData(224, 320, 3627933351, 0, 2);
		new (toFill++) EmojiData(240, 320, 3627933352, 0, 2);
		new (toFill++) EmojiData(256, 320, 3627933353, 0, 2);
		new (toFill++) EmojiData(272, 320, 3627933354, 0, 2);
		new (toFill++) EmojiData(288, 320, 3627933355, 0, 2);
		new (toFill++) EmojiData(304, 320, 3627933356, 0, 2);
		new (toFill++) EmojiData(320, 320, 3627933357, 0, 2);
		new (toFill++) EmojiData(336, 320, 3627933358, 0, 2);
		new (toFill++) EmojiData(352, 320, 3627933359, 0, 2);
		new (toFill++) EmojiData(368, 320, 3627933360, 0, 2);
		new (toFill++) EmojiData(384, 320, 3627933361, 0, 2);
		new (toFill++) EmojiData(400, 320, 3627933362, 0, 2);
		new (toFill++) EmojiData(416, 320, 3627933363, 0, 2);
		new (toFill++) EmojiData(432, 320, 3627933364, 0, 2);
		new (toFill++) EmojiData(448, 320, 3627933365, 0, 2);
		new (toFill++) EmojiData(464, 320, 3627933366, 0, 2);
		new (toFill++) EmojiData(480, 320, 3627933367, 0, 2);
		new (toFill++) EmojiData(496, 320, 3627933368, 0, 2);
		new (toFill++) EmojiData(512, 320, 3627933369, 0, 2);
		new (toFill++) EmojiData(528, 320, 3627933370, 0, 2);
		new (toFill++) EmojiData(544, 320, 3627933371, 0, 2);
		new (toFill++) EmojiData(560, 320, 3627933372, 0, 2);
		new (toFill++) EmojiData(576, 320, 3627933373, 0, 2);
		new (toFill++) EmojiData(592, 320, 3627933374, 0, 2);
		new (toFill++) EmojiData(608, 320, 3627933375, 0, 2);
		new (toFill++) EmojiData(624, 320, 3627933376, 0, 2);
		new (toFill++) EmojiData(0, 336, 3627933377, 0, 2);
		new (toFill++) EmojiData(16, 336, 3627933378, 0, 2);
		new (toFill++) EmojiData(32, 336, 3627933379, 0, 2);
		new (toFill++) EmojiData(48, 336, 3627933380, 0, 2);
		new (toFill++) EmojiData(64, 336, 3627933381, 0, 2);
	break;

	case dbisOneAndQuarter:
		new (toFill++) EmojiData(220, 0, 169, 0, 1);
		new (toFill++) EmojiData(240, 0, 174, 0, 1);
		new (toFill++) EmojiData(260, 0, 8252, 0, 1);
		new (toFill++) EmojiData(280, 0, 8265, 0, 1);
		new (toFill++) EmojiData(300, 0, 8482, 0, 1);
		new (toFill++) EmojiData(320, 0, 8505, 0, 1);
		new (toFill++) EmojiData(340, 0, 8596, 0, 1);
		new (toFill++) EmojiData(360, 0, 8597, 0, 1);
		new (toFill++) EmojiData(380, 0, 8598, 0, 1);
		new (toFill++) EmojiData(400, 0, 8599, 0, 1);
		new (toFill++) EmojiData(420, 0, 8600, 0, 1);
		new (toFill++) EmojiData(440, 0, 8601, 0, 1);
		new (toFill++) EmojiData(460, 0, 8617, 0, 1);
		new (toFill++) EmojiData(480, 0, 8618, 0, 1);
		new (toFill++) EmojiData(500, 0, 8986, 0, 1);
		new (toFill++) EmojiData(520, 0, 8987, 0, 1);
		new (toFill++) EmojiData(540, 0, 9193, 0, 1);
		new (toFill++) EmojiData(560, 0, 9194, 0, 1);
		new (toFill++) EmojiData(580, 0, 9195, 0, 1);
		new (toFill++) EmojiData(600, 0, 9196, 0, 1);
		new (toFill++) EmojiData(620, 0, 9200, 0, 1);
		new (toFill++) EmojiData(640, 0, 9203, 0, 1);
		new (toFill++) EmojiData(660, 0, 9410, 0, 1);
		new (toFill++) EmojiData(680, 0, 9642, 0, 1);
		new (toFill++) EmojiData(700, 0, 9643, 0, 1);
		new (toFill++) EmojiData(720, 0, 9654, 0, 1);
		new (toFill++) EmojiData(740, 0, 9664, 0, 1);
		new (toFill++) EmojiData(760, 0, 9723, 0, 1);
		new (toFill++) EmojiData(780, 0, 9724, 0, 1);
		new (toFill++) EmojiData(0, 20, 9725, 0, 1);
		new (toFill++) EmojiData(20, 20, 9726, 0, 1);
		new (toFill++) EmojiData(40, 20, 9728, 0, 1);
		new (toFill++) EmojiData(60, 20, 9729, 0, 1);
		new (toFill++) EmojiData(80, 20, 9742, 0, 1);
		new (toFill++) EmojiData(100, 20, 9745, 0, 1);
		new (toFill++) EmojiData(120, 20, 9748, 0, 1);
		new (toFill++) EmojiData(140, 20, 9749, 0, 1);
		new (toFill++) EmojiData(160, 20, 9757, 0, 1);
		new (toFill++) EmojiData(180, 20, 9786, 0, 1);
		new (toFill++) EmojiData(200, 20, 9800, 0, 1);
		new (toFill++) EmojiData(220, 20, 9801, 0, 1);
		new (toFill++) EmojiData(240, 20, 9802, 0, 1);
		new (toFill++) EmojiData(260, 20, 9803, 0, 1);
		new (toFill++) EmojiData(280, 20, 9804, 0, 1);
		new (toFill++) EmojiData(300, 20, 9805, 0, 1);
		new (toFill++) EmojiData(320, 20, 9806, 0, 1);
		new (toFill++) EmojiData(340, 20, 9807, 0, 1);
		new (toFill++) EmojiData(360, 20, 9808, 0, 1);
		new (toFill++) EmojiData(380, 20, 9809, 0, 1);
		new (toFill++) EmojiData(400, 20, 9810, 0, 1);
		new (toFill++) EmojiData(420, 20, 9811, 0, 1);
		new (toFill++) EmojiData(440, 20, 9824, 0, 1);
		new (toFill++) EmojiData(460, 20, 9827, 0, 1);
		new (toFill++) EmojiData(480, 20, 9829, 0, 1);
		new (toFill++) EmojiData(500, 20, 9830, 0, 1);
		new (toFill++) EmojiData(520, 20, 9832, 0, 1);
		new (toFill++) EmojiData(540, 20, 9851, 0, 1);
		new (toFill++) EmojiData(560, 20, 9855, 0, 1);
		new (toFill++) EmojiData(580, 20, 9875, 0, 1);
		new (toFill++) EmojiData(600, 20, 9888, 0, 1);
		new (toFill++) EmojiData(620, 20, 9889, 0, 1);
		new (toFill++) EmojiData(640, 20, 9898, 0, 1);
		new (toFill++) EmojiData(660, 20, 9899, 0, 1);
		new (toFill++) EmojiData(680, 20, 9917, 0, 1);
		new (toFill++) EmojiData(700, 20, 9918, 0, 1);
		new (toFill++) EmojiData(720, 20, 9924, 0, 1);
		new (toFill++) EmojiData(740, 20, 9925, 0, 1);
		new (toFill++) EmojiData(760, 20, 9934, 0, 1);
		new (toFill++) EmojiData(780, 20, 9940, 0, 1);
		new (toFill++) EmojiData(0, 40, 9962, 0, 1);
		new (toFill++) EmojiData(20, 40, 9970, 0, 1);
		new (toFill++) EmojiData(40, 40, 9971, 0, 1);
		new (toFill++) EmojiData(60, 40, 9973, 0, 1);
		new (toFill++) EmojiData(80, 40, 9978, 0, 1);
		new (toFill++) EmojiData(100, 40, 9981, 0, 1);
		new (toFill++) EmojiData(120, 40, 9986, 0, 1);
		new (toFill++) EmojiData(140, 40, 9989, 0, 1);
		new (toFill++) EmojiData(160, 40, 9992, 0, 1);
		new (toFill++) EmojiData(180, 40, 9993, 0, 1);
		new (toFill++) EmojiData(200, 40, 9994, 0, 1);
		new (toFill++) EmojiData(220, 40, 9995, 0, 1);
		new (toFill++) EmojiData(240, 40, 9996, 0, 1);
		new (toFill++) EmojiData(260, 40, 9999, 0, 1);
		new (toFill++) EmojiData(280, 40, 10002, 0, 1);
		new (toFill++) EmojiData(300, 40, 10004, 0, 1);
		new (toFill++) EmojiData(320, 40, 10006, 0, 1);
		new (toFill++) EmojiData(340, 40, 10024, 0, 1);
		new (toFill++) EmojiData(360, 40, 10035, 0, 1);
		new (toFill++) EmojiData(380, 40, 10036, 0, 1);
		new (toFill++) EmojiData(400, 40, 10052, 0, 1);
		new (toFill++) EmojiData(420, 40, 10055, 0, 1);
		new (toFill++) EmojiData(440, 40, 10060, 0, 1);
		new (toFill++) EmojiData(460, 40, 10062, 0, 1);
		new (toFill++) EmojiData(480, 40, 10067, 0, 1);
		new (toFill++) EmojiData(500, 40, 10068, 0, 1);
		new (toFill++) EmojiData(520, 40, 10069, 0, 1);
		new (toFill++) EmojiData(540, 40, 10071, 0, 1);
		new (toFill++) EmojiData(560, 40, 10084, 0, 1);
		new (toFill++) EmojiData(580, 40, 10133, 0, 1);
		new (toFill++) EmojiData(600, 40, 10134, 0, 1);
		new (toFill++) EmojiData(620, 40, 10135, 0, 1);
		new (toFill++) EmojiData(640, 40, 10145, 0, 1);
		new (toFill++) EmojiData(660, 40, 10160, 0, 1);
		new (toFill++) EmojiData(680, 40, 10175, 0, 1);
		new (toFill++) EmojiData(700, 40, 10548, 0, 1);
		new (toFill++) EmojiData(720, 40, 10549, 0, 1);
		new (toFill++) EmojiData(740, 40, 11013, 0, 1);
		new (toFill++) EmojiData(760, 40, 11014, 0, 1);
		new (toFill++) EmojiData(780, 40, 11015, 0, 1);
		new (toFill++) EmojiData(0, 60, 11035, 0, 1);
		new (toFill++) EmojiData(20, 60, 11036, 0, 1);
		new (toFill++) EmojiData(40, 60, 11088, 0, 1);
		new (toFill++) EmojiData(60, 60, 11093, 0, 1);
		new (toFill++) EmojiData(80, 60, 12336, 0, 1);
		new (toFill++) EmojiData(100, 60, 12349, 0, 1);
		new (toFill++) EmojiData(120, 60, 12951, 0, 1);
		new (toFill++) EmojiData(140, 60, 12953, 0, 1);
		new (toFill++) EmojiData(0, 0, 2302179, 0, 2);
		new (toFill++) EmojiData(20, 0, 3154147, 0, 2);
		new (toFill++) EmojiData(40, 0, 3219683, 0, 2);
		new (toFill++) EmojiData(60, 0, 3285219, 0, 2);
		new (toFill++) EmojiData(80, 0, 3350755, 0, 2);
		new (toFill++) EmojiData(100, 0, 3416291, 0, 2);
		new (toFill++) EmojiData(120, 0, 3481827, 0, 2);
		new (toFill++) EmojiData(140, 0, 3547363, 0, 2);
		new (toFill++) EmojiData(160, 0, 3612899, 0, 2);
		new (toFill++) EmojiData(180, 0, 3678435, 0, 2);
		new (toFill++) EmojiData(200, 0, 3743971, 0, 2);
		new (toFill++) EmojiData(160, 60, 3627867140, 0, 2);
		new (toFill++) EmojiData(180, 60, 3627867343, 0, 2);
		new (toFill++) EmojiData(200, 60, 3627867504, 0, 2);
		new (toFill++) EmojiData(220, 60, 3627867505, 0, 2);
		new (toFill++) EmojiData(240, 60, 3627867518, 0, 2);
		new (toFill++) EmojiData(260, 60, 3627867519, 0, 2);
		new (toFill++) EmojiData(280, 60, 3627867534, 0, 2);
		new (toFill++) EmojiData(300, 60, 3627867537, 0, 2);
		new (toFill++) EmojiData(320, 60, 3627867538, 0, 2);
		new (toFill++) EmojiData(340, 60, 3627867539, 0, 2);
		new (toFill++) EmojiData(360, 60, 3627867540, 0, 2);
		new (toFill++) EmojiData(380, 60, 3627867541, 0, 2);
		new (toFill++) EmojiData(400, 60, 3627867542, 0, 2);
		new (toFill++) EmojiData(420, 60, 3627867543, 0, 2);
		new (toFill++) EmojiData(440, 60, 3627867544, 0, 2);
		new (toFill++) EmojiData(460, 60, 3627867545, 0, 2);
		new (toFill++) EmojiData(480, 60, 3627867546, 0, 2);
		new (toFill++) EmojiData(500, 60, 3627867624, 3627867635, 4);
		new (toFill++) EmojiData(520, 60, 3627867625, 3627867626, 4);
		new (toFill++) EmojiData(540, 60, 3627867626, 3627867640, 4);
		new (toFill++) EmojiData(560, 60, 3627867627, 3627867639, 4);
		new (toFill++) EmojiData(580, 60, 3627867628, 3627867623, 4);
		new (toFill++) EmojiData(600, 60, 3627867630, 3627867641, 4);
		new (toFill++) EmojiData(620, 60, 3627867631, 3627867637, 4);
		new (toFill++) EmojiData(640, 60, 3627867632, 3627867639, 4);
		new (toFill++) EmojiData(660, 60, 3627867639, 3627867642, 4);
		new (toFill++) EmojiData(680, 60, 3627867642, 3627867640, 4);
		new (toFill++) EmojiData(700, 60, 3627867649, 0, 2);
		new (toFill++) EmojiData(720, 60, 3627867650, 0, 2);
		new (toFill++) EmojiData(740, 60, 3627867674, 0, 2);
		new (toFill++) EmojiData(760, 60, 3627867695, 0, 2);
		new (toFill++) EmojiData(780, 60, 3627867698, 0, 2);
		new (toFill++) EmojiData(0, 80, 3627867699, 0, 2);
		new (toFill++) EmojiData(20, 80, 3627867700, 0, 2);
		new (toFill++) EmojiData(40, 80, 3627867701, 0, 2);
		new (toFill++) EmojiData(60, 80, 3627867702, 0, 2);
		new (toFill++) EmojiData(80, 80, 3627867703, 0, 2);
		new (toFill++) EmojiData(100, 80, 3627867704, 0, 2);
		new (toFill++) EmojiData(120, 80, 3627867705, 0, 2);
		new (toFill++) EmojiData(140, 80, 3627867706, 0, 2);
		new (toFill++) EmojiData(160, 80, 3627867728, 0, 2);
		new (toFill++) EmojiData(180, 80, 3627867729, 0, 2);
		new (toFill++) EmojiData(200, 80, 3627867904, 0, 2);
		new (toFill++) EmojiData(220, 80, 3627867905, 0, 2);
		new (toFill++) EmojiData(240, 80, 3627867906, 0, 2);
		new (toFill++) EmojiData(260, 80, 3627867907, 0, 2);
		new (toFill++) EmojiData(280, 80, 3627867908, 0, 2);
		new (toFill++) EmojiData(300, 80, 3627867909, 0, 2);
		new (toFill++) EmojiData(320, 80, 3627867910, 0, 2);
		new (toFill++) EmojiData(340, 80, 3627867911, 0, 2);
		new (toFill++) EmojiData(360, 80, 3627867912, 0, 2);
		new (toFill++) EmojiData(380, 80, 3627867913, 0, 2);
		new (toFill++) EmojiData(400, 80, 3627867914, 0, 2);
		new (toFill++) EmojiData(420, 80, 3627867915, 0, 2);
		new (toFill++) EmojiData(440, 80, 3627867916, 0, 2);
		new (toFill++) EmojiData(460, 80, 3627867917, 0, 2);
		new (toFill++) EmojiData(480, 80, 3627867918, 0, 2);
		new (toFill++) EmojiData(500, 80, 3627867919, 0, 2);
		new (toFill++) EmojiData(520, 80, 3627867920, 0, 2);
		new (toFill++) EmojiData(540, 80, 3627867921, 0, 2);
		new (toFill++) EmojiData(560, 80, 3627867922, 0, 2);
		new (toFill++) EmojiData(580, 80, 3627867923, 0, 2);
		new (toFill++) EmojiData(600, 80, 3627867924, 0, 2);
		new (toFill++) EmojiData(620, 80, 3627867925, 0, 2);
		new (toFill++) EmojiData(640, 80, 3627867926, 0, 2);
		new (toFill++) EmojiData(660, 80, 3627867927, 0, 2);
		new (toFill++) EmojiData(680, 80, 3627867928, 0, 2);
		new (toFill++) EmojiData(700, 80, 3627867929, 0, 2);
		new (toFill++) EmojiData(720, 80, 3627867930, 0, 2);
		new (toFill++) EmojiData(740, 80, 3627867931, 0, 2);
		new (toFill++) EmojiData(760, 80, 3627867932, 0, 2);
		new (toFill++) EmojiData(780, 80, 3627867933, 0, 2);
		new (toFill++) EmojiData(0, 100, 3627867934, 0, 2);
		new (toFill++) EmojiData(20, 100, 3627867935, 0, 2);
		new (toFill++) EmojiData(40, 100, 3627867936, 0, 2);
		new (toFill++) EmojiData(60, 100, 3627867952, 0, 2);
		new (toFill++) EmojiData(80, 100, 3627867953, 0, 2);
		new (toFill++) EmojiData(100, 100, 3627867954, 0, 2);
		new (toFill++) EmojiData(120, 100, 3627867955, 0, 2);
		new (toFill++) EmojiData(140, 100, 3627867956, 0, 2);
		new (toFill++) EmojiData(160, 100, 3627867957, 0, 2);
		new (toFill++) EmojiData(180, 100, 3627867959, 0, 2);
		new (toFill++) EmojiData(200, 100, 3627867960, 0, 2);
		new (toFill++) EmojiData(220, 100, 3627867961, 0, 2);
		new (toFill++) EmojiData(240, 100, 3627867962, 0, 2);
		new (toFill++) EmojiData(260, 100, 3627867963, 0, 2);
		new (toFill++) EmojiData(280, 100, 3627867964, 0, 2);
		new (toFill++) EmojiData(300, 100, 3627867965, 0, 2);
		new (toFill++) EmojiData(320, 100, 3627867966, 0, 2);
		new (toFill++) EmojiData(340, 100, 3627867967, 0, 2);
		new (toFill++) EmojiData(360, 100, 3627867968, 0, 2);
		new (toFill++) EmojiData(380, 100, 3627867969, 0, 2);
		new (toFill++) EmojiData(400, 100, 3627867970, 0, 2);
		new (toFill++) EmojiData(420, 100, 3627867971, 0, 2);
		new (toFill++) EmojiData(440, 100, 3627867972, 0, 2);
		new (toFill++) EmojiData(460, 100, 3627867973, 0, 2);
		new (toFill++) EmojiData(480, 100, 3627867974, 0, 2);
		new (toFill++) EmojiData(500, 100, 3627867975, 0, 2);
		new (toFill++) EmojiData(520, 100, 3627867976, 0, 2);
		new (toFill++) EmojiData(540, 100, 3627867977, 0, 2);
		new (toFill++) EmojiData(560, 100, 3627867978, 0, 2);
		new (toFill++) EmojiData(580, 100, 3627867979, 0, 2);
		new (toFill++) EmojiData(600, 100, 3627867980, 0, 2);
		new (toFill++) EmojiData(620, 100, 3627867981, 0, 2);
		new (toFill++) EmojiData(640, 100, 3627867982, 0, 2);
		new (toFill++) EmojiData(660, 100, 3627867983, 0, 2);
		new (toFill++) EmojiData(680, 100, 3627867984, 0, 2);
		new (toFill++) EmojiData(700, 100, 3627867985, 0, 2);
		new (toFill++) EmojiData(720, 100, 3627867986, 0, 2);
		new (toFill++) EmojiData(740, 100, 3627867987, 0, 2);
		new (toFill++) EmojiData(760, 100, 3627867988, 0, 2);
		new (toFill++) EmojiData(780, 100, 3627867989, 0, 2);
		new (toFill++) EmojiData(0, 120, 3627867990, 0, 2);
		new (toFill++) EmojiData(20, 120, 3627867991, 0, 2);
		new (toFill++) EmojiData(40, 120, 3627867992, 0, 2);
		new (toFill++) EmojiData(60, 120, 3627867993, 0, 2);
		new (toFill++) EmojiData(80, 120, 3627867994, 0, 2);
		new (toFill++) EmojiData(100, 120, 3627867995, 0, 2);
		new (toFill++) EmojiData(120, 120, 3627867996, 0, 2);
		new (toFill++) EmojiData(140, 120, 3627867997, 0, 2);
		new (toFill++) EmojiData(160, 120, 3627867998, 0, 2);
		new (toFill++) EmojiData(180, 120, 3627867999, 0, 2);
		new (toFill++) EmojiData(200, 120, 3627868000, 0, 2);
		new (toFill++) EmojiData(220, 120, 3627868001, 0, 2);
		new (toFill++) EmojiData(240, 120, 3627868002, 0, 2);
		new (toFill++) EmojiData(260, 120, 3627868003, 0, 2);
		new (toFill++) EmojiData(280, 120, 3627868004, 0, 2);
		new (toFill++) EmojiData(300, 120, 3627868005, 0, 2);
		new (toFill++) EmojiData(320, 120, 3627868006, 0, 2);
		new (toFill++) EmojiData(340, 120, 3627868007, 0, 2);
		new (toFill++) EmojiData(360, 120, 3627868008, 0, 2);
		new (toFill++) EmojiData(380, 120, 3627868009, 0, 2);
		new (toFill++) EmojiData(400, 120, 3627868010, 0, 2);
		new (toFill++) EmojiData(420, 120, 3627868011, 0, 2);
		new (toFill++) EmojiData(440, 120, 3627868012, 0, 2);
		new (toFill++) EmojiData(460, 120, 3627868013, 0, 2);
		new (toFill++) EmojiData(480, 120, 3627868014, 0, 2);
		new (toFill++) EmojiData(500, 120, 3627868015, 0, 2);
		new (toFill++) EmojiData(520, 120, 3627868016, 0, 2);
		new (toFill++) EmojiData(540, 120, 3627868017, 0, 2);
		new (toFill++) EmojiData(560, 120, 3627868018, 0, 2);
		new (toFill++) EmojiData(580, 120, 3627868019, 0, 2);
		new (toFill++) EmojiData(600, 120, 3627868020, 0, 2);
		new (toFill++) EmojiData(620, 120, 3627868021, 0, 2);
		new (toFill++) EmojiData(640, 120, 3627868022, 0, 2);
		new (toFill++) EmojiData(660, 120, 3627868023, 0, 2);
		new (toFill++) EmojiData(680, 120, 3627868024, 0, 2);
		new (toFill++) EmojiData(700, 120, 3627868025, 0, 2);
		new (toFill++) EmojiData(720, 120, 3627868026, 0, 2);
		new (toFill++) EmojiData(740, 120, 3627868027, 0, 2);
		new (toFill++) EmojiData(760, 120, 3627868028, 0, 2);
		new (toFill++) EmojiData(780, 120, 3627868032, 0, 2);
		new (toFill++) EmojiData(0, 140, 3627868033, 0, 2);
		new (toFill++) EmojiData(20, 140, 3627868034, 0, 2);
		new (toFill++) EmojiData(40, 140, 3627868035, 0, 2);
		new (toFill++) EmojiData(60, 140, 3627868036, 0, 2);
		new (toFill++) EmojiData(80, 140, 3627868037, 0, 2);
		new (toFill++) EmojiData(100, 140, 3627868038, 0, 2);
		new (toFill++) EmojiData(120, 140, 3627868039, 0, 2);
		new (toFill++) EmojiData(140, 140, 3627868040, 0, 2);
		new (toFill++) EmojiData(160, 140, 3627868041, 0, 2);
		new (toFill++) EmojiData(180, 140, 3627868042, 0, 2);
		new (toFill++) EmojiData(200, 140, 3627868043, 0, 2);
		new (toFill++) EmojiData(220, 140, 3627868044, 0, 2);
		new (toFill++) EmojiData(240, 140, 3627868045, 0, 2);
		new (toFill++) EmojiData(260, 140, 3627868046, 0, 2);
		new (toFill++) EmojiData(280, 140, 3627868047, 0, 2);
		new (toFill++) EmojiData(300, 140, 3627868048, 0, 2);
		new (toFill++) EmojiData(320, 140, 3627868049, 0, 2);
		new (toFill++) EmojiData(340, 140, 3627868050, 0, 2);
		new (toFill++) EmojiData(360, 140, 3627868051, 0, 2);
		new (toFill++) EmojiData(380, 140, 3627868064, 0, 2);
		new (toFill++) EmojiData(400, 140, 3627868065, 0, 2);
		new (toFill++) EmojiData(420, 140, 3627868066, 0, 2);
		new (toFill++) EmojiData(440, 140, 3627868067, 0, 2);
		new (toFill++) EmojiData(460, 140, 3627868068, 0, 2);
		new (toFill++) EmojiData(480, 140, 3627868069, 0, 2);
		new (toFill++) EmojiData(500, 140, 3627868070, 0, 2);
		new (toFill++) EmojiData(520, 140, 3627868071, 0, 2);
		new (toFill++) EmojiData(540, 140, 3627868072, 0, 2);
		new (toFill++) EmojiData(560, 140, 3627868073, 0, 2);
		new (toFill++) EmojiData(580, 140, 3627868074, 0, 2);
		new (toFill++) EmojiData(600, 140, 3627868075, 0, 2);
		new (toFill++) EmojiData(620, 140, 3627868076, 0, 2);
		new (toFill++) EmojiData(640, 140, 3627868077, 0, 2);
		new (toFill++) EmojiData(660, 140, 3627868078, 0, 2);
		new (toFill++) EmojiData(680, 140, 3627868079, 0, 2);
		new (toFill++) EmojiData(700, 140, 3627868080, 0, 2);
		new (toFill++) EmojiData(720, 140, 3627868081, 0, 2);
		new (toFill++) EmojiData(740, 140, 3627868082, 0, 2);
		new (toFill++) EmojiData(760, 140, 3627868083, 0, 2);
		new (toFill++) EmojiData(780, 140, 3627868084, 0, 2);
		new (toFill++) EmojiData(0, 160, 3627868085, 0, 2);
		new (toFill++) EmojiData(20, 160, 3627868086, 0, 2);
		new (toFill++) EmojiData(40, 160, 3627868087, 0, 2);
		new (toFill++) EmojiData(60, 160, 3627868088, 0, 2);
		new (toFill++) EmojiData(80, 160, 3627868089, 0, 2);
		new (toFill++) EmojiData(100, 160, 3627868090, 0, 2);
		new (toFill++) EmojiData(120, 160, 3627868091, 0, 2);
		new (toFill++) EmojiData(140, 160, 3627868092, 0, 2);
		new (toFill++) EmojiData(160, 160, 3627868093, 0, 2);
		new (toFill++) EmojiData(180, 160, 3627868094, 0, 2);
		new (toFill++) EmojiData(200, 160, 3627868095, 0, 2);
		new (toFill++) EmojiData(220, 160, 3627868096, 0, 2);
		new (toFill++) EmojiData(240, 160, 3627868097, 0, 2);
		new (toFill++) EmojiData(260, 160, 3627868098, 0, 2);
		new (toFill++) EmojiData(280, 160, 3627868099, 0, 2);
		new (toFill++) EmojiData(300, 160, 3627868100, 0, 2);
		new (toFill++) EmojiData(320, 160, 3627868102, 0, 2);
		new (toFill++) EmojiData(340, 160, 3627868103, 0, 2);
		new (toFill++) EmojiData(360, 160, 3627868104, 0, 2);
		new (toFill++) EmojiData(380, 160, 3627868105, 0, 2);
		new (toFill++) EmojiData(400, 160, 3627868106, 0, 2);
		new (toFill++) EmojiData(420, 160, 3627868128, 0, 2);
		new (toFill++) EmojiData(440, 160, 3627868129, 0, 2);
		new (toFill++) EmojiData(460, 160, 3627868130, 0, 2);
		new (toFill++) EmojiData(480, 160, 3627868131, 0, 2);
		new (toFill++) EmojiData(500, 160, 3627868132, 0, 2);
		new (toFill++) EmojiData(520, 160, 3627868133, 0, 2);
		new (toFill++) EmojiData(540, 160, 3627868134, 0, 2);
		new (toFill++) EmojiData(560, 160, 3627868135, 0, 2);
		new (toFill++) EmojiData(580, 160, 3627868136, 0, 2);
		new (toFill++) EmojiData(600, 160, 3627868137, 0, 2);
		new (toFill++) EmojiData(620, 160, 3627868138, 0, 2);
		new (toFill++) EmojiData(640, 160, 3627868139, 0, 2);
		new (toFill++) EmojiData(660, 160, 3627868140, 0, 2);
		new (toFill++) EmojiData(680, 160, 3627868141, 0, 2);
		new (toFill++) EmojiData(700, 160, 3627868142, 0, 2);
		new (toFill++) EmojiData(720, 160, 3627868143, 0, 2);
		new (toFill++) EmojiData(740, 160, 3627868144, 0, 2);
		new (toFill++) EmojiData(760, 160, 3627932672, 0, 2);
		new (toFill++) EmojiData(780, 160, 3627932673, 0, 2);
		new (toFill++) EmojiData(0, 180, 3627932674, 0, 2);
		new (toFill++) EmojiData(20, 180, 3627932675, 0, 2);
		new (toFill++) EmojiData(40, 180, 3627932676, 0, 2);
		new (toFill++) EmojiData(60, 180, 3627932677, 0, 2);
		new (toFill++) EmojiData(80, 180, 3627932678, 0, 2);
		new (toFill++) EmojiData(100, 180, 3627932679, 0, 2);
		new (toFill++) EmojiData(120, 180, 3627932680, 0, 2);
		new (toFill++) EmojiData(140, 180, 3627932681, 0, 2);
		new (toFill++) EmojiData(160, 180, 3627932682, 0, 2);
		new (toFill++) EmojiData(180, 180, 3627932683, 0, 2);
		new (toFill++) EmojiData(200, 180, 3627932684, 0, 2);
		new (toFill++) EmojiData(220, 180, 3627932685, 0, 2);
		new (toFill++) EmojiData(240, 180, 3627932686, 0, 2);
		new (toFill++) EmojiData(260, 180, 3627932687, 0, 2);
		new (toFill++) EmojiData(280, 180, 3627932688, 0, 2);
		new (toFill++) EmojiData(300, 180, 3627932689, 0, 2);
		new (toFill++) EmojiData(320, 180, 3627932690, 0, 2);
		new (toFill++) EmojiData(340, 180, 3627932691, 0, 2);
		new (toFill++) EmojiData(360, 180, 3627932692, 0, 2);
		new (toFill++) EmojiData(380, 180, 3627932693, 0, 2);
		new (toFill++) EmojiData(400, 180, 3627932694, 0, 2);
		new (toFill++) EmojiData(420, 180, 3627932695, 0, 2);
		new (toFill++) EmojiData(440, 180, 3627932696, 0, 2);
		new (toFill++) EmojiData(460, 180, 3627932697, 0, 2);
		new (toFill++) EmojiData(480, 180, 3627932698, 0, 2);
		new (toFill++) EmojiData(500, 180, 3627932699, 0, 2);
		new (toFill++) EmojiData(520, 180, 3627932700, 0, 2);
		new (toFill++) EmojiData(540, 180, 3627932701, 0, 2);
		new (toFill++) EmojiData(560, 180, 3627932702, 0, 2);
		new (toFill++) EmojiData(580, 180, 3627932703, 0, 2);
		new (toFill++) EmojiData(600, 180, 3627932704, 0, 2);
		new (toFill++) EmojiData(620, 180, 3627932705, 0, 2);
		new (toFill++) EmojiData(640, 180, 3627932706, 0, 2);
		new (toFill++) EmojiData(660, 180, 3627932707, 0, 2);
		new (toFill++) EmojiData(680, 180, 3627932708, 0, 2);
		new (toFill++) EmojiData(700, 180, 3627932709, 0, 2);
		new (toFill++) EmojiData(720, 180, 3627932710, 0, 2);
		new (toFill++) EmojiData(740, 180, 3627932711, 0, 2);
		new (toFill++) EmojiData(760, 180, 3627932712, 0, 2);
		new (toFill++) EmojiData(780, 180, 3627932713, 0, 2);
		new (toFill++) EmojiData(0, 200, 3627932714, 0, 2);
		new (toFill++) EmojiData(20, 200, 3627932715, 0, 2);
		new (toFill++) EmojiData(40, 200, 3627932716, 0, 2);
		new (toFill++) EmojiData(60, 200, 3627932717, 0, 2);
		new (toFill++) EmojiData(80, 200, 3627932718, 0, 2);
		new (toFill++) EmojiData(100, 200, 3627932719, 0, 2);
		new (toFill++) EmojiData(120, 200, 3627932720, 0, 2);
		new (toFill++) EmojiData(140, 200, 3627932721, 0, 2);
		new (toFill++) EmojiData(160, 200, 3627932722, 0, 2);
		new (toFill++) EmojiData(180, 200, 3627932723, 0, 2);
		new (toFill++) EmojiData(200, 200, 3627932724, 0, 2);
		new (toFill++) EmojiData(220, 200, 3627932725, 0, 2);
		new (toFill++) EmojiData(240, 200, 3627932726, 0, 2);
		new (toFill++) EmojiData(260, 200, 3627932727, 0, 2);
		new (toFill++) EmojiData(280, 200, 3627932728, 0, 2);
		new (toFill++) EmojiData(300, 200, 3627932729, 0, 2);
		new (toFill++) EmojiData(320, 200, 3627932730, 0, 2);
		new (toFill++) EmojiData(340, 200, 3627932731, 0, 2);
		new (toFill++) EmojiData(360, 200, 3627932732, 0, 2);
		new (toFill++) EmojiData(380, 200, 3627932733, 0, 2);
		new (toFill++) EmojiData(400, 200, 3627932734, 0, 2);
		new (toFill++) EmojiData(420, 200, 3627932736, 0, 2);
		new (toFill++) EmojiData(440, 200, 3627932738, 0, 2);
		new (toFill++) EmojiData(460, 200, 3627932739, 0, 2);
		new (toFill++) EmojiData(480, 200, 3627932740, 0, 2);
		new (toFill++) EmojiData(500, 200, 3627932741, 0, 2);
		new (toFill++) EmojiData(520, 200, 3627932742, 0, 2);
		new (toFill++) EmojiData(540, 200, 3627932743, 0, 2);
		new (toFill++) EmojiData(560, 200, 3627932744, 0, 2);
		new (toFill++) EmojiData(580, 200, 3627932745, 0, 2);
		new (toFill++) EmojiData(600, 200, 3627932746, 0, 2);
		new (toFill++) EmojiData(620, 200, 3627932747, 0, 2);
		new (toFill++) EmojiData(640, 200, 3627932748, 0, 2);
		new (toFill++) EmojiData(660, 200, 3627932749, 0, 2);
		new (toFill++) EmojiData(680, 200, 3627932750, 0, 2);
		new (toFill++) EmojiData(700, 200, 3627932751, 0, 2);
		new (toFill++) EmojiData(720, 200, 3627932752, 0, 2);
		new (toFill++) EmojiData(740, 200, 3627932753, 0, 2);
		new (toFill++) EmojiData(760, 200, 3627932754, 0, 2);
		new (toFill++) EmojiData(780, 200, 3627932755, 0, 2);
		new (toFill++) EmojiData(0, 220, 3627932756, 0, 2);
		new (toFill++) EmojiData(20, 220, 3627932757, 0, 2);
		new (toFill++) EmojiData(40, 220, 3627932758, 0, 2);
		new (toFill++) EmojiData(60, 220, 3627932759, 0, 2);
		new (toFill++) EmojiData(80, 220, 3627932760, 0, 2);
		new (toFill++) EmojiData(100, 220, 3627932761, 0, 2);
		new (toFill++) EmojiData(120, 220, 3627932762, 0, 2);
		new (toFill++) EmojiData(140, 220, 3627932763, 0, 2);
		new (toFill++) EmojiData(160, 220, 3627932764, 0, 2);
		new (toFill++) EmojiData(180, 220, 3627932765, 0, 2);
		new (toFill++) EmojiData(200, 220, 3627932766, 0, 2);
		new (toFill++) EmojiData(220, 220, 3627932767, 0, 2);
		new (toFill++) EmojiData(240, 220, 3627932768, 0, 2);
		new (toFill++) EmojiData(260, 220, 3627932769, 0, 2);
		new (toFill++) EmojiData(280, 220, 3627932770, 0, 2);
		new (toFill++) EmojiData(300, 220, 3627932771, 0, 2);
		new (toFill++) EmojiData(320, 220, 3627932772, 0, 2);
		new (toFill++) EmojiData(340, 220, 3627932773, 0, 2);
		new (toFill++) EmojiData(360, 220, 3627932774, 0, 2);
		new (toFill++) EmojiData(380, 220, 3627932775, 0, 2);
		new (toFill++) EmojiData(400, 220, 3627932776, 0, 2);
		new (toFill++) EmojiData(420, 220, 3627932777, 0, 2);
		new (toFill++) EmojiData(440, 220, 3627932778, 0, 2);
		new (toFill++) EmojiData(460, 220, 3627932779, 0, 2);
		new (toFill++) EmojiData(480, 220, 3627932780, 0, 2);
		new (toFill++) EmojiData(500, 220, 3627932781, 0, 2);
		new (toFill++) EmojiData(520, 220, 3627932782, 0, 2);
		new (toFill++) EmojiData(540, 220, 3627932783, 0, 2);
		new (toFill++) EmojiData(560, 220, 3627932784, 0, 2);
		new (toFill++) EmojiData(580, 220, 3627932785, 0, 2);
		new (toFill++) EmojiData(600, 220, 3627932786, 0, 2);
		new (toFill++) EmojiData(620, 220, 3627932787, 0, 2);
		new (toFill++) EmojiData(640, 220, 3627932788, 0, 2);
		new (toFill++) EmojiData(660, 220, 3627932789, 0, 2);
		new (toFill++) EmojiData(680, 220, 3627932790, 0, 2);
		new (toFill++) EmojiData(700, 220, 3627932791, 0, 2);
		new (toFill++) EmojiData(720, 220, 3627932792, 0, 2);
		new (toFill++) EmojiData(740, 220, 3627932793, 0, 2);
		new (toFill++) EmojiData(760, 220, 3627932794, 0, 2);
		new (toFill++) EmojiData(780, 220, 3627932795, 0, 2);
		new (toFill++) EmojiData(0, 240, 3627932796, 0, 2);
		new (toFill++) EmojiData(20, 240, 3627932797, 0, 2);
		new (toFill++) EmojiData(40, 240, 3627932798, 0, 2);
		new (toFill++) EmojiData(60, 240, 3627932799, 0, 2);
		new (toFill++) EmojiData(80, 240, 3627932800, 0, 2);
		new (toFill++) EmojiData(100, 240, 3627932801, 0, 2);
		new (toFill++) EmojiData(120, 240, 3627932802, 0, 2);
		new (toFill++) EmojiData(140, 240, 3627932803, 0, 2);
		new (toFill++) EmojiData(160, 240, 3627932804, 0, 2);
		new (toFill++) EmojiData(180, 240, 3627932805, 0, 2);
		new (toFill++) EmojiData(200, 240, 3627932806, 0, 2);
		new (toFill++) EmojiData(220, 240, 3627932807, 0, 2);
		new (toFill++) EmojiData(240, 240, 3627932808, 0, 2);
		new (toFill++) EmojiData(260, 240, 3627932809, 0, 2);
		new (toFill++) EmojiData(280, 240, 3627932810, 0, 2);
		new (toFill++) EmojiData(300, 240, 3627932811, 0, 2);
		new (toFill++) EmojiData(320, 240, 3627932812, 0, 2);
		new (toFill++) EmojiData(340, 240, 3627932813, 0, 2);
		new (toFill++) EmojiData(360, 240, 3627932814, 0, 2);
		new (toFill++) EmojiData(380, 240, 3627932815, 0, 2);
		new (toFill++) EmojiData(400, 240, 3627932816, 0, 2);
		new (toFill++) EmojiData(420, 240, 3627932817, 0, 2);
		new (toFill++) EmojiData(440, 240, 3627932818, 0, 2);
		new (toFill++) EmojiData(460, 240, 3627932819, 0, 2);
		new (toFill++) EmojiData(480, 240, 3627932820, 0, 2);
		new (toFill++) EmojiData(500, 240, 3627932821, 0, 2);
		new (toFill++) EmojiData(520, 240, 3627932822, 0, 2);
		new (toFill++) EmojiData(540, 240, 3627932823, 0, 2);
		new (toFill++) EmojiData(560, 240, 3627932824, 0, 2);
		new (toFill++) EmojiData(580, 240, 3627932825, 0, 2);
		new (toFill++) EmojiData(600, 240, 3627932826, 0, 2);
		new (toFill++) EmojiData(620, 240, 3627932827, 0, 2);
		new (toFill++) EmojiData(640, 240, 3627932828, 0, 2);
		new (toFill++) EmojiData(660, 240, 3627932829, 0, 2);
		new (toFill++) EmojiData(680, 240, 3627932830, 0, 2);
		new (toFill++) EmojiData(700, 240, 3627932831, 0, 2);
		new (toFill++) EmojiData(720, 240, 3627932832, 0, 2);
		new (toFill++) EmojiData(740, 240, 3627932833, 0, 2);
		new (toFill++) EmojiData(760, 240, 3627932834, 0, 2);
		new (toFill++) EmojiData(780, 240, 3627932835, 0, 2);
		new (toFill++) EmojiData(0, 260, 3627932836, 0, 2);
		new (toFill++) EmojiData(20, 260, 3627932837, 0, 2);
		new (toFill++) EmojiData(40, 260, 3627932838, 0, 2);
		new (toFill++) EmojiData(60, 260, 3627932839, 0, 2);
		new (toFill++) EmojiData(80, 260, 3627932840, 0, 2);
		new (toFill++) EmojiData(100, 260, 3627932841, 0, 2);
		new (toFill++) EmojiData(120, 260, 3627932842, 0, 2);
		new (toFill++) EmojiData(140, 260, 3627932843, 0, 2);
		new (toFill++) EmojiData(160, 260, 3627932844, 0, 2);
		new (toFill++) EmojiData(180, 260, 3627932845, 0, 2);
		new (toFill++) EmojiData(200, 260, 3627932846, 0, 2);
		new (toFill++) EmojiData(220, 260, 3627932847, 0, 2);
		new (toFill++) EmojiData(240, 260, 3627932848, 0, 2);
		new (toFill++) EmojiData(260, 260, 3627932849, 0, 2);
		new (toFill++) EmojiData(280, 260, 3627932850, 0, 2);
		new (toFill++) EmojiData(300, 260, 3627932851, 0, 2);
		new (toFill++) EmojiData(320, 260, 3627932852, 0, 2);
		new (toFill++) EmojiData(340, 260, 3627932853, 0, 2);
		new (toFill++) EmojiData(360, 260, 3627932854, 0, 2);
		new (toFill++) EmojiData(380, 260, 3627932855, 0, 2);
		new (toFill++) EmojiData(400, 260, 3627932856, 0, 2);
		new (toFill++) EmojiData(420, 260, 3627932857, 0, 2);
		new (toFill++) EmojiData(440, 260, 3627932858, 0, 2);
		new (toFill++) EmojiData(460, 260, 3627932859, 0, 2);
		new (toFill++) EmojiData(480, 260, 3627932860, 0, 2);
		new (toFill++) EmojiData(500, 260, 3627932861, 0, 2);
		new (toFill++) EmojiData(520, 260, 3627932862, 0, 2);
		new (toFill++) EmojiData(540, 260, 3627932863, 0, 2);
		new (toFill++) EmojiData(560, 260, 3627932864, 0, 2);
		new (toFill++) EmojiData(580, 260, 3627932865, 0, 2);
		new (toFill++) EmojiData(600, 260, 3627932866, 0, 2);
		new (toFill++) EmojiData(620, 260, 3627932867, 0, 2);
		new (toFill++) EmojiData(640, 260, 3627932868, 0, 2);
		new (toFill++) EmojiData(660, 260, 3627932869, 0, 2);
		new (toFill++) EmojiData(680, 260, 3627932870, 0, 2);
		new (toFill++) EmojiData(700, 260, 3627932871, 0, 2);
		new (toFill++) EmojiData(720, 260, 3627932872, 0, 2);
		new (toFill++) EmojiData(740, 260, 3627932873, 0, 2);
		new (toFill++) EmojiData(760, 260, 3627932874, 0, 2);
		new (toFill++) EmojiData(780, 260, 3627932875, 0, 2);
		new (toFill++) EmojiData(0, 280, 3627932876, 0, 2);
		new (toFill++) EmojiData(20, 280, 3627932877, 0, 2);
		new (toFill++) EmojiData(40, 280, 3627932878, 0, 2);
		new (toFill++) EmojiData(60, 280, 3627932879, 0, 2);
		new (toFill++) EmojiData(80, 280, 3627932880, 0, 2);
		new (toFill++) EmojiData(100, 280, 3627932881, 0, 2);
		new (toFill++) EmojiData(120, 280, 3627932882, 0, 2);
		new (toFill++) EmojiData(140, 280, 3627932883, 0, 2);
		new (toFill++) EmojiData(160, 280, 3627932884, 0, 2);
		new (toFill++) EmojiData(180, 280, 3627932885, 0, 2);
		new (toFill++) EmojiData(200, 280, 3627932886, 0, 2);
		new (toFill++) EmojiData(220, 280, 3627932887, 0, 2);
		new (toFill++) EmojiData(240, 280, 3627932888, 0, 2);
		new (toFill++) EmojiData(260, 280, 3627932889, 0, 2);
		new (toFill++) EmojiData(280, 280, 3627932890, 0, 2);
		new (toFill++) EmojiData(300, 280, 3627932891, 0, 2);
		new (toFill++) EmojiData(320, 280, 3627932892, 0, 2);
		new (toFill++) EmojiData(340, 280, 3627932893, 0, 2);
		new (toFill++) EmojiData(360, 280, 3627932894, 0, 2);
		new (toFill++) EmojiData(380, 280, 3627932895, 0, 2);
		new (toFill++) EmojiData(400, 280, 3627932896, 0, 2);
		new (toFill++) EmojiData(420, 280, 3627932897, 0, 2);
		new (toFill++) EmojiData(440, 280, 3627932898, 0, 2);
		new (toFill++) EmojiData(460, 280, 3627932899, 0, 2);
		new (toFill++) EmojiData(480, 280, 3627932900, 0, 2);
		new (toFill++) EmojiData(500, 280, 3627932901, 0, 2);
		new (toFill++) EmojiData(520, 280, 3627932902, 0, 2);
		new (toFill++) EmojiData(540, 280, 3627932903, 0, 2);
		new (toFill++) EmojiData(560, 280, 3627932904, 0, 2);
		new (toFill++) EmojiData(580, 280, 3627932905, 0, 2);
		new (toFill++) EmojiData(600, 280, 3627932906, 0, 2);
		new (toFill++) EmojiData(620, 280, 3627932907, 0, 2);
		new (toFill++) EmojiData(640, 280, 3627932908, 0, 2);
		new (toFill++) EmojiData(660, 280, 3627932909, 0, 2);
		new (toFill++) EmojiData(680, 280, 3627932910, 0, 2);
		new (toFill++) EmojiData(700, 280, 3627932911, 0, 2);
		new (toFill++) EmojiData(720, 280, 3627932912, 0, 2);
		new (toFill++) EmojiData(740, 280, 3627932913, 0, 2);
		new (toFill++) EmojiData(760, 280, 3627932914, 0, 2);
		new (toFill++) EmojiData(780, 280, 3627932915, 0, 2);
		new (toFill++) EmojiData(0, 300, 3627932916, 0, 2);
		new (toFill++) EmojiData(20, 300, 3627932917, 0, 2);
		new (toFill++) EmojiData(40, 300, 3627932918, 0, 2);
		new (toFill++) EmojiData(60, 300, 3627932919, 0, 2);
		new (toFill++) EmojiData(80, 300, 3627932921, 0, 2);
		new (toFill++) EmojiData(100, 300, 3627932922, 0, 2);
		new (toFill++) EmojiData(120, 300, 3627932923, 0, 2);
		new (toFill++) EmojiData(140, 300, 3627932924, 0, 2);
		new (toFill++) EmojiData(160, 300, 3627932928, 0, 2);
		new (toFill++) EmojiData(180, 300, 3627932929, 0, 2);
		new (toFill++) EmojiData(200, 300, 3627932930, 0, 2);
		new (toFill++) EmojiData(220, 300, 3627932931, 0, 2);
		new (toFill++) EmojiData(240, 300, 3627932932, 0, 2);
		new (toFill++) EmojiData(260, 300, 3627932933, 0, 2);
		new (toFill++) EmojiData(280, 300, 3627932934, 0, 2);
		new (toFill++) EmojiData(300, 300, 3627932935, 0, 2);
		new (toFill++) EmojiData(320, 300, 3627932936, 0, 2);
		new (toFill++) EmojiData(340, 300, 3627932937, 0, 2);
		new (toFill++) EmojiData(360, 300, 3627932938, 0, 2);
		new (toFill++) EmojiData(380, 300, 3627932939, 0, 2);
		new (toFill++) EmojiData(400, 300, 3627932940, 0, 2);
		new (toFill++) EmojiData(420, 300, 3627932941, 0, 2);
		new (toFill++) EmojiData(440, 300, 3627932942, 0, 2);
		new (toFill++) EmojiData(460, 300, 3627932943, 0, 2);
		new (toFill++) EmojiData(480, 300, 3627932944, 0, 2);
		new (toFill++) EmojiData(500, 300, 3627932945, 0, 2);
		new (toFill++) EmojiData(520, 300, 3627932946, 0, 2);
		new (toFill++) EmojiData(540, 300, 3627932947, 0, 2);
		new (toFill++) EmojiData(560, 300, 3627932948, 0, 2);
		new (toFill++) EmojiData(580, 300, 3627932949, 0, 2);
		new (toFill++) EmojiData(600, 300, 3627932950, 0, 2);
		new (toFill++) EmojiData(620, 300, 3627932951, 0, 2);
		new (toFill++) EmojiData(640, 300, 3627932952, 0, 2);
		new (toFill++) EmojiData(660, 300, 3627932953, 0, 2);
		new (toFill++) EmojiData(680, 300, 3627932954, 0, 2);
		new (toFill++) EmojiData(700, 300, 3627932955, 0, 2);
		new (toFill++) EmojiData(720, 300, 3627932956, 0, 2);
		new (toFill++) EmojiData(740, 300, 3627932957, 0, 2);
		new (toFill++) EmojiData(760, 300, 3627932958, 0, 2);
		new (toFill++) EmojiData(780, 300, 3627932959, 0, 2);
		new (toFill++) EmojiData(0, 320, 3627932960, 0, 2);
		new (toFill++) EmojiData(20, 320, 3627932961, 0, 2);
		new (toFill++) EmojiData(40, 320, 3627932962, 0, 2);
		new (toFill++) EmojiData(60, 320, 3627932963, 0, 2);
		new (toFill++) EmojiData(80, 320, 3627932964, 0, 2);
		new (toFill++) EmojiData(100, 320, 3627932965, 0, 2);
		new (toFill++) EmojiData(120, 320, 3627932966, 0, 2);
		new (toFill++) EmojiData(140, 320, 3627932967, 0, 2);
		new (toFill++) EmojiData(160, 320, 3627932968, 0, 2);
		new (toFill++) EmojiData(180, 320, 3627932969, 0, 2);
		new (toFill++) EmojiData(200, 320, 3627932970, 0, 2);
		new (toFill++) EmojiData(220, 320, 3627932971, 0, 2);
		new (toFill++) EmojiData(240, 320, 3627932972, 0, 2);
		new (toFill++) EmojiData(260, 320, 3627932973, 0, 2);
		new (toFill++) EmojiData(280, 320, 3627932974, 0, 2);
		new (toFill++) EmojiData(300, 320, 3627932975, 0, 2);
		new (toFill++) EmojiData(320, 320, 3627932976, 0, 2);
		new (toFill++) EmojiData(340, 320, 3627932977, 0, 2);
		new (toFill++) EmojiData(360, 320, 3627932978, 0, 2);
		new (toFill++) EmojiData(380, 320, 3627932979, 0, 2);
		new (toFill++) EmojiData(400, 320, 3627932980, 0, 2);
		new (toFill++) EmojiData(420, 320, 3627932981, 0, 2);
		new (toFill++) EmojiData(440, 320, 3627932982, 0, 2);
		new (toFill++) EmojiData(460, 320, 3627932983, 0, 2);
		new (toFill++) EmojiData(480, 320, 3627932984, 0, 2);
		new (toFill++) EmojiData(500, 320, 3627932985, 0, 2);
		new (toFill++) EmojiData(520, 320, 3627932986, 0, 2);
		new (toFill++) EmojiData(540, 320, 3627932987, 0, 2);
		new (toFill++) EmojiData(560, 320, 3627932988, 0, 2);
		new (toFill++) EmojiData(580, 320, 3627932989, 0, 2);
		new (toFill++) EmojiData(600, 320, 3627933008, 0, 2);
		new (toFill++) EmojiData(620, 320, 3627933009, 0, 2);
		new (toFill++) EmojiData(640, 320, 3627933010, 0, 2);
		new (toFill++) EmojiData(660, 320, 3627933011, 0, 2);
		new (toFill++) EmojiData(680, 320, 3627933012, 0, 2);
		new (toFill++) EmojiData(700, 320, 3627933013, 0, 2);
		new (toFill++) EmojiData(720, 320, 3627933014, 0, 2);
		new (toFill++) EmojiData(740, 320, 3627933015, 0, 2);
		new (toFill++) EmojiData(760, 320, 3627933016, 0, 2);
		new (toFill++) EmojiData(780, 320, 3627933017, 0, 2);
		new (toFill++) EmojiData(0, 340, 3627933018, 0, 2);
		new (toFill++) EmojiData(20, 340, 3627933019, 0, 2);
		new (toFill++) EmojiData(40, 340, 3627933020, 0, 2);
		new (toFill++) EmojiData(60, 340, 3627933021, 0, 2);
		new (toFill++) EmojiData(80, 340, 3627933022, 0, 2);
		new (toFill++) EmojiData(100, 340, 3627933023, 0, 2);
		new (toFill++) EmojiData(120, 340, 3627933024, 0, 2);
		new (toFill++) EmojiData(140, 340, 3627933025, 0, 2);
		new (toFill++) EmojiData(160, 340, 3627933026, 0, 2);
		new (toFill++) EmojiData(180, 340, 3627933027, 0, 2);
		new (toFill++) EmojiData(200, 340, 3627933028, 0, 2);
		new (toFill++) EmojiData(220, 340, 3627933029, 0, 2);
		new (toFill++) EmojiData(240, 340, 3627933030, 0, 2);
		new (toFill++) EmojiData(260, 340, 3627933031, 0, 2);
		new (toFill++) EmojiData(280, 340, 3627933179, 0, 2);
		new (toFill++) EmojiData(300, 340, 3627933180, 0, 2);
		new (toFill++) EmojiData(320, 340, 3627933181, 0, 2);
		new (toFill++) EmojiData(340, 340, 3627933182, 0, 2);
		new (toFill++) EmojiData(360, 340, 3627933183, 0, 2);
		new (toFill++) EmojiData(380, 340, 3627933184, 0, 2);
		new (toFill++) EmojiData(400, 340, 3627933185, 0, 2);
		new (toFill++) EmojiData(420, 340, 3627933186, 0, 2);
		new (toFill++) EmojiData(440, 340, 3627933187, 0, 2);
		new (toFill++) EmojiData(460, 340, 3627933188, 0, 2);
		new (toFill++) EmojiData(480, 340, 3627933189, 0, 2);
		new (toFill++) EmojiData(500, 340, 3627933190, 0, 2);
		new (toFill++) EmojiData(520, 340, 3627933191, 0, 2);
		new (toFill++) EmojiData(540, 340, 3627933192, 0, 2);
		new (toFill++) EmojiData(560, 340, 3627933193, 0, 2);
		new (toFill++) EmojiData(580, 340, 3627933194, 0, 2);
		new (toFill++) EmojiData(600, 340, 3627933195, 0, 2);
		new (toFill++) EmojiData(620, 340, 3627933196, 0, 2);
		new (toFill++) EmojiData(640, 340, 3627933197, 0, 2);
		new (toFill++) EmojiData(660, 340, 3627933198, 0, 2);
		new (toFill++) EmojiData(680, 340, 3627933199, 0, 2);
		new (toFill++) EmojiData(700, 340, 3627933200, 0, 2);
		new (toFill++) EmojiData(720, 340, 3627933201, 0, 2);
		new (toFill++) EmojiData(740, 340, 3627933202, 0, 2);
		new (toFill++) EmojiData(760, 340, 3627933203, 0, 2);
		new (toFill++) EmojiData(780, 340, 3627933204, 0, 2);
		new (toFill++) EmojiData(0, 360, 3627933205, 0, 2);
		new (toFill++) EmojiData(20, 360, 3627933206, 0, 2);
		new (toFill++) EmojiData(40, 360, 3627933207, 0, 2);
		new (toFill++) EmojiData(60, 360, 3627933208, 0, 2);
		new (toFill++) EmojiData(80, 360, 3627933209, 0, 2);
		new (toFill++) EmojiData(100, 360, 3627933210, 0, 2);
		new (toFill++) EmojiData(120, 360, 3627933211, 0, 2);
		new (toFill++) EmojiData(140, 360, 3627933212, 0, 2);
		new (toFill++) EmojiData(160, 360, 3627933213, 0, 2);
		new (toFill++) EmojiData(180, 360, 3627933214, 0, 2);
		new (toFill++) EmojiData(200, 360, 3627933215, 0, 2);
		new (toFill++) EmojiData(220, 360, 3627933216, 0, 2);
		new (toFill++) EmojiData(240, 360, 3627933217, 0, 2);
		new (toFill++) EmojiData(260, 360, 3627933218, 0, 2);
		new (toFill++) EmojiData(280, 360, 3627933219, 0, 2);
		new (toFill++) EmojiData(300, 360, 3627933220, 0, 2);
		new (toFill++) EmojiData(320, 360, 3627933221, 0, 2);
		new (toFill++) EmojiData(340, 360, 3627933222, 0, 2);
		new (toFill++) EmojiData(360, 360, 3627933223, 0, 2);
		new (toFill++) EmojiData(380, 360, 3627933224, 0, 2);
		new (toFill++) EmojiData(400, 360, 3627933225, 0, 2);
		new (toFill++) EmojiData(420, 360, 3627933226, 0, 2);
		new (toFill++) EmojiData(440, 360, 3627933227, 0, 2);
		new (toFill++) EmojiData(460, 360, 3627933228, 0, 2);
		new (toFill++) EmojiData(480, 360, 3627933229, 0, 2);
		new (toFill++) EmojiData(500, 360, 3627933230, 0, 2);
		new (toFill++) EmojiData(520, 360, 3627933231, 0, 2);
		new (toFill++) EmojiData(540, 360, 3627933232, 0, 2);
		new (toFill++) EmojiData(560, 360, 3627933233, 0, 2);
		new (toFill++) EmojiData(580, 360, 3627933234, 0, 2);
		new (toFill++) EmojiData(600, 360, 3627933235, 0, 2);
		new (toFill++) EmojiData(620, 360, 3627933236, 0, 2);
		new (toFill++) EmojiData(640, 360, 3627933237, 0, 2);
		new (toFill++) EmojiData(660, 360, 3627933238, 0, 2);
		new (toFill++) EmojiData(680, 360, 3627933239, 0, 2);
		new (toFill++) EmojiData(700, 360, 3627933240, 0, 2);
		new (toFill++) EmojiData(720, 360, 3627933241, 0, 2);
		new (toFill++) EmojiData(740, 360, 3627933242, 0, 2);
		new (toFill++) EmojiData(760, 360, 3627933243, 0, 2);
		new (toFill++) EmojiData(780, 360, 3627933244, 0, 2);
		new (toFill++) EmojiData(0, 380, 3627933245, 0, 2);
		new (toFill++) EmojiData(20, 380, 3627933246, 0, 2);
		new (toFill++) EmojiData(40, 380, 3627933247, 0, 2);
		new (toFill++) EmojiData(60, 380, 3627933248, 0, 2);
		new (toFill++) EmojiData(80, 380, 3627933253, 0, 2);
		new (toFill++) EmojiData(100, 380, 3627933254, 0, 2);
		new (toFill++) EmojiData(120, 380, 3627933255, 0, 2);
		new (toFill++) EmojiData(140, 380, 3627933256, 0, 2);
		new (toFill++) EmojiData(160, 380, 3627933257, 0, 2);
		new (toFill++) EmojiData(180, 380, 3627933258, 0, 2);
		new (toFill++) EmojiData(200, 380, 3627933259, 0, 2);
		new (toFill++) EmojiData(220, 380, 3627933260, 0, 2);
		new (toFill++) EmojiData(240, 380, 3627933261, 0, 2);
		new (toFill++) EmojiData(260, 380, 3627933262, 0, 2);
		new (toFill++) EmojiData(280, 380, 3627933263, 0, 2);
		new (toFill++) EmojiData(300, 380, 3627933312, 0, 2);
		new (toFill++) EmojiData(320, 380, 3627933313, 0, 2);
		new (toFill++) EmojiData(340, 380, 3627933314, 0, 2);
		new (toFill++) EmojiData(360, 380, 3627933315, 0, 2);
		new (toFill++) EmojiData(380, 380, 3627933316, 0, 2);
		new (toFill++) EmojiData(400, 380, 3627933317, 0, 2);
		new (toFill++) EmojiData(420, 380, 3627933318, 0, 2);
		new (toFill++) EmojiData(440, 380, 3627933319, 0, 2);
		new (toFill++) EmojiData(460, 380, 3627933320, 0, 2);
		new (toFill++) EmojiData(480, 380, 3627933321, 0, 2);
		new (toFill++) EmojiData(500, 380, 3627933322, 0, 2);
		new (toFill++) EmojiData(520, 380, 3627933323, 0, 2);
		new (toFill++) EmojiData(540, 380, 3627933324, 0, 2);
		new (toFill++) EmojiData(560, 380, 3627933325, 0, 2);
		new (toFill++) EmojiData(580, 380, 3627933326, 0, 2);
		new (toFill++) EmojiData(600, 380, 3627933327, 0, 2);
		new (toFill++) EmojiData(620, 380, 3627933328, 0, 2);
		new (toFill++) EmojiData(640, 380, 3627933329, 0, 2);
		new (toFill++) EmojiData(660, 380, 3627933330, 0, 2);
		new (toFill++) EmojiData(680, 380, 3627933331, 0, 2);
		new (toFill++) EmojiData(700, 380, 3627933332, 0, 2);
		new (toFill++) EmojiData(720, 380, 3627933333, 0, 2);
		new (toFill++) EmojiData(740, 380, 3627933334, 0, 2);
		new (toFill++) EmojiData(760, 380, 3627933335, 0, 2);
		new (toFill++) EmojiData(780, 380, 3627933336, 0, 2);
		new (toFill++) EmojiData(0, 400, 3627933337, 0, 2);
		new (toFill++) EmojiData(20, 400, 3627933338, 0, 2);
		new (toFill++) EmojiData(40, 400, 3627933339, 0, 2);
		new (toFill++) EmojiData(60, 400, 3627933340, 0, 2);
		new (toFill++) EmojiData(80, 400, 3627933341, 0, 2);
		new (toFill++) EmojiData(100, 400, 3627933342, 0, 2);
		new (toFill++) EmojiData(120, 400, 3627933343, 0, 2);
		new (toFill++) EmojiData(140, 400, 3627933344, 0, 2);
		new (toFill++) EmojiData(160, 400, 3627933345, 0, 2);
		new (toFill++) EmojiData(180, 400, 3627933346, 0, 2);
		new (toFill++) EmojiData(200, 400, 3627933347, 0, 2);
		new (toFill++) EmojiData(220, 400, 3627933348, 0, 2);
		new (toFill++) EmojiData(240, 400, 3627933349, 0, 2);
		new (toFill++) EmojiData(260, 400, 3627933350, 0, 2);
		new (toFill++) EmojiData(280, 400, 3627933351, 0, 2);
		new (toFill++) EmojiData(300, 400, 3627933352, 0, 2);
		new (toFill++) EmojiData(320, 400, 3627933353, 0, 2);
		new (toFill++) EmojiData(340, 400, 3627933354, 0, 2);
		new (toFill++) EmojiData(360, 400, 3627933355, 0, 2);
		new (toFill++) EmojiData(380, 400, 3627933356, 0, 2);
		new (toFill++) EmojiData(400, 400, 3627933357, 0, 2);
		new (toFill++) EmojiData(420, 400, 3627933358, 0, 2);
		new (toFill++) EmojiData(440, 400, 3627933359, 0, 2);
		new (toFill++) EmojiData(460, 400, 3627933360, 0, 2);
		new (toFill++) EmojiData(480, 400, 3627933361, 0, 2);
		new (toFill++) EmojiData(500, 400, 3627933362, 0, 2);
		new (toFill++) EmojiData(520, 400, 3627933363, 0, 2);
		new (toFill++) EmojiData(540, 400, 3627933364, 0, 2);
		new (toFill++) EmojiData(560, 400, 3627933365, 0, 2);
		new (toFill++) EmojiData(580, 400, 3627933366, 0, 2);
		new (toFill++) EmojiData(600, 400, 3627933367, 0, 2);
		new (toFill++) EmojiData(620, 400, 3627933368, 0, 2);
		new (toFill++) EmojiData(640, 400, 3627933369, 0, 2);
		new (toFill++) EmojiData(660, 400, 3627933370, 0, 2);
		new (toFill++) EmojiData(680, 400, 3627933371, 0, 2);
		new (toFill++) EmojiData(700, 400, 3627933372, 0, 2);
		new (toFill++) EmojiData(720, 400, 3627933373, 0, 2);
		new (toFill++) EmojiData(740, 400, 3627933374, 0, 2);
		new (toFill++) EmojiData(760, 400, 3627933375, 0, 2);
		new (toFill++) EmojiData(780, 400, 3627933376, 0, 2);
		new (toFill++) EmojiData(0, 420, 3627933377, 0, 2);
		new (toFill++) EmojiData(20, 420, 3627933378, 0, 2);
		new (toFill++) EmojiData(40, 420, 3627933379, 0, 2);
		new (toFill++) EmojiData(60, 420, 3627933380, 0, 2);
		new (toFill++) EmojiData(80, 420, 3627933381, 0, 2);
	break;

	case dbisOneAndHalf:
		new (toFill++) EmojiData(264, 0, 169, 0, 1);
		new (toFill++) EmojiData(288, 0, 174, 0, 1);
		new (toFill++) EmojiData(312, 0, 8252, 0, 1);
		new (toFill++) EmojiData(336, 0, 8265, 0, 1);
		new (toFill++) EmojiData(360, 0, 8482, 0, 1);
		new (toFill++) EmojiData(384, 0, 8505, 0, 1);
		new (toFill++) EmojiData(408, 0, 8596, 0, 1);
		new (toFill++) EmojiData(432, 0, 8597, 0, 1);
		new (toFill++) EmojiData(456, 0, 8598, 0, 1);
		new (toFill++) EmojiData(480, 0, 8599, 0, 1);
		new (toFill++) EmojiData(504, 0, 8600, 0, 1);
		new (toFill++) EmojiData(528, 0, 8601, 0, 1);
		new (toFill++) EmojiData(552, 0, 8617, 0, 1);
		new (toFill++) EmojiData(576, 0, 8618, 0, 1);
		new (toFill++) EmojiData(600, 0, 8986, 0, 1);
		new (toFill++) EmojiData(624, 0, 8987, 0, 1);
		new (toFill++) EmojiData(648, 0, 9193, 0, 1);
		new (toFill++) EmojiData(672, 0, 9194, 0, 1);
		new (toFill++) EmojiData(696, 0, 9195, 0, 1);
		new (toFill++) EmojiData(720, 0, 9196, 0, 1);
		new (toFill++) EmojiData(744, 0, 9200, 0, 1);
		new (toFill++) EmojiData(768, 0, 9203, 0, 1);
		new (toFill++) EmojiData(792, 0, 9410, 0, 1);
		new (toFill++) EmojiData(816, 0, 9642, 0, 1);
		new (toFill++) EmojiData(840, 0, 9643, 0, 1);
		new (toFill++) EmojiData(864, 0, 9654, 0, 1);
		new (toFill++) EmojiData(888, 0, 9664, 0, 1);
		new (toFill++) EmojiData(912, 0, 9723, 0, 1);
		new (toFill++) EmojiData(936, 0, 9724, 0, 1);
		new (toFill++) EmojiData(0, 24, 9725, 0, 1);
		new (toFill++) EmojiData(24, 24, 9726, 0, 1);
		new (toFill++) EmojiData(48, 24, 9728, 0, 1);
		new (toFill++) EmojiData(72, 24, 9729, 0, 1);
		new (toFill++) EmojiData(96, 24, 9742, 0, 1);
		new (toFill++) EmojiData(120, 24, 9745, 0, 1);
		new (toFill++) EmojiData(144, 24, 9748, 0, 1);
		new (toFill++) EmojiData(168, 24, 9749, 0, 1);
		new (toFill++) EmojiData(192, 24, 9757, 0, 1);
		new (toFill++) EmojiData(216, 24, 9786, 0, 1);
		new (toFill++) EmojiData(240, 24, 9800, 0, 1);
		new (toFill++) EmojiData(264, 24, 9801, 0, 1);
		new (toFill++) EmojiData(288, 24, 9802, 0, 1);
		new (toFill++) EmojiData(312, 24, 9803, 0, 1);
		new (toFill++) EmojiData(336, 24, 9804, 0, 1);
		new (toFill++) EmojiData(360, 24, 9805, 0, 1);
		new (toFill++) EmojiData(384, 24, 9806, 0, 1);
		new (toFill++) EmojiData(408, 24, 9807, 0, 1);
		new (toFill++) EmojiData(432, 24, 9808, 0, 1);
		new (toFill++) EmojiData(456, 24, 9809, 0, 1);
		new (toFill++) EmojiData(480, 24, 9810, 0, 1);
		new (toFill++) EmojiData(504, 24, 9811, 0, 1);
		new (toFill++) EmojiData(528, 24, 9824, 0, 1);
		new (toFill++) EmojiData(552, 24, 9827, 0, 1);
		new (toFill++) EmojiData(576, 24, 9829, 0, 1);
		new (toFill++) EmojiData(600, 24, 9830, 0, 1);
		new (toFill++) EmojiData(624, 24, 9832, 0, 1);
		new (toFill++) EmojiData(648, 24, 9851, 0, 1);
		new (toFill++) EmojiData(672, 24, 9855, 0, 1);
		new (toFill++) EmojiData(696, 24, 9875, 0, 1);
		new (toFill++) EmojiData(720, 24, 9888, 0, 1);
		new (toFill++) EmojiData(744, 24, 9889, 0, 1);
		new (toFill++) EmojiData(768, 24, 9898, 0, 1);
		new (toFill++) EmojiData(792, 24, 9899, 0, 1);
		new (toFill++) EmojiData(816, 24, 9917, 0, 1);
		new (toFill++) EmojiData(840, 24, 9918, 0, 1);
		new (toFill++) EmojiData(864, 24, 9924, 0, 1);
		new (toFill++) EmojiData(888, 24, 9925, 0, 1);
		new (toFill++) EmojiData(912, 24, 9934, 0, 1);
		new (toFill++) EmojiData(936, 24, 9940, 0, 1);
		new (toFill++) EmojiData(0, 48, 9962, 0, 1);
		new (toFill++) EmojiData(24, 48, 9970, 0, 1);
		new (toFill++) EmojiData(48, 48, 9971, 0, 1);
		new (toFill++) EmojiData(72, 48, 9973, 0, 1);
		new (toFill++) EmojiData(96, 48, 9978, 0, 1);
		new (toFill++) EmojiData(120, 48, 9981, 0, 1);
		new (toFill++) EmojiData(144, 48, 9986, 0, 1);
		new (toFill++) EmojiData(168, 48, 9989, 0, 1);
		new (toFill++) EmojiData(192, 48, 9992, 0, 1);
		new (toFill++) EmojiData(216, 48, 9993, 0, 1);
		new (toFill++) EmojiData(240, 48, 9994, 0, 1);
		new (toFill++) EmojiData(264, 48, 9995, 0, 1);
		new (toFill++) EmojiData(288, 48, 9996, 0, 1);
		new (toFill++) EmojiData(312, 48, 9999, 0, 1);
		new (toFill++) EmojiData(336, 48, 10002, 0, 1);
		new (toFill++) EmojiData(360, 48, 10004, 0, 1);
		new (toFill++) EmojiData(384, 48, 10006, 0, 1);
		new (toFill++) EmojiData(408, 48, 10024, 0, 1);
		new (toFill++) EmojiData(432, 48, 10035, 0, 1);
		new (toFill++) EmojiData(456, 48, 10036, 0, 1);
		new (toFill++) EmojiData(480, 48, 10052, 0, 1);
		new (toFill++) EmojiData(504, 48, 10055, 0, 1);
		new (toFill++) EmojiData(528, 48, 10060, 0, 1);
		new (toFill++) EmojiData(552, 48, 10062, 0, 1);
		new (toFill++) EmojiData(576, 48, 10067, 0, 1);
		new (toFill++) EmojiData(600, 48, 10068, 0, 1);
		new (toFill++) EmojiData(624, 48, 10069, 0, 1);
		new (toFill++) EmojiData(648, 48, 10071, 0, 1);
		new (toFill++) EmojiData(672, 48, 10084, 0, 1);
		new (toFill++) EmojiData(696, 48, 10133, 0, 1);
		new (toFill++) EmojiData(720, 48, 10134, 0, 1);
		new (toFill++) EmojiData(744, 48, 10135, 0, 1);
		new (toFill++) EmojiData(768, 48, 10145, 0, 1);
		new (toFill++) EmojiData(792, 48, 10160, 0, 1);
		new (toFill++) EmojiData(816, 48, 10175, 0, 1);
		new (toFill++) EmojiData(840, 48, 10548, 0, 1);
		new (toFill++) EmojiData(864, 48, 10549, 0, 1);
		new (toFill++) EmojiData(888, 48, 11013, 0, 1);
		new (toFill++) EmojiData(912, 48, 11014, 0, 1);
		new (toFill++) EmojiData(936, 48, 11015, 0, 1);
		new (toFill++) EmojiData(0, 72, 11035, 0, 1);
		new (toFill++) EmojiData(24, 72, 11036, 0, 1);
		new (toFill++) EmojiData(48, 72, 11088, 0, 1);
		new (toFill++) EmojiData(72, 72, 11093, 0, 1);
		new (toFill++) EmojiData(96, 72, 12336, 0, 1);
		new (toFill++) EmojiData(120, 72, 12349, 0, 1);
		new (toFill++) EmojiData(144, 72, 12951, 0, 1);
		new (toFill++) EmojiData(168, 72, 12953, 0, 1);
		new (toFill++) EmojiData(0, 0, 2302179, 0, 2);
		new (toFill++) EmojiData(24, 0, 3154147, 0, 2);
		new (toFill++) EmojiData(48, 0, 3219683, 0, 2);
		new (toFill++) EmojiData(72, 0, 3285219, 0, 2);
		new (toFill++) EmojiData(96, 0, 3350755, 0, 2);
		new (toFill++) EmojiData(120, 0, 3416291, 0, 2);
		new (toFill++) EmojiData(144, 0, 3481827, 0, 2);
		new (toFill++) EmojiData(168, 0, 3547363, 0, 2);
		new (toFill++) EmojiData(192, 0, 3612899, 0, 2);
		new (toFill++) EmojiData(216, 0, 3678435, 0, 2);
		new (toFill++) EmojiData(240, 0, 3743971, 0, 2);
		new (toFill++) EmojiData(192, 72, 3627867140, 0, 2);
		new (toFill++) EmojiData(216, 72, 3627867343, 0, 2);
		new (toFill++) EmojiData(240, 72, 3627867504, 0, 2);
		new (toFill++) EmojiData(264, 72, 3627867505, 0, 2);
		new (toFill++) EmojiData(288, 72, 3627867518, 0, 2);
		new (toFill++) EmojiData(312, 72, 3627867519, 0, 2);
		new (toFill++) EmojiData(336, 72, 3627867534, 0, 2);
		new (toFill++) EmojiData(360, 72, 3627867537, 0, 2);
		new (toFill++) EmojiData(384, 72, 3627867538, 0, 2);
		new (toFill++) EmojiData(408, 72, 3627867539, 0, 2);
		new (toFill++) EmojiData(432, 72, 3627867540, 0, 2);
		new (toFill++) EmojiData(456, 72, 3627867541, 0, 2);
		new (toFill++) EmojiData(480, 72, 3627867542, 0, 2);
		new (toFill++) EmojiData(504, 72, 3627867543, 0, 2);
		new (toFill++) EmojiData(528, 72, 3627867544, 0, 2);
		new (toFill++) EmojiData(552, 72, 3627867545, 0, 2);
		new (toFill++) EmojiData(576, 72, 3627867546, 0, 2);
		new (toFill++) EmojiData(600, 72, 3627867624, 3627867635, 4);
		new (toFill++) EmojiData(624, 72, 3627867625, 3627867626, 4);
		new (toFill++) EmojiData(648, 72, 3627867626, 3627867640, 4);
		new (toFill++) EmojiData(672, 72, 3627867627, 3627867639, 4);
		new (toFill++) EmojiData(696, 72, 3627867628, 3627867623, 4);
		new (toFill++) EmojiData(720, 72, 3627867630, 3627867641, 4);
		new (toFill++) EmojiData(744, 72, 3627867631, 3627867637, 4);
		new (toFill++) EmojiData(768, 72, 3627867632, 3627867639, 4);
		new (toFill++) EmojiData(792, 72, 3627867639, 3627867642, 4);
		new (toFill++) EmojiData(816, 72, 3627867642, 3627867640, 4);
		new (toFill++) EmojiData(840, 72, 3627867649, 0, 2);
		new (toFill++) EmojiData(864, 72, 3627867650, 0, 2);
		new (toFill++) EmojiData(888, 72, 3627867674, 0, 2);
		new (toFill++) EmojiData(912, 72, 3627867695, 0, 2);
		new (toFill++) EmojiData(936, 72, 3627867698, 0, 2);
		new (toFill++) EmojiData(0, 96, 3627867699, 0, 2);
		new (toFill++) EmojiData(24, 96, 3627867700, 0, 2);
		new (toFill++) EmojiData(48, 96, 3627867701, 0, 2);
		new (toFill++) EmojiData(72, 96, 3627867702, 0, 2);
		new (toFill++) EmojiData(96, 96, 3627867703, 0, 2);
		new (toFill++) EmojiData(120, 96, 3627867704, 0, 2);
		new (toFill++) EmojiData(144, 96, 3627867705, 0, 2);
		new (toFill++) EmojiData(168, 96, 3627867706, 0, 2);
		new (toFill++) EmojiData(192, 96, 3627867728, 0, 2);
		new (toFill++) EmojiData(216, 96, 3627867729, 0, 2);
		new (toFill++) EmojiData(240, 96, 3627867904, 0, 2);
		new (toFill++) EmojiData(264, 96, 3627867905, 0, 2);
		new (toFill++) EmojiData(288, 96, 3627867906, 0, 2);
		new (toFill++) EmojiData(312, 96, 3627867907, 0, 2);
		new (toFill++) EmojiData(336, 96, 3627867908, 0, 2);
		new (toFill++) EmojiData(360, 96, 3627867909, 0, 2);
		new (toFill++) EmojiData(384, 96, 3627867910, 0, 2);
		new (toFill++) EmojiData(408, 96, 3627867911, 0, 2);
		new (toFill++) EmojiData(432, 96, 3627867912, 0, 2);
		new (toFill++) EmojiData(456, 96, 3627867913, 0, 2);
		new (toFill++) EmojiData(480, 96, 3627867914, 0, 2);
		new (toFill++) EmojiData(504, 96, 3627867915, 0, 2);
		new (toFill++) EmojiData(528, 96, 3627867916, 0, 2);
		new (toFill++) EmojiData(552, 96, 3627867917, 0, 2);
		new (toFill++) EmojiData(576, 96, 3627867918, 0, 2);
		new (toFill++) EmojiData(600, 96, 3627867919, 0, 2);
		new (toFill++) EmojiData(624, 96, 3627867920, 0, 2);
		new (toFill++) EmojiData(648, 96, 3627867921, 0, 2);
		new (toFill++) EmojiData(672, 96, 3627867922, 0, 2);
		new (toFill++) EmojiData(696, 96, 3627867923, 0, 2);
		new (toFill++) EmojiData(720, 96, 3627867924, 0, 2);
		new (toFill++) EmojiData(744, 96, 3627867925, 0, 2);
		new (toFill++) EmojiData(768, 96, 3627867926, 0, 2);
		new (toFill++) EmojiData(792, 96, 3627867927, 0, 2);
		new (toFill++) EmojiData(816, 96, 3627867928, 0, 2);
		new (toFill++) EmojiData(840, 96, 3627867929, 0, 2);
		new (toFill++) EmojiData(864, 96, 3627867930, 0, 2);
		new (toFill++) EmojiData(888, 96, 3627867931, 0, 2);
		new (toFill++) EmojiData(912, 96, 3627867932, 0, 2);
		new (toFill++) EmojiData(936, 96, 3627867933, 0, 2);
		new (toFill++) EmojiData(0, 120, 3627867934, 0, 2);
		new (toFill++) EmojiData(24, 120, 3627867935, 0, 2);
		new (toFill++) EmojiData(48, 120, 3627867936, 0, 2);
		new (toFill++) EmojiData(72, 120, 3627867952, 0, 2);
		new (toFill++) EmojiData(96, 120, 3627867953, 0, 2);
		new (toFill++) EmojiData(120, 120, 3627867954, 0, 2);
		new (toFill++) EmojiData(144, 120, 3627867955, 0, 2);
		new (toFill++) EmojiData(168, 120, 3627867956, 0, 2);
		new (toFill++) EmojiData(192, 120, 3627867957, 0, 2);
		new (toFill++) EmojiData(216, 120, 3627867959, 0, 2);
		new (toFill++) EmojiData(240, 120, 3627867960, 0, 2);
		new (toFill++) EmojiData(264, 120, 3627867961, 0, 2);
		new (toFill++) EmojiData(288, 120, 3627867962, 0, 2);
		new (toFill++) EmojiData(312, 120, 3627867963, 0, 2);
		new (toFill++) EmojiData(336, 120, 3627867964, 0, 2);
		new (toFill++) EmojiData(360, 120, 3627867965, 0, 2);
		new (toFill++) EmojiData(384, 120, 3627867966, 0, 2);
		new (toFill++) EmojiData(408, 120, 3627867967, 0, 2);
		new (toFill++) EmojiData(432, 120, 3627867968, 0, 2);
		new (toFill++) EmojiData(456, 120, 3627867969, 0, 2);
		new (toFill++) EmojiData(480, 120, 3627867970, 0, 2);
		new (toFill++) EmojiData(504, 120, 3627867971, 0, 2);
		new (toFill++) EmojiData(528, 120, 3627867972, 0, 2);
		new (toFill++) EmojiData(552, 120, 3627867973, 0, 2);
		new (toFill++) EmojiData(576, 120, 3627867974, 0, 2);
		new (toFill++) EmojiData(600, 120, 3627867975, 0, 2);
		new (toFill++) EmojiData(624, 120, 3627867976, 0, 2);
		new (toFill++) EmojiData(648, 120, 3627867977, 0, 2);
		new (toFill++) EmojiData(672, 120, 3627867978, 0, 2);
		new (toFill++) EmojiData(696, 120, 3627867979, 0, 2);
		new (toFill++) EmojiData(720, 120, 3627867980, 0, 2);
		new (toFill++) EmojiData(744, 120, 3627867981, 0, 2);
		new (toFill++) EmojiData(768, 120, 3627867982, 0, 2);
		new (toFill++) EmojiData(792, 120, 3627867983, 0, 2);
		new (toFill++) EmojiData(816, 120, 3627867984, 0, 2);
		new (toFill++) EmojiData(840, 120, 3627867985, 0, 2);
		new (toFill++) EmojiData(864, 120, 3627867986, 0, 2);
		new (toFill++) EmojiData(888, 120, 3627867987, 0, 2);
		new (toFill++) EmojiData(912, 120, 3627867988, 0, 2);
		new (toFill++) EmojiData(936, 120, 3627867989, 0, 2);
		new (toFill++) EmojiData(0, 144, 3627867990, 0, 2);
		new (toFill++) EmojiData(24, 144, 3627867991, 0, 2);
		new (toFill++) EmojiData(48, 144, 3627867992, 0, 2);
		new (toFill++) EmojiData(72, 144, 3627867993, 0, 2);
		new (toFill++) EmojiData(96, 144, 3627867994, 0, 2);
		new (toFill++) EmojiData(120, 144, 3627867995, 0, 2);
		new (toFill++) EmojiData(144, 144, 3627867996, 0, 2);
		new (toFill++) EmojiData(168, 144, 3627867997, 0, 2);
		new (toFill++) EmojiData(192, 144, 3627867998, 0, 2);
		new (toFill++) EmojiData(216, 144, 3627867999, 0, 2);
		new (toFill++) EmojiData(240, 144, 3627868000, 0, 2);
		new (toFill++) EmojiData(264, 144, 3627868001, 0, 2);
		new (toFill++) EmojiData(288, 144, 3627868002, 0, 2);
		new (toFill++) EmojiData(312, 144, 3627868003, 0, 2);
		new (toFill++) EmojiData(336, 144, 3627868004, 0, 2);
		new (toFill++) EmojiData(360, 144, 3627868005, 0, 2);
		new (toFill++) EmojiData(384, 144, 3627868006, 0, 2);
		new (toFill++) EmojiData(408, 144, 3627868007, 0, 2);
		new (toFill++) EmojiData(432, 144, 3627868008, 0, 2);
		new (toFill++) EmojiData(456, 144, 3627868009, 0, 2);
		new (toFill++) EmojiData(480, 144, 3627868010, 0, 2);
		new (toFill++) EmojiData(504, 144, 3627868011, 0, 2);
		new (toFill++) EmojiData(528, 144, 3627868012, 0, 2);
		new (toFill++) EmojiData(552, 144, 3627868013, 0, 2);
		new (toFill++) EmojiData(576, 144, 3627868014, 0, 2);
		new (toFill++) EmojiData(600, 144, 3627868015, 0, 2);
		new (toFill++) EmojiData(624, 144, 3627868016, 0, 2);
		new (toFill++) EmojiData(648, 144, 3627868017, 0, 2);
		new (toFill++) EmojiData(672, 144, 3627868018, 0, 2);
		new (toFill++) EmojiData(696, 144, 3627868019, 0, 2);
		new (toFill++) EmojiData(720, 144, 3627868020, 0, 2);
		new (toFill++) EmojiData(744, 144, 3627868021, 0, 2);
		new (toFill++) EmojiData(768, 144, 3627868022, 0, 2);
		new (toFill++) EmojiData(792, 144, 3627868023, 0, 2);
		new (toFill++) EmojiData(816, 144, 3627868024, 0, 2);
		new (toFill++) EmojiData(840, 144, 3627868025, 0, 2);
		new (toFill++) EmojiData(864, 144, 3627868026, 0, 2);
		new (toFill++) EmojiData(888, 144, 3627868027, 0, 2);
		new (toFill++) EmojiData(912, 144, 3627868028, 0, 2);
		new (toFill++) EmojiData(936, 144, 3627868032, 0, 2);
		new (toFill++) EmojiData(0, 168, 3627868033, 0, 2);
		new (toFill++) EmojiData(24, 168, 3627868034, 0, 2);
		new (toFill++) EmojiData(48, 168, 3627868035, 0, 2);
		new (toFill++) EmojiData(72, 168, 3627868036, 0, 2);
		new (toFill++) EmojiData(96, 168, 3627868037, 0, 2);
		new (toFill++) EmojiData(120, 168, 3627868038, 0, 2);
		new (toFill++) EmojiData(144, 168, 3627868039, 0, 2);
		new (toFill++) EmojiData(168, 168, 3627868040, 0, 2);
		new (toFill++) EmojiData(192, 168, 3627868041, 0, 2);
		new (toFill++) EmojiData(216, 168, 3627868042, 0, 2);
		new (toFill++) EmojiData(240, 168, 3627868043, 0, 2);
		new (toFill++) EmojiData(264, 168, 3627868044, 0, 2);
		new (toFill++) EmojiData(288, 168, 3627868045, 0, 2);
		new (toFill++) EmojiData(312, 168, 3627868046, 0, 2);
		new (toFill++) EmojiData(336, 168, 3627868047, 0, 2);
		new (toFill++) EmojiData(360, 168, 3627868048, 0, 2);
		new (toFill++) EmojiData(384, 168, 3627868049, 0, 2);
		new (toFill++) EmojiData(408, 168, 3627868050, 0, 2);
		new (toFill++) EmojiData(432, 168, 3627868051, 0, 2);
		new (toFill++) EmojiData(456, 168, 3627868064, 0, 2);
		new (toFill++) EmojiData(480, 168, 3627868065, 0, 2);
		new (toFill++) EmojiData(504, 168, 3627868066, 0, 2);
		new (toFill++) EmojiData(528, 168, 3627868067, 0, 2);
		new (toFill++) EmojiData(552, 168, 3627868068, 0, 2);
		new (toFill++) EmojiData(576, 168, 3627868069, 0, 2);
		new (toFill++) EmojiData(600, 168, 3627868070, 0, 2);
		new (toFill++) EmojiData(624, 168, 3627868071, 0, 2);
		new (toFill++) EmojiData(648, 168, 3627868072, 0, 2);
		new (toFill++) EmojiData(672, 168, 3627868073, 0, 2);
		new (toFill++) EmojiData(696, 168, 3627868074, 0, 2);
		new (toFill++) EmojiData(720, 168, 3627868075, 0, 2);
		new (toFill++) EmojiData(744, 168, 3627868076, 0, 2);
		new (toFill++) EmojiData(768, 168, 3627868077, 0, 2);
		new (toFill++) EmojiData(792, 168, 3627868078, 0, 2);
		new (toFill++) EmojiData(816, 168, 3627868079, 0, 2);
		new (toFill++) EmojiData(840, 168, 3627868080, 0, 2);
		new (toFill++) EmojiData(864, 168, 3627868081, 0, 2);
		new (toFill++) EmojiData(888, 168, 3627868082, 0, 2);
		new (toFill++) EmojiData(912, 168, 3627868083, 0, 2);
		new (toFill++) EmojiData(936, 168, 3627868084, 0, 2);
		new (toFill++) EmojiData(0, 192, 3627868085, 0, 2);
		new (toFill++) EmojiData(24, 192, 3627868086, 0, 2);
		new (toFill++) EmojiData(48, 192, 3627868087, 0, 2);
		new (toFill++) EmojiData(72, 192, 3627868088, 0, 2);
		new (toFill++) EmojiData(96, 192, 3627868089, 0, 2);
		new (toFill++) EmojiData(120, 192, 3627868090, 0, 2);
		new (toFill++) EmojiData(144, 192, 3627868091, 0, 2);
		new (toFill++) EmojiData(168, 192, 3627868092, 0, 2);
		new (toFill++) EmojiData(192, 192, 3627868093, 0, 2);
		new (toFill++) EmojiData(216, 192, 3627868094, 0, 2);
		new (toFill++) EmojiData(240, 192, 3627868095, 0, 2);
		new (toFill++) EmojiData(264, 192, 3627868096, 0, 2);
		new (toFill++) EmojiData(288, 192, 3627868097, 0, 2);
		new (toFill++) EmojiData(312, 192, 3627868098, 0, 2);
		new (toFill++) EmojiData(336, 192, 3627868099, 0, 2);
		new (toFill++) EmojiData(360, 192, 3627868100, 0, 2);
		new (toFill++) EmojiData(384, 192, 3627868102, 0, 2);
		new (toFill++) EmojiData(408, 192, 3627868103, 0, 2);
		new (toFill++) EmojiData(432, 192, 3627868104, 0, 2);
		new (toFill++) EmojiData(456, 192, 3627868105, 0, 2);
		new (toFill++) EmojiData(480, 192, 3627868106, 0, 2);
		new (toFill++) EmojiData(504, 192, 3627868128, 0, 2);
		new (toFill++) EmojiData(528, 192, 3627868129, 0, 2);
		new (toFill++) EmojiData(552, 192, 3627868130, 0, 2);
		new (toFill++) EmojiData(576, 192, 3627868131, 0, 2);
		new (toFill++) EmojiData(600, 192, 3627868132, 0, 2);
		new (toFill++) EmojiData(624, 192, 3627868133, 0, 2);
		new (toFill++) EmojiData(648, 192, 3627868134, 0, 2);
		new (toFill++) EmojiData(672, 192, 3627868135, 0, 2);
		new (toFill++) EmojiData(696, 192, 3627868136, 0, 2);
		new (toFill++) EmojiData(720, 192, 3627868137, 0, 2);
		new (toFill++) EmojiData(744, 192, 3627868138, 0, 2);
		new (toFill++) EmojiData(768, 192, 3627868139, 0, 2);
		new (toFill++) EmojiData(792, 192, 3627868140, 0, 2);
		new (toFill++) EmojiData(816, 192, 3627868141, 0, 2);
		new (toFill++) EmojiData(840, 192, 3627868142, 0, 2);
		new (toFill++) EmojiData(864, 192, 3627868143, 0, 2);
		new (toFill++) EmojiData(888, 192, 3627868144, 0, 2);
		new (toFill++) EmojiData(912, 192, 3627932672, 0, 2);
		new (toFill++) EmojiData(936, 192, 3627932673, 0, 2);
		new (toFill++) EmojiData(0, 216, 3627932674, 0, 2);
		new (toFill++) EmojiData(24, 216, 3627932675, 0, 2);
		new (toFill++) EmojiData(48, 216, 3627932676, 0, 2);
		new (toFill++) EmojiData(72, 216, 3627932677, 0, 2);
		new (toFill++) EmojiData(96, 216, 3627932678, 0, 2);
		new (toFill++) EmojiData(120, 216, 3627932679, 0, 2);
		new (toFill++) EmojiData(144, 216, 3627932680, 0, 2);
		new (toFill++) EmojiData(168, 216, 3627932681, 0, 2);
		new (toFill++) EmojiData(192, 216, 3627932682, 0, 2);
		new (toFill++) EmojiData(216, 216, 3627932683, 0, 2);
		new (toFill++) EmojiData(240, 216, 3627932684, 0, 2);
		new (toFill++) EmojiData(264, 216, 3627932685, 0, 2);
		new (toFill++) EmojiData(288, 216, 3627932686, 0, 2);
		new (toFill++) EmojiData(312, 216, 3627932687, 0, 2);
		new (toFill++) EmojiData(336, 216, 3627932688, 0, 2);
		new (toFill++) EmojiData(360, 216, 3627932689, 0, 2);
		new (toFill++) EmojiData(384, 216, 3627932690, 0, 2);
		new (toFill++) EmojiData(408, 216, 3627932691, 0, 2);
		new (toFill++) EmojiData(432, 216, 3627932692, 0, 2);
		new (toFill++) EmojiData(456, 216, 3627932693, 0, 2);
		new (toFill++) EmojiData(480, 216, 3627932694, 0, 2);
		new (toFill++) EmojiData(504, 216, 3627932695, 0, 2);
		new (toFill++) EmojiData(528, 216, 3627932696, 0, 2);
		new (toFill++) EmojiData(552, 216, 3627932697, 0, 2);
		new (toFill++) EmojiData(576, 216, 3627932698, 0, 2);
		new (toFill++) EmojiData(600, 216, 3627932699, 0, 2);
		new (toFill++) EmojiData(624, 216, 3627932700, 0, 2);
		new (toFill++) EmojiData(648, 216, 3627932701, 0, 2);
		new (toFill++) EmojiData(672, 216, 3627932702, 0, 2);
		new (toFill++) EmojiData(696, 216, 3627932703, 0, 2);
		new (toFill++) EmojiData(720, 216, 3627932704, 0, 2);
		new (toFill++) EmojiData(744, 216, 3627932705, 0, 2);
		new (toFill++) EmojiData(768, 216, 3627932706, 0, 2);
		new (toFill++) EmojiData(792, 216, 3627932707, 0, 2);
		new (toFill++) EmojiData(816, 216, 3627932708, 0, 2);
		new (toFill++) EmojiData(840, 216, 3627932709, 0, 2);
		new (toFill++) EmojiData(864, 216, 3627932710, 0, 2);
		new (toFill++) EmojiData(888, 216, 3627932711, 0, 2);
		new (toFill++) EmojiData(912, 216, 3627932712, 0, 2);
		new (toFill++) EmojiData(936, 216, 3627932713, 0, 2);
		new (toFill++) EmojiData(0, 240, 3627932714, 0, 2);
		new (toFill++) EmojiData(24, 240, 3627932715, 0, 2);
		new (toFill++) EmojiData(48, 240, 3627932716, 0, 2);
		new (toFill++) EmojiData(72, 240, 3627932717, 0, 2);
		new (toFill++) EmojiData(96, 240, 3627932718, 0, 2);
		new (toFill++) EmojiData(120, 240, 3627932719, 0, 2);
		new (toFill++) EmojiData(144, 240, 3627932720, 0, 2);
		new (toFill++) EmojiData(168, 240, 3627932721, 0, 2);
		new (toFill++) EmojiData(192, 240, 3627932722, 0, 2);
		new (toFill++) EmojiData(216, 240, 3627932723, 0, 2);
		new (toFill++) EmojiData(240, 240, 3627932724, 0, 2);
		new (toFill++) EmojiData(264, 240, 3627932725, 0, 2);
		new (toFill++) EmojiData(288, 240, 3627932726, 0, 2);
		new (toFill++) EmojiData(312, 240, 3627932727, 0, 2);
		new (toFill++) EmojiData(336, 240, 3627932728, 0, 2);
		new (toFill++) EmojiData(360, 240, 3627932729, 0, 2);
		new (toFill++) EmojiData(384, 240, 3627932730, 0, 2);
		new (toFill++) EmojiData(408, 240, 3627932731, 0, 2);
		new (toFill++) EmojiData(432, 240, 3627932732, 0, 2);
		new (toFill++) EmojiData(456, 240, 3627932733, 0, 2);
		new (toFill++) EmojiData(480, 240, 3627932734, 0, 2);
		new (toFill++) EmojiData(504, 240, 3627932736, 0, 2);
		new (toFill++) EmojiData(528, 240, 3627932738, 0, 2);
		new (toFill++) EmojiData(552, 240, 3627932739, 0, 2);
		new (toFill++) EmojiData(576, 240, 3627932740, 0, 2);
		new (toFill++) EmojiData(600, 240, 3627932741, 0, 2);
		new (toFill++) EmojiData(624, 240, 3627932742, 0, 2);
		new (toFill++) EmojiData(648, 240, 3627932743, 0, 2);
		new (toFill++) EmojiData(672, 240, 3627932744, 0, 2);
		new (toFill++) EmojiData(696, 240, 3627932745, 0, 2);
		new (toFill++) EmojiData(720, 240, 3627932746, 0, 2);
		new (toFill++) EmojiData(744, 240, 3627932747, 0, 2);
		new (toFill++) EmojiData(768, 240, 3627932748, 0, 2);
		new (toFill++) EmojiData(792, 240, 3627932749, 0, 2);
		new (toFill++) EmojiData(816, 240, 3627932750, 0, 2);
		new (toFill++) EmojiData(840, 240, 3627932751, 0, 2);
		new (toFill++) EmojiData(864, 240, 3627932752, 0, 2);
		new (toFill++) EmojiData(888, 240, 3627932753, 0, 2);
		new (toFill++) EmojiData(912, 240, 3627932754, 0, 2);
		new (toFill++) EmojiData(936, 240, 3627932755, 0, 2);
		new (toFill++) EmojiData(0, 264, 3627932756, 0, 2);
		new (toFill++) EmojiData(24, 264, 3627932757, 0, 2);
		new (toFill++) EmojiData(48, 264, 3627932758, 0, 2);
		new (toFill++) EmojiData(72, 264, 3627932759, 0, 2);
		new (toFill++) EmojiData(96, 264, 3627932760, 0, 2);
		new (toFill++) EmojiData(120, 264, 3627932761, 0, 2);
		new (toFill++) EmojiData(144, 264, 3627932762, 0, 2);
		new (toFill++) EmojiData(168, 264, 3627932763, 0, 2);
		new (toFill++) EmojiData(192, 264, 3627932764, 0, 2);
		new (toFill++) EmojiData(216, 264, 3627932765, 0, 2);
		new (toFill++) EmojiData(240, 264, 3627932766, 0, 2);
		new (toFill++) EmojiData(264, 264, 3627932767, 0, 2);
		new (toFill++) EmojiData(288, 264, 3627932768, 0, 2);
		new (toFill++) EmojiData(312, 264, 3627932769, 0, 2);
		new (toFill++) EmojiData(336, 264, 3627932770, 0, 2);
		new (toFill++) EmojiData(360, 264, 3627932771, 0, 2);
		new (toFill++) EmojiData(384, 264, 3627932772, 0, 2);
		new (toFill++) EmojiData(408, 264, 3627932773, 0, 2);
		new (toFill++) EmojiData(432, 264, 3627932774, 0, 2);
		new (toFill++) EmojiData(456, 264, 3627932775, 0, 2);
		new (toFill++) EmojiData(480, 264, 3627932776, 0, 2);
		new (toFill++) EmojiData(504, 264, 3627932777, 0, 2);
		new (toFill++) EmojiData(528, 264, 3627932778, 0, 2);
		new (toFill++) EmojiData(552, 264, 3627932779, 0, 2);
		new (toFill++) EmojiData(576, 264, 3627932780, 0, 2);
		new (toFill++) EmojiData(600, 264, 3627932781, 0, 2);
		new (toFill++) EmojiData(624, 264, 3627932782, 0, 2);
		new (toFill++) EmojiData(648, 264, 3627932783, 0, 2);
		new (toFill++) EmojiData(672, 264, 3627932784, 0, 2);
		new (toFill++) EmojiData(696, 264, 3627932785, 0, 2);
		new (toFill++) EmojiData(720, 264, 3627932786, 0, 2);
		new (toFill++) EmojiData(744, 264, 3627932787, 0, 2);
		new (toFill++) EmojiData(768, 264, 3627932788, 0, 2);
		new (toFill++) EmojiData(792, 264, 3627932789, 0, 2);
		new (toFill++) EmojiData(816, 264, 3627932790, 0, 2);
		new (toFill++) EmojiData(840, 264, 3627932791, 0, 2);
		new (toFill++) EmojiData(864, 264, 3627932792, 0, 2);
		new (toFill++) EmojiData(888, 264, 3627932793, 0, 2);
		new (toFill++) EmojiData(912, 264, 3627932794, 0, 2);
		new (toFill++) EmojiData(936, 264, 3627932795, 0, 2);
		new (toFill++) EmojiData(0, 288, 3627932796, 0, 2);
		new (toFill++) EmojiData(24, 288, 3627932797, 0, 2);
		new (toFill++) EmojiData(48, 288, 3627932798, 0, 2);
		new (toFill++) EmojiData(72, 288, 3627932799, 0, 2);
		new (toFill++) EmojiData(96, 288, 3627932800, 0, 2);
		new (toFill++) EmojiData(120, 288, 3627932801, 0, 2);
		new (toFill++) EmojiData(144, 288, 3627932802, 0, 2);
		new (toFill++) EmojiData(168, 288, 3627932803, 0, 2);
		new (toFill++) EmojiData(192, 288, 3627932804, 0, 2);
		new (toFill++) EmojiData(216, 288, 3627932805, 0, 2);
		new (toFill++) EmojiData(240, 288, 3627932806, 0, 2);
		new (toFill++) EmojiData(264, 288, 3627932807, 0, 2);
		new (toFill++) EmojiData(288, 288, 3627932808, 0, 2);
		new (toFill++) EmojiData(312, 288, 3627932809, 0, 2);
		new (toFill++) EmojiData(336, 288, 3627932810, 0, 2);
		new (toFill++) EmojiData(360, 288, 3627932811, 0, 2);
		new (toFill++) EmojiData(384, 288, 3627932812, 0, 2);
		new (toFill++) EmojiData(408, 288, 3627932813, 0, 2);
		new (toFill++) EmojiData(432, 288, 3627932814, 0, 2);
		new (toFill++) EmojiData(456, 288, 3627932815, 0, 2);
		new (toFill++) EmojiData(480, 288, 3627932816, 0, 2);
		new (toFill++) EmojiData(504, 288, 3627932817, 0, 2);
		new (toFill++) EmojiData(528, 288, 3627932818, 0, 2);
		new (toFill++) EmojiData(552, 288, 3627932819, 0, 2);
		new (toFill++) EmojiData(576, 288, 3627932820, 0, 2);
		new (toFill++) EmojiData(600, 288, 3627932821, 0, 2);
		new (toFill++) EmojiData(624, 288, 3627932822, 0, 2);
		new (toFill++) EmojiData(648, 288, 3627932823, 0, 2);
		new (toFill++) EmojiData(672, 288, 3627932824, 0, 2);
		new (toFill++) EmojiData(696, 288, 3627932825, 0, 2);
		new (toFill++) EmojiData(720, 288, 3627932826, 0, 2);
		new (toFill++) EmojiData(744, 288, 3627932827, 0, 2);
		new (toFill++) EmojiData(768, 288, 3627932828, 0, 2);
		new (toFill++) EmojiData(792, 288, 3627932829, 0, 2);
		new (toFill++) EmojiData(816, 288, 3627932830, 0, 2);
		new (toFill++) EmojiData(840, 288, 3627932831, 0, 2);
		new (toFill++) EmojiData(864, 288, 3627932832, 0, 2);
		new (toFill++) EmojiData(888, 288, 3627932833, 0, 2);
		new (toFill++) EmojiData(912, 288, 3627932834, 0, 2);
		new (toFill++) EmojiData(936, 288, 3627932835, 0, 2);
		new (toFill++) EmojiData(0, 312, 3627932836, 0, 2);
		new (toFill++) EmojiData(24, 312, 3627932837, 0, 2);
		new (toFill++) EmojiData(48, 312, 3627932838, 0, 2);
		new (toFill++) EmojiData(72, 312, 3627932839, 0, 2);
		new (toFill++) EmojiData(96, 312, 3627932840, 0, 2);
		new (toFill++) EmojiData(120, 312, 3627932841, 0, 2);
		new (toFill++) EmojiData(144, 312, 3627932842, 0, 2);
		new (toFill++) EmojiData(168, 312, 3627932843, 0, 2);
		new (toFill++) EmojiData(192, 312, 3627932844, 0, 2);
		new (toFill++) EmojiData(216, 312, 3627932845, 0, 2);
		new (toFill++) EmojiData(240, 312, 3627932846, 0, 2);
		new (toFill++) EmojiData(264, 312, 3627932847, 0, 2);
		new (toFill++) EmojiData(288, 312, 3627932848, 0, 2);
		new (toFill++) EmojiData(312, 312, 3627932849, 0, 2);
		new (toFill++) EmojiData(336, 312, 3627932850, 0, 2);
		new (toFill++) EmojiData(360, 312, 3627932851, 0, 2);
		new (toFill++) EmojiData(384, 312, 3627932852, 0, 2);
		new (toFill++) EmojiData(408, 312, 3627932853, 0, 2);
		new (toFill++) EmojiData(432, 312, 3627932854, 0, 2);
		new (toFill++) EmojiData(456, 312, 3627932855, 0, 2);
		new (toFill++) EmojiData(480, 312, 3627932856, 0, 2);
		new (toFill++) EmojiData(504, 312, 3627932857, 0, 2);
		new (toFill++) EmojiData(528, 312, 3627932858, 0, 2);
		new (toFill++) EmojiData(552, 312, 3627932859, 0, 2);
		new (toFill++) EmojiData(576, 312, 3627932860, 0, 2);
		new (toFill++) EmojiData(600, 312, 3627932861, 0, 2);
		new (toFill++) EmojiData(624, 312, 3627932862, 0, 2);
		new (toFill++) EmojiData(648, 312, 3627932863, 0, 2);
		new (toFill++) EmojiData(672, 312, 3627932864, 0, 2);
		new (toFill++) EmojiData(696, 312, 3627932865, 0, 2);
		new (toFill++) EmojiData(720, 312, 3627932866, 0, 2);
		new (toFill++) EmojiData(744, 312, 3627932867, 0, 2);
		new (toFill++) EmojiData(768, 312, 3627932868, 0, 2);
		new (toFill++) EmojiData(792, 312, 3627932869, 0, 2);
		new (toFill++) EmojiData(816, 312, 3627932870, 0, 2);
		new (toFill++) EmojiData(840, 312, 3627932871, 0, 2);
		new (toFill++) EmojiData(864, 312, 3627932872, 0, 2);
		new (toFill++) EmojiData(888, 312, 3627932873, 0, 2);
		new (toFill++) EmojiData(912, 312, 3627932874, 0, 2);
		new (toFill++) EmojiData(936, 312, 3627932875, 0, 2);
		new (toFill++) EmojiData(0, 336, 3627932876, 0, 2);
		new (toFill++) EmojiData(24, 336, 3627932877, 0, 2);
		new (toFill++) EmojiData(48, 336, 3627932878, 0, 2);
		new (toFill++) EmojiData(72, 336, 3627932879, 0, 2);
		new (toFill++) EmojiData(96, 336, 3627932880, 0, 2);
		new (toFill++) EmojiData(120, 336, 3627932881, 0, 2);
		new (toFill++) EmojiData(144, 336, 3627932882, 0, 2);
		new (toFill++) EmojiData(168, 336, 3627932883, 0, 2);
		new (toFill++) EmojiData(192, 336, 3627932884, 0, 2);
		new (toFill++) EmojiData(216, 336, 3627932885, 0, 2);
		new (toFill++) EmojiData(240, 336, 3627932886, 0, 2);
		new (toFill++) EmojiData(264, 336, 3627932887, 0, 2);
		new (toFill++) EmojiData(288, 336, 3627932888, 0, 2);
		new (toFill++) EmojiData(312, 336, 3627932889, 0, 2);
		new (toFill++) EmojiData(336, 336, 3627932890, 0, 2);
		new (toFill++) EmojiData(360, 336, 3627932891, 0, 2);
		new (toFill++) EmojiData(384, 336, 3627932892, 0, 2);
		new (toFill++) EmojiData(408, 336, 3627932893, 0, 2);
		new (toFill++) EmojiData(432, 336, 3627932894, 0, 2);
		new (toFill++) EmojiData(456, 336, 3627932895, 0, 2);
		new (toFill++) EmojiData(480, 336, 3627932896, 0, 2);
		new (toFill++) EmojiData(504, 336, 3627932897, 0, 2);
		new (toFill++) EmojiData(528, 336, 3627932898, 0, 2);
		new (toFill++) EmojiData(552, 336, 3627932899, 0, 2);
		new (toFill++) EmojiData(576, 336, 3627932900, 0, 2);
		new (toFill++) EmojiData(600, 336, 3627932901, 0, 2);
		new (toFill++) EmojiData(624, 336, 3627932902, 0, 2);
		new (toFill++) EmojiData(648, 336, 3627932903, 0, 2);
		new (toFill++) EmojiData(672, 336, 3627932904, 0, 2);
		new (toFill++) EmojiData(696, 336, 3627932905, 0, 2);
		new (toFill++) EmojiData(720, 336, 3627932906, 0, 2);
		new (toFill++) EmojiData(744, 336, 3627932907, 0, 2);
		new (toFill++) EmojiData(768, 336, 3627932908, 0, 2);
		new (toFill++) EmojiData(792, 336, 3627932909, 0, 2);
		new (toFill++) EmojiData(816, 336, 3627932910, 0, 2);
		new (toFill++) EmojiData(840, 336, 3627932911, 0, 2);
		new (toFill++) EmojiData(864, 336, 3627932912, 0, 2);
		new (toFill++) EmojiData(888, 336, 3627932913, 0, 2);
		new (toFill++) EmojiData(912, 336, 3627932914, 0, 2);
		new (toFill++) EmojiData(936, 336, 3627932915, 0, 2);
		new (toFill++) EmojiData(0, 360, 3627932916, 0, 2);
		new (toFill++) EmojiData(24, 360, 3627932917, 0, 2);
		new (toFill++) EmojiData(48, 360, 3627932918, 0, 2);
		new (toFill++) EmojiData(72, 360, 3627932919, 0, 2);
		new (toFill++) EmojiData(96, 360, 3627932921, 0, 2);
		new (toFill++) EmojiData(120, 360, 3627932922, 0, 2);
		new (toFill++) EmojiData(144, 360, 3627932923, 0, 2);
		new (toFill++) EmojiData(168, 360, 3627932924, 0, 2);
		new (toFill++) EmojiData(192, 360, 3627932928, 0, 2);
		new (toFill++) EmojiData(216, 360, 3627932929, 0, 2);
		new (toFill++) EmojiData(240, 360, 3627932930, 0, 2);
		new (toFill++) EmojiData(264, 360, 3627932931, 0, 2);
		new (toFill++) EmojiData(288, 360, 3627932932, 0, 2);
		new (toFill++) EmojiData(312, 360, 3627932933, 0, 2);
		new (toFill++) EmojiData(336, 360, 3627932934, 0, 2);
		new (toFill++) EmojiData(360, 360, 3627932935, 0, 2);
		new (toFill++) EmojiData(384, 360, 3627932936, 0, 2);
		new (toFill++) EmojiData(408, 360, 3627932937, 0, 2);
		new (toFill++) EmojiData(432, 360, 3627932938, 0, 2);
		new (toFill++) EmojiData(456, 360, 3627932939, 0, 2);
		new (toFill++) EmojiData(480, 360, 3627932940, 0, 2);
		new (toFill++) EmojiData(504, 360, 3627932941, 0, 2);
		new (toFill++) EmojiData(528, 360, 3627932942, 0, 2);
		new (toFill++) EmojiData(552, 360, 3627932943, 0, 2);
		new (toFill++) EmojiData(576, 360, 3627932944, 0, 2);
		new (toFill++) EmojiData(600, 360, 3627932945, 0, 2);
		new (toFill++) EmojiData(624, 360, 3627932946, 0, 2);
		new (toFill++) EmojiData(648, 360, 3627932947, 0, 2);
		new (toFill++) EmojiData(672, 360, 3627932948, 0, 2);
		new (toFill++) EmojiData(696, 360, 3627932949, 0, 2);
		new (toFill++) EmojiData(720, 360, 3627932950, 0, 2);
		new (toFill++) EmojiData(744, 360, 3627932951, 0, 2);
		new (toFill++) EmojiData(768, 360, 3627932952, 0, 2);
		new (toFill++) EmojiData(792, 360, 3627932953, 0, 2);
		new (toFill++) EmojiData(816, 360, 3627932954, 0, 2);
		new (toFill++) EmojiData(840, 360, 3627932955, 0, 2);
		new (toFill++) EmojiData(864, 360, 3627932956, 0, 2);
		new (toFill++) EmojiData(888, 360, 3627932957, 0, 2);
		new (toFill++) EmojiData(912, 360, 3627932958, 0, 2);
		new (toFill++) EmojiData(936, 360, 3627932959, 0, 2);
		new (toFill++) EmojiData(0, 384, 3627932960, 0, 2);
		new (toFill++) EmojiData(24, 384, 3627932961, 0, 2);
		new (toFill++) EmojiData(48, 384, 3627932962, 0, 2);
		new (toFill++) EmojiData(72, 384, 3627932963, 0, 2);
		new (toFill++) EmojiData(96, 384, 3627932964, 0, 2);
		new (toFill++) EmojiData(120, 384, 3627932965, 0, 2);
		new (toFill++) EmojiData(144, 384, 3627932966, 0, 2);
		new (toFill++) EmojiData(168, 384, 3627932967, 0, 2);
		new (toFill++) EmojiData(192, 384, 3627932968, 0, 2);
		new (toFill++) EmojiData(216, 384, 3627932969, 0, 2);
		new (toFill++) EmojiData(240, 384, 3627932970, 0, 2);
		new (toFill++) EmojiData(264, 384, 3627932971, 0, 2);
		new (toFill++) EmojiData(288, 384, 3627932972, 0, 2);
		new (toFill++) EmojiData(312, 384, 3627932973, 0, 2);
		new (toFill++) EmojiData(336, 384, 3627932974, 0, 2);
		new (toFill++) EmojiData(360, 384, 3627932975, 0, 2);
		new (toFill++) EmojiData(384, 384, 3627932976, 0, 2);
		new (toFill++) EmojiData(408, 384, 3627932977, 0, 2);
		new (toFill++) EmojiData(432, 384, 3627932978, 0, 2);
		new (toFill++) EmojiData(456, 384, 3627932979, 0, 2);
		new (toFill++) EmojiData(480, 384, 3627932980, 0, 2);
		new (toFill++) EmojiData(504, 384, 3627932981, 0, 2);
		new (toFill++) EmojiData(528, 384, 3627932982, 0, 2);
		new (toFill++) EmojiData(552, 384, 3627932983, 0, 2);
		new (toFill++) EmojiData(576, 384, 3627932984, 0, 2);
		new (toFill++) EmojiData(600, 384, 3627932985, 0, 2);
		new (toFill++) EmojiData(624, 384, 3627932986, 0, 2);
		new (toFill++) EmojiData(648, 384, 3627932987, 0, 2);
		new (toFill++) EmojiData(672, 384, 3627932988, 0, 2);
		new (toFill++) EmojiData(696, 384, 3627932989, 0, 2);
		new (toFill++) EmojiData(720, 384, 3627933008, 0, 2);
		new (toFill++) EmojiData(744, 384, 3627933009, 0, 2);
		new (toFill++) EmojiData(768, 384, 3627933010, 0, 2);
		new (toFill++) EmojiData(792, 384, 3627933011, 0, 2);
		new (toFill++) EmojiData(816, 384, 3627933012, 0, 2);
		new (toFill++) EmojiData(840, 384, 3627933013, 0, 2);
		new (toFill++) EmojiData(864, 384, 3627933014, 0, 2);
		new (toFill++) EmojiData(888, 384, 3627933015, 0, 2);
		new (toFill++) EmojiData(912, 384, 3627933016, 0, 2);
		new (toFill++) EmojiData(936, 384, 3627933017, 0, 2);
		new (toFill++) EmojiData(0, 408, 3627933018, 0, 2);
		new (toFill++) EmojiData(24, 408, 3627933019, 0, 2);
		new (toFill++) EmojiData(48, 408, 3627933020, 0, 2);
		new (toFill++) EmojiData(72, 408, 3627933021, 0, 2);
		new (toFill++) EmojiData(96, 408, 3627933022, 0, 2);
		new (toFill++) EmojiData(120, 408, 3627933023, 0, 2);
		new (toFill++) EmojiData(144, 408, 3627933024, 0, 2);
		new (toFill++) EmojiData(168, 408, 3627933025, 0, 2);
		new (toFill++) EmojiData(192, 408, 3627933026, 0, 2);
		new (toFill++) EmojiData(216, 408, 3627933027, 0, 2);
		new (toFill++) EmojiData(240, 408, 3627933028, 0, 2);
		new (toFill++) EmojiData(264, 408, 3627933029, 0, 2);
		new (toFill++) EmojiData(288, 408, 3627933030, 0, 2);
		new (toFill++) EmojiData(312, 408, 3627933031, 0, 2);
		new (toFill++) EmojiData(336, 408, 3627933179, 0, 2);
		new (toFill++) EmojiData(360, 408, 3627933180, 0, 2);
		new (toFill++) EmojiData(384, 408, 3627933181, 0, 2);
		new (toFill++) EmojiData(408, 408, 3627933182, 0, 2);
		new (toFill++) EmojiData(432, 408, 3627933183, 0, 2);
		new (toFill++) EmojiData(456, 408, 3627933184, 0, 2);
		new (toFill++) EmojiData(480, 408, 3627933185, 0, 2);
		new (toFill++) EmojiData(504, 408, 3627933186, 0, 2);
		new (toFill++) EmojiData(528, 408, 3627933187, 0, 2);
		new (toFill++) EmojiData(552, 408, 3627933188, 0, 2);
		new (toFill++) EmojiData(576, 408, 3627933189, 0, 2);
		new (toFill++) EmojiData(600, 408, 3627933190, 0, 2);
		new (toFill++) EmojiData(624, 408, 3627933191, 0, 2);
		new (toFill++) EmojiData(648, 408, 3627933192, 0, 2);
		new (toFill++) EmojiData(672, 408, 3627933193, 0, 2);
		new (toFill++) EmojiData(696, 408, 3627933194, 0, 2);
		new (toFill++) EmojiData(720, 408, 3627933195, 0, 2);
		new (toFill++) EmojiData(744, 408, 3627933196, 0, 2);
		new (toFill++) EmojiData(768, 408, 3627933197, 0, 2);
		new (toFill++) EmojiData(792, 408, 3627933198, 0, 2);
		new (toFill++) EmojiData(816, 408, 3627933199, 0, 2);
		new (toFill++) EmojiData(840, 408, 3627933200, 0, 2);
		new (toFill++) EmojiData(864, 408, 3627933201, 0, 2);
		new (toFill++) EmojiData(888, 408, 3627933202, 0, 2);
		new (toFill++) EmojiData(912, 408, 3627933203, 0, 2);
		new (toFill++) EmojiData(936, 408, 3627933204, 0, 2);
		new (toFill++) EmojiData(0, 432, 3627933205, 0, 2);
		new (toFill++) EmojiData(24, 432, 3627933206, 0, 2);
		new (toFill++) EmojiData(48, 432, 3627933207, 0, 2);
		new (toFill++) EmojiData(72, 432, 3627933208, 0, 2);
		new (toFill++) EmojiData(96, 432, 3627933209, 0, 2);
		new (toFill++) EmojiData(120, 432, 3627933210, 0, 2);
		new (toFill++) EmojiData(144, 432, 3627933211, 0, 2);
		new (toFill++) EmojiData(168, 432, 3627933212, 0, 2);
		new (toFill++) EmojiData(192, 432, 3627933213, 0, 2);
		new (toFill++) EmojiData(216, 432, 3627933214, 0, 2);
		new (toFill++) EmojiData(240, 432, 3627933215, 0, 2);
		new (toFill++) EmojiData(264, 432, 3627933216, 0, 2);
		new (toFill++) EmojiData(288, 432, 3627933217, 0, 2);
		new (toFill++) EmojiData(312, 432, 3627933218, 0, 2);
		new (toFill++) EmojiData(336, 432, 3627933219, 0, 2);
		new (toFill++) EmojiData(360, 432, 3627933220, 0, 2);
		new (toFill++) EmojiData(384, 432, 3627933221, 0, 2);
		new (toFill++) EmojiData(408, 432, 3627933222, 0, 2);
		new (toFill++) EmojiData(432, 432, 3627933223, 0, 2);
		new (toFill++) EmojiData(456, 432, 3627933224, 0, 2);
		new (toFill++) EmojiData(480, 432, 3627933225, 0, 2);
		new (toFill++) EmojiData(504, 432, 3627933226, 0, 2);
		new (toFill++) EmojiData(528, 432, 3627933227, 0, 2);
		new (toFill++) EmojiData(552, 432, 3627933228, 0, 2);
		new (toFill++) EmojiData(576, 432, 3627933229, 0, 2);
		new (toFill++) EmojiData(600, 432, 3627933230, 0, 2);
		new (toFill++) EmojiData(624, 432, 3627933231, 0, 2);
		new (toFill++) EmojiData(648, 432, 3627933232, 0, 2);
		new (toFill++) EmojiData(672, 432, 3627933233, 0, 2);
		new (toFill++) EmojiData(696, 432, 3627933234, 0, 2);
		new (toFill++) EmojiData(720, 432, 3627933235, 0, 2);
		new (toFill++) EmojiData(744, 432, 3627933236, 0, 2);
		new (toFill++) EmojiData(768, 432, 3627933237, 0, 2);
		new (toFill++) EmojiData(792, 432, 3627933238, 0, 2);
		new (toFill++) EmojiData(816, 432, 3627933239, 0, 2);
		new (toFill++) EmojiData(840, 432, 3627933240, 0, 2);
		new (toFill++) EmojiData(864, 432, 3627933241, 0, 2);
		new (toFill++) EmojiData(888, 432, 3627933242, 0, 2);
		new (toFill++) EmojiData(912, 432, 3627933243, 0, 2);
		new (toFill++) EmojiData(936, 432, 3627933244, 0, 2);
		new (toFill++) EmojiData(0, 456, 3627933245, 0, 2);
		new (toFill++) EmojiData(24, 456, 3627933246, 0, 2);
		new (toFill++) EmojiData(48, 456, 3627933247, 0, 2);
		new (toFill++) EmojiData(72, 456, 3627933248, 0, 2);
		new (toFill++) EmojiData(96, 456, 3627933253, 0, 2);
		new (toFill++) EmojiData(120, 456, 3627933254, 0, 2);
		new (toFill++) EmojiData(144, 456, 3627933255, 0, 2);
		new (toFill++) EmojiData(168, 456, 3627933256, 0, 2);
		new (toFill++) EmojiData(192, 456, 3627933257, 0, 2);
		new (toFill++) EmojiData(216, 456, 3627933258, 0, 2);
		new (toFill++) EmojiData(240, 456, 3627933259, 0, 2);
		new (toFill++) EmojiData(264, 456, 3627933260, 0, 2);
		new (toFill++) EmojiData(288, 456, 3627933261, 0, 2);
		new (toFill++) EmojiData(312, 456, 3627933262, 0, 2);
		new (toFill++) EmojiData(336, 456, 3627933263, 0, 2);
		new (toFill++) EmojiData(360, 456, 3627933312, 0, 2);
		new (toFill++) EmojiData(384, 456, 3627933313, 0, 2);
		new (toFill++) EmojiData(408, 456, 3627933314, 0, 2);
		new (toFill++) EmojiData(432, 456, 3627933315, 0, 2);
		new (toFill++) EmojiData(456, 456, 3627933316, 0, 2);
		new (toFill++) EmojiData(480, 456, 3627933317, 0, 2);
		new (toFill++) EmojiData(504, 456, 3627933318, 0, 2);
		new (toFill++) EmojiData(528, 456, 3627933319, 0, 2);
		new (toFill++) EmojiData(552, 456, 3627933320, 0, 2);
		new (toFill++) EmojiData(576, 456, 3627933321, 0, 2);
		new (toFill++) EmojiData(600, 456, 3627933322, 0, 2);
		new (toFill++) EmojiData(624, 456, 3627933323, 0, 2);
		new (toFill++) EmojiData(648, 456, 3627933324, 0, 2);
		new (toFill++) EmojiData(672, 456, 3627933325, 0, 2);
		new (toFill++) EmojiData(696, 456, 3627933326, 0, 2);
		new (toFill++) EmojiData(720, 456, 3627933327, 0, 2);
		new (toFill++) EmojiData(744, 456, 3627933328, 0, 2);
		new (toFill++) EmojiData(768, 456, 3627933329, 0, 2);
		new (toFill++) EmojiData(792, 456, 3627933330, 0, 2);
		new (toFill++) EmojiData(816, 456, 3627933331, 0, 2);
		new (toFill++) EmojiData(840, 456, 3627933332, 0, 2);
		new (toFill++) EmojiData(864, 456, 3627933333, 0, 2);
		new (toFill++) EmojiData(888, 456, 3627933334, 0, 2);
		new (toFill++) EmojiData(912, 456, 3627933335, 0, 2);
		new (toFill++) EmojiData(936, 456, 3627933336, 0, 2);
		new (toFill++) EmojiData(0, 480, 3627933337, 0, 2);
		new (toFill++) EmojiData(24, 480, 3627933338, 0, 2);
		new (toFill++) EmojiData(48, 480, 3627933339, 0, 2);
		new (toFill++) EmojiData(72, 480, 3627933340, 0, 2);
		new (toFill++) EmojiData(96, 480, 3627933341, 0, 2);
		new (toFill++) EmojiData(120, 480, 3627933342, 0, 2);
		new (toFill++) EmojiData(144, 480, 3627933343, 0, 2);
		new (toFill++) EmojiData(168, 480, 3627933344, 0, 2);
		new (toFill++) EmojiData(192, 480, 3627933345, 0, 2);
		new (toFill++) EmojiData(216, 480, 3627933346, 0, 2);
		new (toFill++) EmojiData(240, 480, 3627933347, 0, 2);
		new (toFill++) EmojiData(264, 480, 3627933348, 0, 2);
		new (toFill++) EmojiData(288, 480, 3627933349, 0, 2);
		new (toFill++) EmojiData(312, 480, 3627933350, 0, 2);
		new (toFill++) EmojiData(336, 480, 3627933351, 0, 2);
		new (toFill++) EmojiData(360, 480, 3627933352, 0, 2);
		new (toFill++) EmojiData(384, 480, 3627933353, 0, 2);
		new (toFill++) EmojiData(408, 480, 3627933354, 0, 2);
		new (toFill++) EmojiData(432, 480, 3627933355, 0, 2);
		new (toFill++) EmojiData(456, 480, 3627933356, 0, 2);
		new (toFill++) EmojiData(480, 480, 3627933357, 0, 2);
		new (toFill++) EmojiData(504, 480, 3627933358, 0, 2);
		new (toFill++) EmojiData(528, 480, 3627933359, 0, 2);
		new (toFill++) EmojiData(552, 480, 3627933360, 0, 2);
		new (toFill++) EmojiData(576, 480, 3627933361, 0, 2);
		new (toFill++) EmojiData(600, 480, 3627933362, 0, 2);
		new (toFill++) EmojiData(624, 480, 3627933363, 0, 2);
		new (toFill++) EmojiData(648, 480, 3627933364, 0, 2);
		new (toFill++) EmojiData(672, 480, 3627933365, 0, 2);
		new (toFill++) EmojiData(696, 480, 3627933366, 0, 2);
		new (toFill++) EmojiData(720, 480, 3627933367, 0, 2);
		new (toFill++) EmojiData(744, 480, 3627933368, 0, 2);
		new (toFill++) EmojiData(768, 480, 3627933369, 0, 2);
		new (toFill++) EmojiData(792, 480, 3627933370, 0, 2);
		new (toFill++) EmojiData(816, 480, 3627933371, 0, 2);
		new (toFill++) EmojiData(840, 480, 3627933372, 0, 2);
		new (toFill++) EmojiData(864, 480, 3627933373, 0, 2);
		new (toFill++) EmojiData(888, 480, 3627933374, 0, 2);
		new (toFill++) EmojiData(912, 480, 3627933375, 0, 2);
		new (toFill++) EmojiData(936, 480, 3627933376, 0, 2);
		new (toFill++) EmojiData(0, 504, 3627933377, 0, 2);
		new (toFill++) EmojiData(24, 504, 3627933378, 0, 2);
		new (toFill++) EmojiData(48, 504, 3627933379, 0, 2);
		new (toFill++) EmojiData(72, 504, 3627933380, 0, 2);
		new (toFill++) EmojiData(96, 504, 3627933381, 0, 2);
	break;

	case dbisTwo:
		new (toFill++) EmojiData(352, 0, 169, 0, 1);
		new (toFill++) EmojiData(384, 0, 174, 0, 1);
		new (toFill++) EmojiData(416, 0, 8252, 0, 1);
		new (toFill++) EmojiData(448, 0, 8265, 0, 1);
		new (toFill++) EmojiData(480, 0, 8482, 0, 1);
		new (toFill++) EmojiData(512, 0, 8505, 0, 1);
		new (toFill++) EmojiData(544, 0, 8596, 0, 1);
		new (toFill++) EmojiData(576, 0, 8597, 0, 1);
		new (toFill++) EmojiData(608, 0, 8598, 0, 1);
		new (toFill++) EmojiData(640, 0, 8599, 0, 1);
		new (toFill++) EmojiData(672, 0, 8600, 0, 1);
		new (toFill++) EmojiData(704, 0, 8601, 0, 1);
		new (toFill++) EmojiData(736, 0, 8617, 0, 1);
		new (toFill++) EmojiData(768, 0, 8618, 0, 1);
		new (toFill++) EmojiData(800, 0, 8986, 0, 1);
		new (toFill++) EmojiData(832, 0, 8987, 0, 1);
		new (toFill++) EmojiData(864, 0, 9193, 0, 1);
		new (toFill++) EmojiData(896, 0, 9194, 0, 1);
		new (toFill++) EmojiData(928, 0, 9195, 0, 1);
		new (toFill++) EmojiData(960, 0, 9196, 0, 1);
		new (toFill++) EmojiData(992, 0, 9200, 0, 1);
		new (toFill++) EmojiData(1024, 0, 9203, 0, 1);
		new (toFill++) EmojiData(1056, 0, 9410, 0, 1);
		new (toFill++) EmojiData(1088, 0, 9642, 0, 1);
		new (toFill++) EmojiData(1120, 0, 9643, 0, 1);
		new (toFill++) EmojiData(1152, 0, 9654, 0, 1);
		new (toFill++) EmojiData(1184, 0, 9664, 0, 1);
		new (toFill++) EmojiData(1216, 0, 9723, 0, 1);
		new (toFill++) EmojiData(1248, 0, 9724, 0, 1);
		new (toFill++) EmojiData(0, 32, 9725, 0, 1);
		new (toFill++) EmojiData(32, 32, 9726, 0, 1);
		new (toFill++) EmojiData(64, 32, 9728, 0, 1);
		new (toFill++) EmojiData(96, 32, 9729, 0, 1);
		new (toFill++) EmojiData(128, 32, 9742, 0, 1);
		new (toFill++) EmojiData(160, 32, 9745, 0, 1);
		new (toFill++) EmojiData(192, 32, 9748, 0, 1);
		new (toFill++) EmojiData(224, 32, 9749, 0, 1);
		new (toFill++) EmojiData(256, 32, 9757, 0, 1);
		new (toFill++) EmojiData(288, 32, 9786, 0, 1);
		new (toFill++) EmojiData(320, 32, 9800, 0, 1);
		new (toFill++) EmojiData(352, 32, 9801, 0, 1);
		new (toFill++) EmojiData(384, 32, 9802, 0, 1);
		new (toFill++) EmojiData(416, 32, 9803, 0, 1);
		new (toFill++) EmojiData(448, 32, 9804, 0, 1);
		new (toFill++) EmojiData(480, 32, 9805, 0, 1);
		new (toFill++) EmojiData(512, 32, 9806, 0, 1);
		new (toFill++) EmojiData(544, 32, 9807, 0, 1);
		new (toFill++) EmojiData(576, 32, 9808, 0, 1);
		new (toFill++) EmojiData(608, 32, 9809, 0, 1);
		new (toFill++) EmojiData(640, 32, 9810, 0, 1);
		new (toFill++) EmojiData(672, 32, 9811, 0, 1);
		new (toFill++) EmojiData(704, 32, 9824, 0, 1);
		new (toFill++) EmojiData(736, 32, 9827, 0, 1);
		new (toFill++) EmojiData(768, 32, 9829, 0, 1);
		new (toFill++) EmojiData(800, 32, 9830, 0, 1);
		new (toFill++) EmojiData(832, 32, 9832, 0, 1);
		new (toFill++) EmojiData(864, 32, 9851, 0, 1);
		new (toFill++) EmojiData(896, 32, 9855, 0, 1);
		new (toFill++) EmojiData(928, 32, 9875, 0, 1);
		new (toFill++) EmojiData(960, 32, 9888, 0, 1);
		new (toFill++) EmojiData(992, 32, 9889, 0, 1);
		new (toFill++) EmojiData(1024, 32, 9898, 0, 1);
		new (toFill++) EmojiData(1056, 32, 9899, 0, 1);
		new (toFill++) EmojiData(1088, 32, 9917, 0, 1);
		new (toFill++) EmojiData(1120, 32, 9918, 0, 1);
		new (toFill++) EmojiData(1152, 32, 9924, 0, 1);
		new (toFill++) EmojiData(1184, 32, 9925, 0, 1);
		new (toFill++) EmojiData(1216, 32, 9934, 0, 1);
		new (toFill++) EmojiData(1248, 32, 9940, 0, 1);
		new (toFill++) EmojiData(0, 64, 9962, 0, 1);
		new (toFill++) EmojiData(32, 64, 9970, 0, 1);
		new (toFill++) EmojiData(64, 64, 9971, 0, 1);
		new (toFill++) EmojiData(96, 64, 9973, 0, 1);
		new (toFill++) EmojiData(128, 64, 9978, 0, 1);
		new (toFill++) EmojiData(160, 64, 9981, 0, 1);
		new (toFill++) EmojiData(192, 64, 9986, 0, 1);
		new (toFill++) EmojiData(224, 64, 9989, 0, 1);
		new (toFill++) EmojiData(256, 64, 9992, 0, 1);
		new (toFill++) EmojiData(288, 64, 9993, 0, 1);
		new (toFill++) EmojiData(320, 64, 9994, 0, 1);
		new (toFill++) EmojiData(352, 64, 9995, 0, 1);
		new (toFill++) EmojiData(384, 64, 9996, 0, 1);
		new (toFill++) EmojiData(416, 64, 9999, 0, 1);
		new (toFill++) EmojiData(448, 64, 10002, 0, 1);
		new (toFill++) EmojiData(480, 64, 10004, 0, 1);
		new (toFill++) EmojiData(512, 64, 10006, 0, 1);
		new (toFill++) EmojiData(544, 64, 10024, 0, 1);
		new (toFill++) EmojiData(576, 64, 10035, 0, 1);
		new (toFill++) EmojiData(608, 64, 10036, 0, 1);
		new (toFill++) EmojiData(640, 64, 10052, 0, 1);
		new (toFill++) EmojiData(672, 64, 10055, 0, 1);
		new (toFill++) EmojiData(704, 64, 10060, 0, 1);
		new (toFill++) EmojiData(736, 64, 10062, 0, 1);
		new (toFill++) EmojiData(768, 64, 10067, 0, 1);
		new (toFill++) EmojiData(800, 64, 10068, 0, 1);
		new (toFill++) EmojiData(832, 64, 10069, 0, 1);
		new (toFill++) EmojiData(864, 64, 10071, 0, 1);
		new (toFill++) EmojiData(896, 64, 10084, 0, 1);
		new (toFill++) EmojiData(928, 64, 10133, 0, 1);
		new (toFill++) EmojiData(960, 64, 10134, 0, 1);
		new (toFill++) EmojiData(992, 64, 10135, 0, 1);
		new (toFill++) EmojiData(1024, 64, 10145, 0, 1);
		new (toFill++) EmojiData(1056, 64, 10160, 0, 1);
		new (toFill++) EmojiData(1088, 64, 10175, 0, 1);
		new (toFill++) EmojiData(1120, 64, 10548, 0, 1);
		new (toFill++) EmojiData(1152, 64, 10549, 0, 1);
		new (toFill++) EmojiData(1184, 64, 11013, 0, 1);
		new (toFill++) EmojiData(1216, 64, 11014, 0, 1);
		new (toFill++) EmojiData(1248, 64, 11015, 0, 1);
		new (toFill++) EmojiData(0, 96, 11035, 0, 1);
		new (toFill++) EmojiData(32, 96, 11036, 0, 1);
		new (toFill++) EmojiData(64, 96, 11088, 0, 1);
		new (toFill++) EmojiData(96, 96, 11093, 0, 1);
		new (toFill++) EmojiData(128, 96, 12336, 0, 1);
		new (toFill++) EmojiData(160, 96, 12349, 0, 1);
		new (toFill++) EmojiData(192, 96, 12951, 0, 1);
		new (toFill++) EmojiData(224, 96, 12953, 0, 1);
		new (toFill++) EmojiData(0, 0, 2302179, 0, 2);
		new (toFill++) EmojiData(32, 0, 3154147, 0, 2);
		new (toFill++) EmojiData(64, 0, 3219683, 0, 2);
		new (toFill++) EmojiData(96, 0, 3285219, 0, 2);
		new (toFill++) EmojiData(128, 0, 3350755, 0, 2);
		new (toFill++) EmojiData(160, 0, 3416291, 0, 2);
		new (toFill++) EmojiData(192, 0, 3481827, 0, 2);
		new (toFill++) EmojiData(224, 0, 3547363, 0, 2);
		new (toFill++) EmojiData(256, 0, 3612899, 0, 2);
		new (toFill++) EmojiData(288, 0, 3678435, 0, 2);
		new (toFill++) EmojiData(320, 0, 3743971, 0, 2);
		new (toFill++) EmojiData(256, 96, 3627867140, 0, 2);
		new (toFill++) EmojiData(288, 96, 3627867343, 0, 2);
		new (toFill++) EmojiData(320, 96, 3627867504, 0, 2);
		new (toFill++) EmojiData(352, 96, 3627867505, 0, 2);
		new (toFill++) EmojiData(384, 96, 3627867518, 0, 2);
		new (toFill++) EmojiData(416, 96, 3627867519, 0, 2);
		new (toFill++) EmojiData(448, 96, 3627867534, 0, 2);
		new (toFill++) EmojiData(480, 96, 3627867537, 0, 2);
		new (toFill++) EmojiData(512, 96, 3627867538, 0, 2);
		new (toFill++) EmojiData(544, 96, 3627867539, 0, 2);
		new (toFill++) EmojiData(576, 96, 3627867540, 0, 2);
		new (toFill++) EmojiData(608, 96, 3627867541, 0, 2);
		new (toFill++) EmojiData(640, 96, 3627867542, 0, 2);
		new (toFill++) EmojiData(672, 96, 3627867543, 0, 2);
		new (toFill++) EmojiData(704, 96, 3627867544, 0, 2);
		new (toFill++) EmojiData(736, 96, 3627867545, 0, 2);
		new (toFill++) EmojiData(768, 96, 3627867546, 0, 2);
		new (toFill++) EmojiData(800, 96, 3627867624, 3627867635, 4);
		new (toFill++) EmojiData(832, 96, 3627867625, 3627867626, 4);
		new (toFill++) EmojiData(864, 96, 3627867626, 3627867640, 4);
		new (toFill++) EmojiData(896, 96, 3627867627, 3627867639, 4);
		new (toFill++) EmojiData(928, 96, 3627867628, 3627867623, 4);
		new (toFill++) EmojiData(960, 96, 3627867630, 3627867641, 4);
		new (toFill++) EmojiData(992, 96, 3627867631, 3627867637, 4);
		new (toFill++) EmojiData(1024, 96, 3627867632, 3627867639, 4);
		new (toFill++) EmojiData(1056, 96, 3627867639, 3627867642, 4);
		new (toFill++) EmojiData(1088, 96, 3627867642, 3627867640, 4);
		new (toFill++) EmojiData(1120, 96, 3627867649, 0, 2);
		new (toFill++) EmojiData(1152, 96, 3627867650, 0, 2);
		new (toFill++) EmojiData(1184, 96, 3627867674, 0, 2);
		new (toFill++) EmojiData(1216, 96, 3627867695, 0, 2);
		new (toFill++) EmojiData(1248, 96, 3627867698, 0, 2);
		new (toFill++) EmojiData(0, 128, 3627867699, 0, 2);
		new (toFill++) EmojiData(32, 128, 3627867700, 0, 2);
		new (toFill++) EmojiData(64, 128, 3627867701, 0, 2);
		new (toFill++) EmojiData(96, 128, 3627867702, 0, 2);
		new (toFill++) EmojiData(128, 128, 3627867703, 0, 2);
		new (toFill++) EmojiData(160, 128, 3627867704, 0, 2);
		new (toFill++) EmojiData(192, 128, 3627867705, 0, 2);
		new (toFill++) EmojiData(224, 128, 3627867706, 0, 2);
		new (toFill++) EmojiData(256, 128, 3627867728, 0, 2);
		new (toFill++) EmojiData(288, 128, 3627867729, 0, 2);
		new (toFill++) EmojiData(320, 128, 3627867904, 0, 2);
		new (toFill++) EmojiData(352, 128, 3627867905, 0, 2);
		new (toFill++) EmojiData(384, 128, 3627867906, 0, 2);
		new (toFill++) EmojiData(416, 128, 3627867907, 0, 2);
		new (toFill++) EmojiData(448, 128, 3627867908, 0, 2);
		new (toFill++) EmojiData(480, 128, 3627867909, 0, 2);
		new (toFill++) EmojiData(512, 128, 3627867910, 0, 2);
		new (toFill++) EmojiData(544, 128, 3627867911, 0, 2);
		new (toFill++) EmojiData(576, 128, 3627867912, 0, 2);
		new (toFill++) EmojiData(608, 128, 3627867913, 0, 2);
		new (toFill++) EmojiData(640, 128, 3627867914, 0, 2);
		new (toFill++) EmojiData(672, 128, 3627867915, 0, 2);
		new (toFill++) EmojiData(704, 128, 3627867916, 0, 2);
		new (toFill++) EmojiData(736, 128, 3627867917, 0, 2);
		new (toFill++) EmojiData(768, 128, 3627867918, 0, 2);
		new (toFill++) EmojiData(800, 128, 3627867919, 0, 2);
		new (toFill++) EmojiData(832, 128, 3627867920, 0, 2);
		new (toFill++) EmojiData(864, 128, 3627867921, 0, 2);
		new (toFill++) EmojiData(896, 128, 3627867922, 0, 2);
		new (toFill++) EmojiData(928, 128, 3627867923, 0, 2);
		new (toFill++) EmojiData(960, 128, 3627867924, 0, 2);
		new (toFill++) EmojiData(992, 128, 3627867925, 0, 2);
		new (toFill++) EmojiData(1024, 128, 3627867926, 0, 2);
		new (toFill++) EmojiData(1056, 128, 3627867927, 0, 2);
		new (toFill++) EmojiData(1088, 128, 3627867928, 0, 2);
		new (toFill++) EmojiData(1120, 128, 3627867929, 0, 2);
		new (toFill++) EmojiData(1152, 128, 3627867930, 0, 2);
		new (toFill++) EmojiData(1184, 128, 3627867931, 0, 2);
		new (toFill++) EmojiData(1216, 128, 3627867932, 0, 2);
		new (toFill++) EmojiData(1248, 128, 3627867933, 0, 2);
		new (toFill++) EmojiData(0, 160, 3627867934, 0, 2);
		new (toFill++) EmojiData(32, 160, 3627867935, 0, 2);
		new (toFill++) EmojiData(64, 160, 3627867936, 0, 2);
		new (toFill++) EmojiData(96, 160, 3627867952, 0, 2);
		new (toFill++) EmojiData(128, 160, 3627867953, 0, 2);
		new (toFill++) EmojiData(160, 160, 3627867954, 0, 2);
		new (toFill++) EmojiData(192, 160, 3627867955, 0, 2);
		new (toFill++) EmojiData(224, 160, 3627867956, 0, 2);
		new (toFill++) EmojiData(256, 160, 3627867957, 0, 2);
		new (toFill++) EmojiData(288, 160, 3627867959, 0, 2);
		new (toFill++) EmojiData(320, 160, 3627867960, 0, 2);
		new (toFill++) EmojiData(352, 160, 3627867961, 0, 2);
		new (toFill++) EmojiData(384, 160, 3627867962, 0, 2);
		new (toFill++) EmojiData(416, 160, 3627867963, 0, 2);
		new (toFill++) EmojiData(448, 160, 3627867964, 0, 2);
		new (toFill++) EmojiData(480, 160, 3627867965, 0, 2);
		new (toFill++) EmojiData(512, 160, 3627867966, 0, 2);
		new (toFill++) EmojiData(544, 160, 3627867967, 0, 2);
		new (toFill++) EmojiData(576, 160, 3627867968, 0, 2);
		new (toFill++) EmojiData(608, 160, 3627867969, 0, 2);
		new (toFill++) EmojiData(640, 160, 3627867970, 0, 2);
		new (toFill++) EmojiData(672, 160, 3627867971, 0, 2);
		new (toFill++) EmojiData(704, 160, 3627867972, 0, 2);
		new (toFill++) EmojiData(736, 160, 3627867973, 0, 2);
		new (toFill++) EmojiData(768, 160, 3627867974, 0, 2);
		new (toFill++) EmojiData(800, 160, 3627867975, 0, 2);
		new (toFill++) EmojiData(832, 160, 3627867976, 0, 2);
		new (toFill++) EmojiData(864, 160, 3627867977, 0, 2);
		new (toFill++) EmojiData(896, 160, 3627867978, 0, 2);
		new (toFill++) EmojiData(928, 160, 3627867979, 0, 2);
		new (toFill++) EmojiData(960, 160, 3627867980, 0, 2);
		new (toFill++) EmojiData(992, 160, 3627867981, 0, 2);
		new (toFill++) EmojiData(1024, 160, 3627867982, 0, 2);
		new (toFill++) EmojiData(1056, 160, 3627867983, 0, 2);
		new (toFill++) EmojiData(1088, 160, 3627867984, 0, 2);
		new (toFill++) EmojiData(1120, 160, 3627867985, 0, 2);
		new (toFill++) EmojiData(1152, 160, 3627867986, 0, 2);
		new (toFill++) EmojiData(1184, 160, 3627867987, 0, 2);
		new (toFill++) EmojiData(1216, 160, 3627867988, 0, 2);
		new (toFill++) EmojiData(1248, 160, 3627867989, 0, 2);
		new (toFill++) EmojiData(0, 192, 3627867990, 0, 2);
		new (toFill++) EmojiData(32, 192, 3627867991, 0, 2);
		new (toFill++) EmojiData(64, 192, 3627867992, 0, 2);
		new (toFill++) EmojiData(96, 192, 3627867993, 0, 2);
		new (toFill++) EmojiData(128, 192, 3627867994, 0, 2);
		new (toFill++) EmojiData(160, 192, 3627867995, 0, 2);
		new (toFill++) EmojiData(192, 192, 3627867996, 0, 2);
		new (toFill++) EmojiData(224, 192, 3627867997, 0, 2);
		new (toFill++) EmojiData(256, 192, 3627867998, 0, 2);
		new (toFill++) EmojiData(288, 192, 3627867999, 0, 2);
		new (toFill++) EmojiData(320, 192, 3627868000, 0, 2);
		new (toFill++) EmojiData(352, 192, 3627868001, 0, 2);
		new (toFill++) EmojiData(384, 192, 3627868002, 0, 2);
		new (toFill++) EmojiData(416, 192, 3627868003, 0, 2);
		new (toFill++) EmojiData(448, 192, 3627868004, 0, 2);
		new (toFill++) EmojiData(480, 192, 3627868005, 0, 2);
		new (toFill++) EmojiData(512, 192, 3627868006, 0, 2);
		new (toFill++) EmojiData(544, 192, 3627868007, 0, 2);
		new (toFill++) EmojiData(576, 192, 3627868008, 0, 2);
		new (toFill++) EmojiData(608, 192, 3627868009, 0, 2);
		new (toFill++) EmojiData(640, 192, 3627868010, 0, 2);
		new (toFill++) EmojiData(672, 192, 3627868011, 0, 2);
		new (toFill++) EmojiData(704, 192, 3627868012, 0, 2);
		new (toFill++) EmojiData(736, 192, 3627868013, 0, 2);
		new (toFill++) EmojiData(768, 192, 3627868014, 0, 2);
		new (toFill++) EmojiData(800, 192, 3627868015, 0, 2);
		new (toFill++) EmojiData(832, 192, 3627868016, 0, 2);
		new (toFill++) EmojiData(864, 192, 3627868017, 0, 2);
		new (toFill++) EmojiData(896, 192, 3627868018, 0, 2);
		new (toFill++) EmojiData(928, 192, 3627868019, 0, 2);
		new (toFill++) EmojiData(960, 192, 3627868020, 0, 2);
		new (toFill++) EmojiData(992, 192, 3627868021, 0, 2);
		new (toFill++) EmojiData(1024, 192, 3627868022, 0, 2);
		new (toFill++) EmojiData(1056, 192, 3627868023, 0, 2);
		new (toFill++) EmojiData(1088, 192, 3627868024, 0, 2);
		new (toFill++) EmojiData(1120, 192, 3627868025, 0, 2);
		new (toFill++) EmojiData(1152, 192, 3627868026, 0, 2);
		new (toFill++) EmojiData(1184, 192, 3627868027, 0, 2);
		new (toFill++) EmojiData(1216, 192, 3627868028, 0, 2);
		new (toFill++) EmojiData(1248, 192, 3627868032, 0, 2);
		new (toFill++) EmojiData(0, 224, 3627868033, 0, 2);
		new (toFill++) EmojiData(32, 224, 3627868034, 0, 2);
		new (toFill++) EmojiData(64, 224, 3627868035, 0, 2);
		new (toFill++) EmojiData(96, 224, 3627868036, 0, 2);
		new (toFill++) EmojiData(128, 224, 3627868037, 0, 2);
		new (toFill++) EmojiData(160, 224, 3627868038, 0, 2);
		new (toFill++) EmojiData(192, 224, 3627868039, 0, 2);
		new (toFill++) EmojiData(224, 224, 3627868040, 0, 2);
		new (toFill++) EmojiData(256, 224, 3627868041, 0, 2);
		new (toFill++) EmojiData(288, 224, 3627868042, 0, 2);
		new (toFill++) EmojiData(320, 224, 3627868043, 0, 2);
		new (toFill++) EmojiData(352, 224, 3627868044, 0, 2);
		new (toFill++) EmojiData(384, 224, 3627868045, 0, 2);
		new (toFill++) EmojiData(416, 224, 3627868046, 0, 2);
		new (toFill++) EmojiData(448, 224, 3627868047, 0, 2);
		new (toFill++) EmojiData(480, 224, 3627868048, 0, 2);
		new (toFill++) EmojiData(512, 224, 3627868049, 0, 2);
		new (toFill++) EmojiData(544, 224, 3627868050, 0, 2);
		new (toFill++) EmojiData(576, 224, 3627868051, 0, 2);
		new (toFill++) EmojiData(608, 224, 3627868064, 0, 2);
		new (toFill++) EmojiData(640, 224, 3627868065, 0, 2);
		new (toFill++) EmojiData(672, 224, 3627868066, 0, 2);
		new (toFill++) EmojiData(704, 224, 3627868067, 0, 2);
		new (toFill++) EmojiData(736, 224, 3627868068, 0, 2);
		new (toFill++) EmojiData(768, 224, 3627868069, 0, 2);
		new (toFill++) EmojiData(800, 224, 3627868070, 0, 2);
		new (toFill++) EmojiData(832, 224, 3627868071, 0, 2);
		new (toFill++) EmojiData(864, 224, 3627868072, 0, 2);
		new (toFill++) EmojiData(896, 224, 3627868073, 0, 2);
		new (toFill++) EmojiData(928, 224, 3627868074, 0, 2);
		new (toFill++) EmojiData(960, 224, 3627868075, 0, 2);
		new (toFill++) EmojiData(992, 224, 3627868076, 0, 2);
		new (toFill++) EmojiData(1024, 224, 3627868077, 0, 2);
		new (toFill++) EmojiData(1056, 224, 3627868078, 0, 2);
		new (toFill++) EmojiData(1088, 224, 3627868079, 0, 2);
		new (toFill++) EmojiData(1120, 224, 3627868080, 0, 2);
		new (toFill++) EmojiData(1152, 224, 3627868081, 0, 2);
		new (toFill++) EmojiData(1184, 224, 3627868082, 0, 2);
		new (toFill++) EmojiData(1216, 224, 3627868083, 0, 2);
		new (toFill++) EmojiData(1248, 224, 3627868084, 0, 2);
		new (toFill++) EmojiData(0, 256, 3627868085, 0, 2);
		new (toFill++) EmojiData(32, 256, 3627868086, 0, 2);
		new (toFill++) EmojiData(64, 256, 3627868087, 0, 2);
		new (toFill++) EmojiData(96, 256, 3627868088, 0, 2);
		new (toFill++) EmojiData(128, 256, 3627868089, 0, 2);
		new (toFill++) EmojiData(160, 256, 3627868090, 0, 2);
		new (toFill++) EmojiData(192, 256, 3627868091, 0, 2);
		new (toFill++) EmojiData(224, 256, 3627868092, 0, 2);
		new (toFill++) EmojiData(256, 256, 3627868093, 0, 2);
		new (toFill++) EmojiData(288, 256, 3627868094, 0, 2);
		new (toFill++) EmojiData(320, 256, 3627868095, 0, 2);
		new (toFill++) EmojiData(352, 256, 3627868096, 0, 2);
		new (toFill++) EmojiData(384, 256, 3627868097, 0, 2);
		new (toFill++) EmojiData(416, 256, 3627868098, 0, 2);
		new (toFill++) EmojiData(448, 256, 3627868099, 0, 2);
		new (toFill++) EmojiData(480, 256, 3627868100, 0, 2);
		new (toFill++) EmojiData(512, 256, 3627868102, 0, 2);
		new (toFill++) EmojiData(544, 256, 3627868103, 0, 2);
		new (toFill++) EmojiData(576, 256, 3627868104, 0, 2);
		new (toFill++) EmojiData(608, 256, 3627868105, 0, 2);
		new (toFill++) EmojiData(640, 256, 3627868106, 0, 2);
		new (toFill++) EmojiData(672, 256, 3627868128, 0, 2);
		new (toFill++) EmojiData(704, 256, 3627868129, 0, 2);
		new (toFill++) EmojiData(736, 256, 3627868130, 0, 2);
		new (toFill++) EmojiData(768, 256, 3627868131, 0, 2);
		new (toFill++) EmojiData(800, 256, 3627868132, 0, 2);
		new (toFill++) EmojiData(832, 256, 3627868133, 0, 2);
		new (toFill++) EmojiData(864, 256, 3627868134, 0, 2);
		new (toFill++) EmojiData(896, 256, 3627868135, 0, 2);
		new (toFill++) EmojiData(928, 256, 3627868136, 0, 2);
		new (toFill++) EmojiData(960, 256, 3627868137, 0, 2);
		new (toFill++) EmojiData(992, 256, 3627868138, 0, 2);
		new (toFill++) EmojiData(1024, 256, 3627868139, 0, 2);
		new (toFill++) EmojiData(1056, 256, 3627868140, 0, 2);
		new (toFill++) EmojiData(1088, 256, 3627868141, 0, 2);
		new (toFill++) EmojiData(1120, 256, 3627868142, 0, 2);
		new (toFill++) EmojiData(1152, 256, 3627868143, 0, 2);
		new (toFill++) EmojiData(1184, 256, 3627868144, 0, 2);
		new (toFill++) EmojiData(1216, 256, 3627932672, 0, 2);
		new (toFill++) EmojiData(1248, 256, 3627932673, 0, 2);
		new (toFill++) EmojiData(0, 288, 3627932674, 0, 2);
		new (toFill++) EmojiData(32, 288, 3627932675, 0, 2);
		new (toFill++) EmojiData(64, 288, 3627932676, 0, 2);
		new (toFill++) EmojiData(96, 288, 3627932677, 0, 2);
		new (toFill++) EmojiData(128, 288, 3627932678, 0, 2);
		new (toFill++) EmojiData(160, 288, 3627932679, 0, 2);
		new (toFill++) EmojiData(192, 288, 3627932680, 0, 2);
		new (toFill++) EmojiData(224, 288, 3627932681, 0, 2);
		new (toFill++) EmojiData(256, 288, 3627932682, 0, 2);
		new (toFill++) EmojiData(288, 288, 3627932683, 0, 2);
		new (toFill++) EmojiData(320, 288, 3627932684, 0, 2);
		new (toFill++) EmojiData(352, 288, 3627932685, 0, 2);
		new (toFill++) EmojiData(384, 288, 3627932686, 0, 2);
		new (toFill++) EmojiData(416, 288, 3627932687, 0, 2);
		new (toFill++) EmojiData(448, 288, 3627932688, 0, 2);
		new (toFill++) EmojiData(480, 288, 3627932689, 0, 2);
		new (toFill++) EmojiData(512, 288, 3627932690, 0, 2);
		new (toFill++) EmojiData(544, 288, 3627932691, 0, 2);
		new (toFill++) EmojiData(576, 288, 3627932692, 0, 2);
		new (toFill++) EmojiData(608, 288, 3627932693, 0, 2);
		new (toFill++) EmojiData(640, 288, 3627932694, 0, 2);
		new (toFill++) EmojiData(672, 288, 3627932695, 0, 2);
		new (toFill++) EmojiData(704, 288, 3627932696, 0, 2);
		new (toFill++) EmojiData(736, 288, 3627932697, 0, 2);
		new (toFill++) EmojiData(768, 288, 3627932698, 0, 2);
		new (toFill++) EmojiData(800, 288, 3627932699, 0, 2);
		new (toFill++) EmojiData(832, 288, 3627932700, 0, 2);
		new (toFill++) EmojiData(864, 288, 3627932701, 0, 2);
		new (toFill++) EmojiData(896, 288, 3627932702, 0, 2);
		new (toFill++) EmojiData(928, 288, 3627932703, 0, 2);
		new (toFill++) EmojiData(960, 288, 3627932704, 0, 2);
		new (toFill++) EmojiData(992, 288, 3627932705, 0, 2);
		new (toFill++) EmojiData(1024, 288, 3627932706, 0, 2);
		new (toFill++) EmojiData(1056, 288, 3627932707, 0, 2);
		new (toFill++) EmojiData(1088, 288, 3627932708, 0, 2);
		new (toFill++) EmojiData(1120, 288, 3627932709, 0, 2);
		new (toFill++) EmojiData(1152, 288, 3627932710, 0, 2);
		new (toFill++) EmojiData(1184, 288, 3627932711, 0, 2);
		new (toFill++) EmojiData(1216, 288, 3627932712, 0, 2);
		new (toFill++) EmojiData(1248, 288, 3627932713, 0, 2);
		new (toFill++) EmojiData(0, 320, 3627932714, 0, 2);
		new (toFill++) EmojiData(32, 320, 3627932715, 0, 2);
		new (toFill++) EmojiData(64, 320, 3627932716, 0, 2);
		new (toFill++) EmojiData(96, 320, 3627932717, 0, 2);
		new (toFill++) EmojiData(128, 320, 3627932718, 0, 2);
		new (toFill++) EmojiData(160, 320, 3627932719, 0, 2);
		new (toFill++) EmojiData(192, 320, 3627932720, 0, 2);
		new (toFill++) EmojiData(224, 320, 3627932721, 0, 2);
		new (toFill++) EmojiData(256, 320, 3627932722, 0, 2);
		new (toFill++) EmojiData(288, 320, 3627932723, 0, 2);
		new (toFill++) EmojiData(320, 320, 3627932724, 0, 2);
		new (toFill++) EmojiData(352, 320, 3627932725, 0, 2);
		new (toFill++) EmojiData(384, 320, 3627932726, 0, 2);
		new (toFill++) EmojiData(416, 320, 3627932727, 0, 2);
		new (toFill++) EmojiData(448, 320, 3627932728, 0, 2);
		new (toFill++) EmojiData(480, 320, 3627932729, 0, 2);
		new (toFill++) EmojiData(512, 320, 3627932730, 0, 2);
		new (toFill++) EmojiData(544, 320, 3627932731, 0, 2);
		new (toFill++) EmojiData(576, 320, 3627932732, 0, 2);
		new (toFill++) EmojiData(608, 320, 3627932733, 0, 2);
		new (toFill++) EmojiData(640, 320, 3627932734, 0, 2);
		new (toFill++) EmojiData(672, 320, 3627932736, 0, 2);
		new (toFill++) EmojiData(704, 320, 3627932738, 0, 2);
		new (toFill++) EmojiData(736, 320, 3627932739, 0, 2);
		new (toFill++) EmojiData(768, 320, 3627932740, 0, 2);
		new (toFill++) EmojiData(800, 320, 3627932741, 0, 2);
		new (toFill++) EmojiData(832, 320, 3627932742, 0, 2);
		new (toFill++) EmojiData(864, 320, 3627932743, 0, 2);
		new (toFill++) EmojiData(896, 320, 3627932744, 0, 2);
		new (toFill++) EmojiData(928, 320, 3627932745, 0, 2);
		new (toFill++) EmojiData(960, 320, 3627932746, 0, 2);
		new (toFill++) EmojiData(992, 320, 3627932747, 0, 2);
		new (toFill++) EmojiData(1024, 320, 3627932748, 0, 2);
		new (toFill++) EmojiData(1056, 320, 3627932749, 0, 2);
		new (toFill++) EmojiData(1088, 320, 3627932750, 0, 2);
		new (toFill++) EmojiData(1120, 320, 3627932751, 0, 2);
		new (toFill++) EmojiData(1152, 320, 3627932752, 0, 2);
		new (toFill++) EmojiData(1184, 320, 3627932753, 0, 2);
		new (toFill++) EmojiData(1216, 320, 3627932754, 0, 2);
		new (toFill++) EmojiData(1248, 320, 3627932755, 0, 2);
		new (toFill++) EmojiData(0, 352, 3627932756, 0, 2);
		new (toFill++) EmojiData(32, 352, 3627932757, 0, 2);
		new (toFill++) EmojiData(64, 352, 3627932758, 0, 2);
		new (toFill++) EmojiData(96, 352, 3627932759, 0, 2);
		new (toFill++) EmojiData(128, 352, 3627932760, 0, 2);
		new (toFill++) EmojiData(160, 352, 3627932761, 0, 2);
		new (toFill++) EmojiData(192, 352, 3627932762, 0, 2);
		new (toFill++) EmojiData(224, 352, 3627932763, 0, 2);
		new (toFill++) EmojiData(256, 352, 3627932764, 0, 2);
		new (toFill++) EmojiData(288, 352, 3627932765, 0, 2);
		new (toFill++) EmojiData(320, 352, 3627932766, 0, 2);
		new (toFill++) EmojiData(352, 352, 3627932767, 0, 2);
		new (toFill++) EmojiData(384, 352, 3627932768, 0, 2);
		new (toFill++) EmojiData(416, 352, 3627932769, 0, 2);
		new (toFill++) EmojiData(448, 352, 3627932770, 0, 2);
		new (toFill++) EmojiData(480, 352, 3627932771, 0, 2);
		new (toFill++) EmojiData(512, 352, 3627932772, 0, 2);
		new (toFill++) EmojiData(544, 352, 3627932773, 0, 2);
		new (toFill++) EmojiData(576, 352, 3627932774, 0, 2);
		new (toFill++) EmojiData(608, 352, 3627932775, 0, 2);
		new (toFill++) EmojiData(640, 352, 3627932776, 0, 2);
		new (toFill++) EmojiData(672, 352, 3627932777, 0, 2);
		new (toFill++) EmojiData(704, 352, 3627932778, 0, 2);
		new (toFill++) EmojiData(736, 352, 3627932779, 0, 2);
		new (toFill++) EmojiData(768, 352, 3627932780, 0, 2);
		new (toFill++) EmojiData(800, 352, 3627932781, 0, 2);
		new (toFill++) EmojiData(832, 352, 3627932782, 0, 2);
		new (toFill++) EmojiData(864, 352, 3627932783, 0, 2);
		new (toFill++) EmojiData(896, 352, 3627932784, 0, 2);
		new (toFill++) EmojiData(928, 352, 3627932785, 0, 2);
		new (toFill++) EmojiData(960, 352, 3627932786, 0, 2);
		new (toFill++) EmojiData(992, 352, 3627932787, 0, 2);
		new (toFill++) EmojiData(1024, 352, 3627932788, 0, 2);
		new (toFill++) EmojiData(1056, 352, 3627932789, 0, 2);
		new (toFill++) EmojiData(1088, 352, 3627932790, 0, 2);
		new (toFill++) EmojiData(1120, 352, 3627932791, 0, 2);
		new (toFill++) EmojiData(1152, 352, 3627932792, 0, 2);
		new (toFill++) EmojiData(1184, 352, 3627932793, 0, 2);
		new (toFill++) EmojiData(1216, 352, 3627932794, 0, 2);
		new (toFill++) EmojiData(1248, 352, 3627932795, 0, 2);
		new (toFill++) EmojiData(0, 384, 3627932796, 0, 2);
		new (toFill++) EmojiData(32, 384, 3627932797, 0, 2);
		new (toFill++) EmojiData(64, 384, 3627932798, 0, 2);
		new (toFill++) EmojiData(96, 384, 3627932799, 0, 2);
		new (toFill++) EmojiData(128, 384, 3627932800, 0, 2);
		new (toFill++) EmojiData(160, 384, 3627932801, 0, 2);
		new (toFill++) EmojiData(192, 384, 3627932802, 0, 2);
		new (toFill++) EmojiData(224, 384, 3627932803, 0, 2);
		new (toFill++) EmojiData(256, 384, 3627932804, 0, 2);
		new (toFill++) EmojiData(288, 384, 3627932805, 0, 2);
		new (toFill++) EmojiData(320, 384, 3627932806, 0, 2);
		new (toFill++) EmojiData(352, 384, 3627932807, 0, 2);
		new (toFill++) EmojiData(384, 384, 3627932808, 0, 2);
		new (toFill++) EmojiData(416, 384, 3627932809, 0, 2);
		new (toFill++) EmojiData(448, 384, 3627932810, 0, 2);
		new (toFill++) EmojiData(480, 384, 3627932811, 0, 2);
		new (toFill++) EmojiData(512, 384, 3627932812, 0, 2);
		new (toFill++) EmojiData(544, 384, 3627932813, 0, 2);
		new (toFill++) EmojiData(576, 384, 3627932814, 0, 2);
		new (toFill++) EmojiData(608, 384, 3627932815, 0, 2);
		new (toFill++) EmojiData(640, 384, 3627932816, 0, 2);
		new (toFill++) EmojiData(672, 384, 3627932817, 0, 2);
		new (toFill++) EmojiData(704, 384, 3627932818, 0, 2);
		new (toFill++) EmojiData(736, 384, 3627932819, 0, 2);
		new (toFill++) EmojiData(768, 384, 3627932820, 0, 2);
		new (toFill++) EmojiData(800, 384, 3627932821, 0, 2);
		new (toFill++) EmojiData(832, 384, 3627932822, 0, 2);
		new (toFill++) EmojiData(864, 384, 3627932823, 0, 2);
		new (toFill++) EmojiData(896, 384, 3627932824, 0, 2);
		new (toFill++) EmojiData(928, 384, 3627932825, 0, 2);
		new (toFill++) EmojiData(960, 384, 3627932826, 0, 2);
		new (toFill++) EmojiData(992, 384, 3627932827, 0, 2);
		new (toFill++) EmojiData(1024, 384, 3627932828, 0, 2);
		new (toFill++) EmojiData(1056, 384, 3627932829, 0, 2);
		new (toFill++) EmojiData(1088, 384, 3627932830, 0, 2);
		new (toFill++) EmojiData(1120, 384, 3627932831, 0, 2);
		new (toFill++) EmojiData(1152, 384, 3627932832, 0, 2);
		new (toFill++) EmojiData(1184, 384, 3627932833, 0, 2);
		new (toFill++) EmojiData(1216, 384, 3627932834, 0, 2);
		new (toFill++) EmojiData(1248, 384, 3627932835, 0, 2);
		new (toFill++) EmojiData(0, 416, 3627932836, 0, 2);
		new (toFill++) EmojiData(32, 416, 3627932837, 0, 2);
		new (toFill++) EmojiData(64, 416, 3627932838, 0, 2);
		new (toFill++) EmojiData(96, 416, 3627932839, 0, 2);
		new (toFill++) EmojiData(128, 416, 3627932840, 0, 2);
		new (toFill++) EmojiData(160, 416, 3627932841, 0, 2);
		new (toFill++) EmojiData(192, 416, 3627932842, 0, 2);
		new (toFill++) EmojiData(224, 416, 3627932843, 0, 2);
		new (toFill++) EmojiData(256, 416, 3627932844, 0, 2);
		new (toFill++) EmojiData(288, 416, 3627932845, 0, 2);
		new (toFill++) EmojiData(320, 416, 3627932846, 0, 2);
		new (toFill++) EmojiData(352, 416, 3627932847, 0, 2);
		new (toFill++) EmojiData(384, 416, 3627932848, 0, 2);
		new (toFill++) EmojiData(416, 416, 3627932849, 0, 2);
		new (toFill++) EmojiData(448, 416, 3627932850, 0, 2);
		new (toFill++) EmojiData(480, 416, 3627932851, 0, 2);
		new (toFill++) EmojiData(512, 416, 3627932852, 0, 2);
		new (toFill++) EmojiData(544, 416, 3627932853, 0, 2);
		new (toFill++) EmojiData(576, 416, 3627932854, 0, 2);
		new (toFill++) EmojiData(608, 416, 3627932855, 0, 2);
		new (toFill++) EmojiData(640, 416, 3627932856, 0, 2);
		new (toFill++) EmojiData(672, 416, 3627932857, 0, 2);
		new (toFill++) EmojiData(704, 416, 3627932858, 0, 2);
		new (toFill++) EmojiData(736, 416, 3627932859, 0, 2);
		new (toFill++) EmojiData(768, 416, 3627932860, 0, 2);
		new (toFill++) EmojiData(800, 416, 3627932861, 0, 2);
		new (toFill++) EmojiData(832, 416, 3627932862, 0, 2);
		new (toFill++) EmojiData(864, 416, 3627932863, 0, 2);
		new (toFill++) EmojiData(896, 416, 3627932864, 0, 2);
		new (toFill++) EmojiData(928, 416, 3627932865, 0, 2);
		new (toFill++) EmojiData(960, 416, 3627932866, 0, 2);
		new (toFill++) EmojiData(992, 416, 3627932867, 0, 2);
		new (toFill++) EmojiData(1024, 416, 3627932868, 0, 2);
		new (toFill++) EmojiData(1056, 416, 3627932869, 0, 2);
		new (toFill++) EmojiData(1088, 416, 3627932870, 0, 2);
		new (toFill++) EmojiData(1120, 416, 3627932871, 0, 2);
		new (toFill++) EmojiData(1152, 416, 3627932872, 0, 2);
		new (toFill++) EmojiData(1184, 416, 3627932873, 0, 2);
		new (toFill++) EmojiData(1216, 416, 3627932874, 0, 2);
		new (toFill++) EmojiData(1248, 416, 3627932875, 0, 2);
		new (toFill++) EmojiData(0, 448, 3627932876, 0, 2);
		new (toFill++) EmojiData(32, 448, 3627932877, 0, 2);
		new (toFill++) EmojiData(64, 448, 3627932878, 0, 2);
		new (toFill++) EmojiData(96, 448, 3627932879, 0, 2);
		new (toFill++) EmojiData(128, 448, 3627932880, 0, 2);
		new (toFill++) EmojiData(160, 448, 3627932881, 0, 2);
		new (toFill++) EmojiData(192, 448, 3627932882, 0, 2);
		new (toFill++) EmojiData(224, 448, 3627932883, 0, 2);
		new (toFill++) EmojiData(256, 448, 3627932884, 0, 2);
		new (toFill++) EmojiData(288, 448, 3627932885, 0, 2);
		new (toFill++) EmojiData(320, 448, 3627932886, 0, 2);
		new (toFill++) EmojiData(352, 448, 3627932887, 0, 2);
		new (toFill++) EmojiData(384, 448, 3627932888, 0, 2);
		new (toFill++) EmojiData(416, 448, 3627932889, 0, 2);
		new (toFill++) EmojiData(448, 448, 3627932890, 0, 2);
		new (toFill++) EmojiData(480, 448, 3627932891, 0, 2);
		new (toFill++) EmojiData(512, 448, 3627932892, 0, 2);
		new (toFill++) EmojiData(544, 448, 3627932893, 0, 2);
		new (toFill++) EmojiData(576, 448, 3627932894, 0, 2);
		new (toFill++) EmojiData(608, 448, 3627932895, 0, 2);
		new (toFill++) EmojiData(640, 448, 3627932896, 0, 2);
		new (toFill++) EmojiData(672, 448, 3627932897, 0, 2);
		new (toFill++) EmojiData(704, 448, 3627932898, 0, 2);
		new (toFill++) EmojiData(736, 448, 3627932899, 0, 2);
		new (toFill++) EmojiData(768, 448, 3627932900, 0, 2);
		new (toFill++) EmojiData(800, 448, 3627932901, 0, 2);
		new (toFill++) EmojiData(832, 448, 3627932902, 0, 2);
		new (toFill++) EmojiData(864, 448, 3627932903, 0, 2);
		new (toFill++) EmojiData(896, 448, 3627932904, 0, 2);
		new (toFill++) EmojiData(928, 448, 3627932905, 0, 2);
		new (toFill++) EmojiData(960, 448, 3627932906, 0, 2);
		new (toFill++) EmojiData(992, 448, 3627932907, 0, 2);
		new (toFill++) EmojiData(1024, 448, 3627932908, 0, 2);
		new (toFill++) EmojiData(1056, 448, 3627932909, 0, 2);
		new (toFill++) EmojiData(1088, 448, 3627932910, 0, 2);
		new (toFill++) EmojiData(1120, 448, 3627932911, 0, 2);
		new (toFill++) EmojiData(1152, 448, 3627932912, 0, 2);
		new (toFill++) EmojiData(1184, 448, 3627932913, 0, 2);
		new (toFill++) EmojiData(1216, 448, 3627932914, 0, 2);
		new (toFill++) EmojiData(1248, 448, 3627932915, 0, 2);
		new (toFill++) EmojiData(0, 480, 3627932916, 0, 2);
		new (toFill++) EmojiData(32, 480, 3627932917, 0, 2);
		new (toFill++) EmojiData(64, 480, 3627932918, 0, 2);
		new (toFill++) EmojiData(96, 480, 3627932919, 0, 2);
		new (toFill++) EmojiData(128, 480, 3627932921, 0, 2);
		new (toFill++) EmojiData(160, 480, 3627932922, 0, 2);
		new (toFill++) EmojiData(192, 480, 3627932923, 0, 2);
		new (toFill++) EmojiData(224, 480, 3627932924, 0, 2);
		new (toFill++) EmojiData(256, 480, 3627932928, 0, 2);
		new (toFill++) EmojiData(288, 480, 3627932929, 0, 2);
		new (toFill++) EmojiData(320, 480, 3627932930, 0, 2);
		new (toFill++) EmojiData(352, 480, 3627932931, 0, 2);
		new (toFill++) EmojiData(384, 480, 3627932932, 0, 2);
		new (toFill++) EmojiData(416, 480, 3627932933, 0, 2);
		new (toFill++) EmojiData(448, 480, 3627932934, 0, 2);
		new (toFill++) EmojiData(480, 480, 3627932935, 0, 2);
		new (toFill++) EmojiData(512, 480, 3627932936, 0, 2);
		new (toFill++) EmojiData(544, 480, 3627932937, 0, 2);
		new (toFill++) EmojiData(576, 480, 3627932938, 0, 2);
		new (toFill++) EmojiData(608, 480, 3627932939, 0, 2);
		new (toFill++) EmojiData(640, 480, 3627932940, 0, 2);
		new (toFill++) EmojiData(672, 480, 3627932941, 0, 2);
		new (toFill++) EmojiData(704, 480, 3627932942, 0, 2);
		new (toFill++) EmojiData(736, 480, 3627932943, 0, 2);
		new (toFill++) EmojiData(768, 480, 3627932944, 0, 2);
		new (toFill++) EmojiData(800, 480, 3627932945, 0, 2);
		new (toFill++) EmojiData(832, 480, 3627932946, 0, 2);
		new (toFill++) EmojiData(864, 480, 3627932947, 0, 2);
		new (toFill++) EmojiData(896, 480, 3627932948, 0, 2);
		new (toFill++) EmojiData(928, 480, 3627932949, 0, 2);
		new (toFill++) EmojiData(960, 480, 3627932950, 0, 2);
		new (toFill++) EmojiData(992, 480, 3627932951, 0, 2);
		new (toFill++) EmojiData(1024, 480, 3627932952, 0, 2);
		new (toFill++) EmojiData(1056, 480, 3627932953, 0, 2);
		new (toFill++) EmojiData(1088, 480, 3627932954, 0, 2);
		new (toFill++) EmojiData(1120, 480, 3627932955, 0, 2);
		new (toFill++) EmojiData(1152, 480, 3627932956, 0, 2);
		new (toFill++) EmojiData(1184, 480, 3627932957, 0, 2);
		new (toFill++) EmojiData(1216, 480, 3627932958, 0, 2);
		new (toFill++) EmojiData(1248, 480, 3627932959, 0, 2);
		new (toFill++) EmojiData(0, 512, 3627932960, 0, 2);
		new (toFill++) EmojiData(32, 512, 3627932961, 0, 2);
		new (toFill++) EmojiData(64, 512, 3627932962, 0, 2);
		new (toFill++) EmojiData(96, 512, 3627932963, 0, 2);
		new (toFill++) EmojiData(128, 512, 3627932964, 0, 2);
		new (toFill++) EmojiData(160, 512, 3627932965, 0, 2);
		new (toFill++) EmojiData(192, 512, 3627932966, 0, 2);
		new (toFill++) EmojiData(224, 512, 3627932967, 0, 2);
		new (toFill++) EmojiData(256, 512, 3627932968, 0, 2);
		new (toFill++) EmojiData(288, 512, 3627932969, 0, 2);
		new (toFill++) EmojiData(320, 512, 3627932970, 0, 2);
		new (toFill++) EmojiData(352, 512, 3627932971, 0, 2);
		new (toFill++) EmojiData(384, 512, 3627932972, 0, 2);
		new (toFill++) EmojiData(416, 512, 3627932973, 0, 2);
		new (toFill++) EmojiData(448, 512, 3627932974, 0, 2);
		new (toFill++) EmojiData(480, 512, 3627932975, 0, 2);
		new (toFill++) EmojiData(512, 512, 3627932976, 0, 2);
		new (toFill++) EmojiData(544, 512, 3627932977, 0, 2);
		new (toFill++) EmojiData(576, 512, 3627932978, 0, 2);
		new (toFill++) EmojiData(608, 512, 3627932979, 0, 2);
		new (toFill++) EmojiData(640, 512, 3627932980, 0, 2);
		new (toFill++) EmojiData(672, 512, 3627932981, 0, 2);
		new (toFill++) EmojiData(704, 512, 3627932982, 0, 2);
		new (toFill++) EmojiData(736, 512, 3627932983, 0, 2);
		new (toFill++) EmojiData(768, 512, 3627932984, 0, 2);
		new (toFill++) EmojiData(800, 512, 3627932985, 0, 2);
		new (toFill++) EmojiData(832, 512, 3627932986, 0, 2);
		new (toFill++) EmojiData(864, 512, 3627932987, 0, 2);
		new (toFill++) EmojiData(896, 512, 3627932988, 0, 2);
		new (toFill++) EmojiData(928, 512, 3627932989, 0, 2);
		new (toFill++) EmojiData(960, 512, 3627933008, 0, 2);
		new (toFill++) EmojiData(992, 512, 3627933009, 0, 2);
		new (toFill++) EmojiData(1024, 512, 3627933010, 0, 2);
		new (toFill++) EmojiData(1056, 512, 3627933011, 0, 2);
		new (toFill++) EmojiData(1088, 512, 3627933012, 0, 2);
		new (toFill++) EmojiData(1120, 512, 3627933013, 0, 2);
		new (toFill++) EmojiData(1152, 512, 3627933014, 0, 2);
		new (toFill++) EmojiData(1184, 512, 3627933015, 0, 2);
		new (toFill++) EmojiData(1216, 512, 3627933016, 0, 2);
		new (toFill++) EmojiData(1248, 512, 3627933017, 0, 2);
		new (toFill++) EmojiData(0, 544, 3627933018, 0, 2);
		new (toFill++) EmojiData(32, 544, 3627933019, 0, 2);
		new (toFill++) EmojiData(64, 544, 3627933020, 0, 2);
		new (toFill++) EmojiData(96, 544, 3627933021, 0, 2);
		new (toFill++) EmojiData(128, 544, 3627933022, 0, 2);
		new (toFill++) EmojiData(160, 544, 3627933023, 0, 2);
		new (toFill++) EmojiData(192, 544, 3627933024, 0, 2);
		new (toFill++) EmojiData(224, 544, 3627933025, 0, 2);
		new (toFill++) EmojiData(256, 544, 3627933026, 0, 2);
		new (toFill++) EmojiData(288, 544, 3627933027, 0, 2);
		new (toFill++) EmojiData(320, 544, 3627933028, 0, 2);
		new (toFill++) EmojiData(352, 544, 3627933029, 0, 2);
		new (toFill++) EmojiData(384, 544, 3627933030, 0, 2);
		new (toFill++) EmojiData(416, 544, 3627933031, 0, 2);
		new (toFill++) EmojiData(448, 544, 3627933179, 0, 2);
		new (toFill++) EmojiData(480, 544, 3627933180, 0, 2);
		new (toFill++) EmojiData(512, 544, 3627933181, 0, 2);
		new (toFill++) EmojiData(544, 544, 3627933182, 0, 2);
		new (toFill++) EmojiData(576, 544, 3627933183, 0, 2);
		new (toFill++) EmojiData(608, 544, 3627933184, 0, 2);
		new (toFill++) EmojiData(640, 544, 3627933185, 0, 2);
		new (toFill++) EmojiData(672, 544, 3627933186, 0, 2);
		new (toFill++) EmojiData(704, 544, 3627933187, 0, 2);
		new (toFill++) EmojiData(736, 544, 3627933188, 0, 2);
		new (toFill++) EmojiData(768, 544, 3627933189, 0, 2);
		new (toFill++) EmojiData(800, 544, 3627933190, 0, 2);
		new (toFill++) EmojiData(832, 544, 3627933191, 0, 2);
		new (toFill++) EmojiData(864, 544, 3627933192, 0, 2);
		new (toFill++) EmojiData(896, 544, 3627933193, 0, 2);
		new (toFill++) EmojiData(928, 544, 3627933194, 0, 2);
		new (toFill++) EmojiData(960, 544, 3627933195, 0, 2);
		new (toFill++) EmojiData(992, 544, 3627933196, 0, 2);
		new (toFill++) EmojiData(1024, 544, 3627933197, 0, 2);
		new (toFill++) EmojiData(1056, 544, 3627933198, 0, 2);
		new (toFill++) EmojiData(1088, 544, 3627933199, 0, 2);
		new (toFill++) EmojiData(1120, 544, 3627933200, 0, 2);
		new (toFill++) EmojiData(1152, 544, 3627933201, 0, 2);
		new (toFill++) EmojiData(1184, 544, 3627933202, 0, 2);
		new (toFill++) EmojiData(1216, 544, 3627933203, 0, 2);
		new (toFill++) EmojiData(1248, 544, 3627933204, 0, 2);
		new (toFill++) EmojiData(0, 576, 3627933205, 0, 2);
		new (toFill++) EmojiData(32, 576, 3627933206, 0, 2);
		new (toFill++) EmojiData(64, 576, 3627933207, 0, 2);
		new (toFill++) EmojiData(96, 576, 3627933208, 0, 2);
		new (toFill++) EmojiData(128, 576, 3627933209, 0, 2);
		new (toFill++) EmojiData(160, 576, 3627933210, 0, 2);
		new (toFill++) EmojiData(192, 576, 3627933211, 0, 2);
		new (toFill++) EmojiData(224, 576, 3627933212, 0, 2);
		new (toFill++) EmojiData(256, 576, 3627933213, 0, 2);
		new (toFill++) EmojiData(288, 576, 3627933214, 0, 2);
		new (toFill++) EmojiData(320, 576, 3627933215, 0, 2);
		new (toFill++) EmojiData(352, 576, 3627933216, 0, 2);
		new (toFill++) EmojiData(384, 576, 3627933217, 0, 2);
		new (toFill++) EmojiData(416, 576, 3627933218, 0, 2);
		new (toFill++) EmojiData(448, 576, 3627933219, 0, 2);
		new (toFill++) EmojiData(480, 576, 3627933220, 0, 2);
		new (toFill++) EmojiData(512, 576, 3627933221, 0, 2);
		new (toFill++) EmojiData(544, 576, 3627933222, 0, 2);
		new (toFill++) EmojiData(576, 576, 3627933223, 0, 2);
		new (toFill++) EmojiData(608, 576, 3627933224, 0, 2);
		new (toFill++) EmojiData(640, 576, 3627933225, 0, 2);
		new (toFill++) EmojiData(672, 576, 3627933226, 0, 2);
		new (toFill++) EmojiData(704, 576, 3627933227, 0, 2);
		new (toFill++) EmojiData(736, 576, 3627933228, 0, 2);
		new (toFill++) EmojiData(768, 576, 3627933229, 0, 2);
		new (toFill++) EmojiData(800, 576, 3627933230, 0, 2);
		new (toFill++) EmojiData(832, 576, 3627933231, 0, 2);
		new (toFill++) EmojiData(864, 576, 3627933232, 0, 2);
		new (toFill++) EmojiData(896, 576, 3627933233, 0, 2);
		new (toFill++) EmojiData(928, 576, 3627933234, 0, 2);
		new (toFill++) EmojiData(960, 576, 3627933235, 0, 2);
		new (toFill++) EmojiData(992, 576, 3627933236, 0, 2);
		new (toFill++) EmojiData(1024, 576, 3627933237, 0, 2);
		new (toFill++) EmojiData(1056, 576, 3627933238, 0, 2);
		new (toFill++) EmojiData(1088, 576, 3627933239, 0, 2);
		new (toFill++) EmojiData(1120, 576, 3627933240, 0, 2);
		new (toFill++) EmojiData(1152, 576, 3627933241, 0, 2);
		new (toFill++) EmojiData(1184, 576, 3627933242, 0, 2);
		new (toFill++) EmojiData(1216, 576, 3627933243, 0, 2);
		new (toFill++) EmojiData(1248, 576, 3627933244, 0, 2);
		new (toFill++) EmojiData(0, 608, 3627933245, 0, 2);
		new (toFill++) EmojiData(32, 608, 3627933246, 0, 2);
		new (toFill++) EmojiData(64, 608, 3627933247, 0, 2);
		new (toFill++) EmojiData(96, 608, 3627933248, 0, 2);
		new (toFill++) EmojiData(128, 608, 3627933253, 0, 2);
		new (toFill++) EmojiData(160, 608, 3627933254, 0, 2);
		new (toFill++) EmojiData(192, 608, 3627933255, 0, 2);
		new (toFill++) EmojiData(224, 608, 3627933256, 0, 2);
		new (toFill++) EmojiData(256, 608, 3627933257, 0, 2);
		new (toFill++) EmojiData(288, 608, 3627933258, 0, 2);
		new (toFill++) EmojiData(320, 608, 3627933259, 0, 2);
		new (toFill++) EmojiData(352, 608, 3627933260, 0, 2);
		new (toFill++) EmojiData(384, 608, 3627933261, 0, 2);
		new (toFill++) EmojiData(416, 608, 3627933262, 0, 2);
		new (toFill++) EmojiData(448, 608, 3627933263, 0, 2);
		new (toFill++) EmojiData(480, 608, 3627933312, 0, 2);
		new (toFill++) EmojiData(512, 608, 3627933313, 0, 2);
		new (toFill++) EmojiData(544, 608, 3627933314, 0, 2);
		new (toFill++) EmojiData(576, 608, 3627933315, 0, 2);
		new (toFill++) EmojiData(608, 608, 3627933316, 0, 2);
		new (toFill++) EmojiData(640, 608, 3627933317, 0, 2);
		new (toFill++) EmojiData(672, 608, 3627933318, 0, 2);
		new (toFill++) EmojiData(704, 608, 3627933319, 0, 2);
		new (toFill++) EmojiData(736, 608, 3627933320, 0, 2);
		new (toFill++) EmojiData(768, 608, 3627933321, 0, 2);
		new (toFill++) EmojiData(800, 608, 3627933322, 0, 2);
		new (toFill++) EmojiData(832, 608, 3627933323, 0, 2);
		new (toFill++) EmojiData(864, 608, 3627933324, 0, 2);
		new (toFill++) EmojiData(896, 608, 3627933325, 0, 2);
		new (toFill++) EmojiData(928, 608, 3627933326, 0, 2);
		new (toFill++) EmojiData(960, 608, 3627933327, 0, 2);
		new (toFill++) EmojiData(992, 608, 3627933328, 0, 2);
		new (toFill++) EmojiData(1024, 608, 3627933329, 0, 2);
		new (toFill++) EmojiData(1056, 608, 3627933330, 0, 2);
		new (toFill++) EmojiData(1088, 608, 3627933331, 0, 2);
		new (toFill++) EmojiData(1120, 608, 3627933332, 0, 2);
		new (toFill++) EmojiData(1152, 608, 3627933333, 0, 2);
		new (toFill++) EmojiData(1184, 608, 3627933334, 0, 2);
		new (toFill++) EmojiData(1216, 608, 3627933335, 0, 2);
		new (toFill++) EmojiData(1248, 608, 3627933336, 0, 2);
		new (toFill++) EmojiData(0, 640, 3627933337, 0, 2);
		new (toFill++) EmojiData(32, 640, 3627933338, 0, 2);
		new (toFill++) EmojiData(64, 640, 3627933339, 0, 2);
		new (toFill++) EmojiData(96, 640, 3627933340, 0, 2);
		new (toFill++) EmojiData(128, 640, 3627933341, 0, 2);
		new (toFill++) EmojiData(160, 640, 3627933342, 0, 2);
		new (toFill++) EmojiData(192, 640, 3627933343, 0, 2);
		new (toFill++) EmojiData(224, 640, 3627933344, 0, 2);
		new (toFill++) EmojiData(256, 640, 3627933345, 0, 2);
		new (toFill++) EmojiData(288, 640, 3627933346, 0, 2);
		new (toFill++) EmojiData(320, 640, 3627933347, 0, 2);
		new (toFill++) EmojiData(352, 640, 3627933348, 0, 2);
		new (toFill++) EmojiData(384, 640, 3627933349, 0, 2);
		new (toFill++) EmojiData(416, 640, 3627933350, 0, 2);
		new (toFill++) EmojiData(448, 640, 3627933351, 0, 2);
		new (toFill++) EmojiData(480, 640, 3627933352, 0, 2);
		new (toFill++) EmojiData(512, 640, 3627933353, 0, 2);
		new (toFill++) EmojiData(544, 640, 3627933354, 0, 2);
		new (toFill++) EmojiData(576, 640, 3627933355, 0, 2);
		new (toFill++) EmojiData(608, 640, 3627933356, 0, 2);
		new (toFill++) EmojiData(640, 640, 3627933357, 0, 2);
		new (toFill++) EmojiData(672, 640, 3627933358, 0, 2);
		new (toFill++) EmojiData(704, 640, 3627933359, 0, 2);
		new (toFill++) EmojiData(736, 640, 3627933360, 0, 2);
		new (toFill++) EmojiData(768, 640, 3627933361, 0, 2);
		new (toFill++) EmojiData(800, 640, 3627933362, 0, 2);
		new (toFill++) EmojiData(832, 640, 3627933363, 0, 2);
		new (toFill++) EmojiData(864, 640, 3627933364, 0, 2);
		new (toFill++) EmojiData(896, 640, 3627933365, 0, 2);
		new (toFill++) EmojiData(928, 640, 3627933366, 0, 2);
		new (toFill++) EmojiData(960, 640, 3627933367, 0, 2);
		new (toFill++) EmojiData(992, 640, 3627933368, 0, 2);
		new (toFill++) EmojiData(1024, 640, 3627933369, 0, 2);
		new (toFill++) EmojiData(1056, 640, 3627933370, 0, 2);
		new (toFill++) EmojiData(1088, 640, 3627933371, 0, 2);
		new (toFill++) EmojiData(1120, 640, 3627933372, 0, 2);
		new (toFill++) EmojiData(1152, 640, 3627933373, 0, 2);
		new (toFill++) EmojiData(1184, 640, 3627933374, 0, 2);
		new (toFill++) EmojiData(1216, 640, 3627933375, 0, 2);
		new (toFill++) EmojiData(1248, 640, 3627933376, 0, 2);
		new (toFill++) EmojiData(0, 672, 3627933377, 0, 2);
		new (toFill++) EmojiData(32, 672, 3627933378, 0, 2);
		new (toFill++) EmojiData(64, 672, 3627933379, 0, 2);
		new (toFill++) EmojiData(96, 672, 3627933380, 0, 2);
		new (toFill++) EmojiData(128, 672, 3627933381, 0, 2);
	break;

	};
};

const EmojiData *getEmoji(uint32 code) {
	if (!emojis) return 0;

	uint32 highCode = code >> 16;
	if (!highCode) {
		switch (code) {
			case 169: return &emojis[0];
			case 174: return &emojis[1];
		}

		if (code < 8252 || code > 12953) return 0;

		switch (code) {
			case 8252: return &emojis[2];
			case 8265: return &emojis[3];
			case 8482: return &emojis[4];
			case 8505: return &emojis[5];
			case 8596: return &emojis[6];
			case 8597: return &emojis[7];
			case 8598: return &emojis[8];
			case 8599: return &emojis[9];
			case 8600: return &emojis[10];
			case 8601: return &emojis[11];
			case 8617: return &emojis[12];
			case 8618: return &emojis[13];
			case 8986: return &emojis[14];
			case 8987: return &emojis[15];
			case 9193: return &emojis[16];
			case 9194: return &emojis[17];
			case 9195: return &emojis[18];
			case 9196: return &emojis[19];
			case 9200: return &emojis[20];
			case 9203: return &emojis[21];
			case 9410: return &emojis[22];
			case 9642: return &emojis[23];
			case 9643: return &emojis[24];
			case 9654: return &emojis[25];
			case 9664: return &emojis[26];
			case 9723: return &emojis[27];
			case 9724: return &emojis[28];
			case 9725: return &emojis[29];
			case 9726: return &emojis[30];
			case 9728: return &emojis[31];
			case 9729: return &emojis[32];
			case 9742: return &emojis[33];
			case 9745: return &emojis[34];
			case 9748: return &emojis[35];
			case 9749: return &emojis[36];
			case 9757: return &emojis[37];
			case 9786: return &emojis[38];
			case 9800: return &emojis[39];
			case 9801: return &emojis[40];
			case 9802: return &emojis[41];
			case 9803: return &emojis[42];
			case 9804: return &emojis[43];
			case 9805: return &emojis[44];
			case 9806: return &emojis[45];
			case 9807: return &emojis[46];
			case 9808: return &emojis[47];
			case 9809: return &emojis[48];
			case 9810: return &emojis[49];
			case 9811: return &emojis[50];
			case 9824: return &emojis[51];
			case 9827: return &emojis[52];
			case 9829: return &emojis[53];
			case 9830: return &emojis[54];
			case 9832: return &emojis[55];
			case 9851: return &emojis[56];
			case 9855: return &emojis[57];
			case 9875: return &emojis[58];
			case 9888: return &emojis[59];
			case 9889: return &emojis[60];
			case 9898: return &emojis[61];
			case 9899: return &emojis[62];
			case 9917: return &emojis[63];
			case 9918: return &emojis[64];
			case 9924: return &emojis[65];
			case 9925: return &emojis[66];
			case 9934: return &emojis[67];
			case 9940: return &emojis[68];
			case 9962: return &emojis[69];
			case 9970: return &emojis[70];
			case 9971: return &emojis[71];
			case 9973: return &emojis[72];
			case 9978: return &emojis[73];
			case 9981: return &emojis[74];
			case 9986: return &emojis[75];
			case 9989: return &emojis[76];
			case 9992: return &emojis[77];
			case 9993: return &emojis[78];
			case 9994: return &emojis[79];
			case 9995: return &emojis[80];
			case 9996: return &emojis[81];
			case 9999: return &emojis[82];
			case 10002: return &emojis[83];
			case 10004: return &emojis[84];
			case 10006: return &emojis[85];
			case 10024: return &emojis[86];
			case 10035: return &emojis[87];
			case 10036: return &emojis[88];
			case 10052: return &emojis[89];
			case 10055: return &emojis[90];
			case 10060: return &emojis[91];
			case 10062: return &emojis[92];
			case 10067: return &emojis[93];
			case 10068: return &emojis[94];
			case 10069: return &emojis[95];
			case 10071: return &emojis[96];
			case 10084: return &emojis[97];
			case 10133: return &emojis[98];
			case 10134: return &emojis[99];
			case 10135: return &emojis[100];
			case 10145: return &emojis[101];
			case 10160: return &emojis[102];
			case 10175: return &emojis[103];
			case 10548: return &emojis[104];
			case 10549: return &emojis[105];
			case 11013: return &emojis[106];
			case 11014: return &emojis[107];
			case 11015: return &emojis[108];
			case 11035: return &emojis[109];
			case 11036: return &emojis[110];
			case 11088: return &emojis[111];
			case 11093: return &emojis[112];
			case 12336: return &emojis[113];
			case 12349: return &emojis[114];
			case 12951: return &emojis[115];
			case 12953: return &emojis[116];
		}

		return 0;
	}

	if (highCode == 35 || highCode >= 48 && highCode < 58) {
		if ((code & 0xFFFF) != 0x20E3) return 0;

		switch (code) {
			case 2302179: return &emojis[117];
			case 3154147: return &emojis[118];
			case 3219683: return &emojis[119];
			case 3285219: return &emojis[120];
			case 3350755: return &emojis[121];
			case 3416291: return &emojis[122];
			case 3481827: return &emojis[123];
			case 3547363: return &emojis[124];
			case 3612899: return &emojis[125];
			case 3678435: return &emojis[126];
			case 3743971: return &emojis[127];
		}

		return 0;
	}

	if (code < 3627867140 || code > 3627933381) return 0;

	switch (code) {
	case 3627867140: return &emojis[128];
	case 3627867343: return &emojis[129];
	case 3627867504: return &emojis[130];
	case 3627867505: return &emojis[131];
	case 3627867518: return &emojis[132];
	case 3627867519: return &emojis[133];
	case 3627867534: return &emojis[134];
	case 3627867537: return &emojis[135];
	case 3627867538: return &emojis[136];
	case 3627867539: return &emojis[137];
	case 3627867540: return &emojis[138];
	case 3627867541: return &emojis[139];
	case 3627867542: return &emojis[140];
	case 3627867543: return &emojis[141];
	case 3627867544: return &emojis[142];
	case 3627867545: return &emojis[143];
	case 3627867546: return &emojis[144];
	case 3627867624: return &emojis[145];
	case 3627867625: return &emojis[146];
	case 3627867626: return &emojis[147];
	case 3627867627: return &emojis[148];
	case 3627867628: return &emojis[149];
	case 3627867630: return &emojis[150];
	case 3627867631: return &emojis[151];
	case 3627867632: return &emojis[152];
	case 3627867639: return &emojis[153];
	case 3627867642: return &emojis[154];
	case 3627867649: return &emojis[155];
	case 3627867650: return &emojis[156];
	case 3627867674: return &emojis[157];
	case 3627867695: return &emojis[158];
	case 3627867698: return &emojis[159];
	case 3627867699: return &emojis[160];
	case 3627867700: return &emojis[161];
	case 3627867701: return &emojis[162];
	case 3627867702: return &emojis[163];
	case 3627867703: return &emojis[164];
	case 3627867704: return &emojis[165];
	case 3627867705: return &emojis[166];
	case 3627867706: return &emojis[167];
	case 3627867728: return &emojis[168];
	case 3627867729: return &emojis[169];
	case 3627867904: return &emojis[170];
	case 3627867905: return &emojis[171];
	case 3627867906: return &emojis[172];
	case 3627867907: return &emojis[173];
	case 3627867908: return &emojis[174];
	case 3627867909: return &emojis[175];
	case 3627867910: return &emojis[176];
	case 3627867911: return &emojis[177];
	case 3627867912: return &emojis[178];
	case 3627867913: return &emojis[179];
	case 3627867914: return &emojis[180];
	case 3627867915: return &emojis[181];
	case 3627867916: return &emojis[182];
	case 3627867917: return &emojis[183];
	case 3627867918: return &emojis[184];
	case 3627867919: return &emojis[185];
	case 3627867920: return &emojis[186];
	case 3627867921: return &emojis[187];
	case 3627867922: return &emojis[188];
	case 3627867923: return &emojis[189];
	case 3627867924: return &emojis[190];
	case 3627867925: return &emojis[191];
	case 3627867926: return &emojis[192];
	case 3627867927: return &emojis[193];
	case 3627867928: return &emojis[194];
	case 3627867929: return &emojis[195];
	case 3627867930: return &emojis[196];
	case 3627867931: return &emojis[197];
	case 3627867932: return &emojis[198];
	case 3627867933: return &emojis[199];
	case 3627867934: return &emojis[200];
	case 3627867935: return &emojis[201];
	case 3627867936: return &emojis[202];
	case 3627867952: return &emojis[203];
	case 3627867953: return &emojis[204];
	case 3627867954: return &emojis[205];
	case 3627867955: return &emojis[206];
	case 3627867956: return &emojis[207];
	case 3627867957: return &emojis[208];
	case 3627867959: return &emojis[209];
	case 3627867960: return &emojis[210];
	case 3627867961: return &emojis[211];
	case 3627867962: return &emojis[212];
	case 3627867963: return &emojis[213];
	case 3627867964: return &emojis[214];
	case 3627867965: return &emojis[215];
	case 3627867966: return &emojis[216];
	case 3627867967: return &emojis[217];
	case 3627867968: return &emojis[218];
	case 3627867969: return &emojis[219];
	case 3627867970: return &emojis[220];
	case 3627867971: return &emojis[221];
	case 3627867972: return &emojis[222];
	case 3627867973: return &emojis[223];
	case 3627867974: return &emojis[224];
	case 3627867975: return &emojis[225];
	case 3627867976: return &emojis[226];
	case 3627867977: return &emojis[227];
	case 3627867978: return &emojis[228];
	case 3627867979: return &emojis[229];
	case 3627867980: return &emojis[230];
	case 3627867981: return &emojis[231];
	case 3627867982: return &emojis[232];
	case 3627867983: return &emojis[233];
	case 3627867984: return &emojis[234];
	case 3627867985: return &emojis[235];
	case 3627867986: return &emojis[236];
	case 3627867987: return &emojis[237];
	case 3627867988: return &emojis[238];
	case 3627867989: return &emojis[239];
	case 3627867990: return &emojis[240];
	case 3627867991: return &emojis[241];
	case 3627867992: return &emojis[242];
	case 3627867993: return &emojis[243];
	case 3627867994: return &emojis[244];
	case 3627867995: return &emojis[245];
	case 3627867996: return &emojis[246];
	case 3627867997: return &emojis[247];
	case 3627867998: return &emojis[248];
	case 3627867999: return &emojis[249];
	case 3627868000: return &emojis[250];
	case 3627868001: return &emojis[251];
	case 3627868002: return &emojis[252];
	case 3627868003: return &emojis[253];
	case 3627868004: return &emojis[254];
	case 3627868005: return &emojis[255];
	case 3627868006: return &emojis[256];
	case 3627868007: return &emojis[257];
	case 3627868008: return &emojis[258];
	case 3627868009: return &emojis[259];
	case 3627868010: return &emojis[260];
	case 3627868011: return &emojis[261];
	case 3627868012: return &emojis[262];
	case 3627868013: return &emojis[263];
	case 3627868014: return &emojis[264];
	case 3627868015: return &emojis[265];
	case 3627868016: return &emojis[266];
	case 3627868017: return &emojis[267];
	case 3627868018: return &emojis[268];
	case 3627868019: return &emojis[269];
	case 3627868020: return &emojis[270];
	case 3627868021: return &emojis[271];
	case 3627868022: return &emojis[272];
	case 3627868023: return &emojis[273];
	case 3627868024: return &emojis[274];
	case 3627868025: return &emojis[275];
	case 3627868026: return &emojis[276];
	case 3627868027: return &emojis[277];
	case 3627868028: return &emojis[278];
	case 3627868032: return &emojis[279];
	case 3627868033: return &emojis[280];
	case 3627868034: return &emojis[281];
	case 3627868035: return &emojis[282];
	case 3627868036: return &emojis[283];
	case 3627868037: return &emojis[284];
	case 3627868038: return &emojis[285];
	case 3627868039: return &emojis[286];
	case 3627868040: return &emojis[287];
	case 3627868041: return &emojis[288];
	case 3627868042: return &emojis[289];
	case 3627868043: return &emojis[290];
	case 3627868044: return &emojis[291];
	case 3627868045: return &emojis[292];
	case 3627868046: return &emojis[293];
	case 3627868047: return &emojis[294];
	case 3627868048: return &emojis[295];
	case 3627868049: return &emojis[296];
	case 3627868050: return &emojis[297];
	case 3627868051: return &emojis[298];
	case 3627868064: return &emojis[299];
	case 3627868065: return &emojis[300];
	case 3627868066: return &emojis[301];
	case 3627868067: return &emojis[302];
	case 3627868068: return &emojis[303];
	case 3627868069: return &emojis[304];
	case 3627868070: return &emojis[305];
	case 3627868071: return &emojis[306];
	case 3627868072: return &emojis[307];
	case 3627868073: return &emojis[308];
	case 3627868074: return &emojis[309];
	case 3627868075: return &emojis[310];
	case 3627868076: return &emojis[311];
	case 3627868077: return &emojis[312];
	case 3627868078: return &emojis[313];
	case 3627868079: return &emojis[314];
	case 3627868080: return &emojis[315];
	case 3627868081: return &emojis[316];
	case 3627868082: return &emojis[317];
	case 3627868083: return &emojis[318];
	case 3627868084: return &emojis[319];
	case 3627868085: return &emojis[320];
	case 3627868086: return &emojis[321];
	case 3627868087: return &emojis[322];
	case 3627868088: return &emojis[323];
	case 3627868089: return &emojis[324];
	case 3627868090: return &emojis[325];
	case 3627868091: return &emojis[326];
	case 3627868092: return &emojis[327];
	case 3627868093: return &emojis[328];
	case 3627868094: return &emojis[329];
	case 3627868095: return &emojis[330];
	case 3627868096: return &emojis[331];
	case 3627868097: return &emojis[332];
	case 3627868098: return &emojis[333];
	case 3627868099: return &emojis[334];
	case 3627868100: return &emojis[335];
	case 3627868102: return &emojis[336];
	case 3627868103: return &emojis[337];
	case 3627868104: return &emojis[338];
	case 3627868105: return &emojis[339];
	case 3627868106: return &emojis[340];
	case 3627868128: return &emojis[341];
	case 3627868129: return &emojis[342];
	case 3627868130: return &emojis[343];
	case 3627868131: return &emojis[344];
	case 3627868132: return &emojis[345];
	case 3627868133: return &emojis[346];
	case 3627868134: return &emojis[347];
	case 3627868135: return &emojis[348];
	case 3627868136: return &emojis[349];
	case 3627868137: return &emojis[350];
	case 3627868138: return &emojis[351];
	case 3627868139: return &emojis[352];
	case 3627868140: return &emojis[353];
	case 3627868141: return &emojis[354];
	case 3627868142: return &emojis[355];
	case 3627868143: return &emojis[356];
	case 3627868144: return &emojis[357];
	case 3627932672: return &emojis[358];
	case 3627932673: return &emojis[359];
	case 3627932674: return &emojis[360];
	case 3627932675: return &emojis[361];
	case 3627932676: return &emojis[362];
	case 3627932677: return &emojis[363];
	case 3627932678: return &emojis[364];
	case 3627932679: return &emojis[365];
	case 3627932680: return &emojis[366];
	case 3627932681: return &emojis[367];
	case 3627932682: return &emojis[368];
	case 3627932683: return &emojis[369];
	case 3627932684: return &emojis[370];
	case 3627932685: return &emojis[371];
	case 3627932686: return &emojis[372];
	case 3627932687: return &emojis[373];
	case 3627932688: return &emojis[374];
	case 3627932689: return &emojis[375];
	case 3627932690: return &emojis[376];
	case 3627932691: return &emojis[377];
	case 3627932692: return &emojis[378];
	case 3627932693: return &emojis[379];
	case 3627932694: return &emojis[380];
	case 3627932695: return &emojis[381];
	case 3627932696: return &emojis[382];
	case 3627932697: return &emojis[383];
	case 3627932698: return &emojis[384];
	case 3627932699: return &emojis[385];
	case 3627932700: return &emojis[386];
	case 3627932701: return &emojis[387];
	case 3627932702: return &emojis[388];
	case 3627932703: return &emojis[389];
	case 3627932704: return &emojis[390];
	case 3627932705: return &emojis[391];
	case 3627932706: return &emojis[392];
	case 3627932707: return &emojis[393];
	case 3627932708: return &emojis[394];
	case 3627932709: return &emojis[395];
	case 3627932710: return &emojis[396];
	case 3627932711: return &emojis[397];
	case 3627932712: return &emojis[398];
	case 3627932713: return &emojis[399];
	case 3627932714: return &emojis[400];
	case 3627932715: return &emojis[401];
	case 3627932716: return &emojis[402];
	case 3627932717: return &emojis[403];
	case 3627932718: return &emojis[404];
	case 3627932719: return &emojis[405];
	case 3627932720: return &emojis[406];
	case 3627932721: return &emojis[407];
	case 3627932722: return &emojis[408];
	case 3627932723: return &emojis[409];
	case 3627932724: return &emojis[410];
	case 3627932725: return &emojis[411];
	case 3627932726: return &emojis[412];
	case 3627932727: return &emojis[413];
	case 3627932728: return &emojis[414];
	case 3627932729: return &emojis[415];
	case 3627932730: return &emojis[416];
	case 3627932731: return &emojis[417];
	case 3627932732: return &emojis[418];
	case 3627932733: return &emojis[419];
	case 3627932734: return &emojis[420];
	case 3627932736: return &emojis[421];
	case 3627932738: return &emojis[422];
	case 3627932739: return &emojis[423];
	case 3627932740: return &emojis[424];
	case 3627932741: return &emojis[425];
	case 3627932742: return &emojis[426];
	case 3627932743: return &emojis[427];
	case 3627932744: return &emojis[428];
	case 3627932745: return &emojis[429];
	case 3627932746: return &emojis[430];
	case 3627932747: return &emojis[431];
	case 3627932748: return &emojis[432];
	case 3627932749: return &emojis[433];
	case 3627932750: return &emojis[434];
	case 3627932751: return &emojis[435];
	case 3627932752: return &emojis[436];
	case 3627932753: return &emojis[437];
	case 3627932754: return &emojis[438];
	case 3627932755: return &emojis[439];
	case 3627932756: return &emojis[440];
	case 3627932757: return &emojis[441];
	case 3627932758: return &emojis[442];
	case 3627932759: return &emojis[443];
	case 3627932760: return &emojis[444];
	case 3627932761: return &emojis[445];
	case 3627932762: return &emojis[446];
	case 3627932763: return &emojis[447];
	case 3627932764: return &emojis[448];
	case 3627932765: return &emojis[449];
	case 3627932766: return &emojis[450];
	case 3627932767: return &emojis[451];
	case 3627932768: return &emojis[452];
	case 3627932769: return &emojis[453];
	case 3627932770: return &emojis[454];
	case 3627932771: return &emojis[455];
	case 3627932772: return &emojis[456];
	case 3627932773: return &emojis[457];
	case 3627932774: return &emojis[458];
	case 3627932775: return &emojis[459];
	case 3627932776: return &emojis[460];
	case 3627932777: return &emojis[461];
	case 3627932778: return &emojis[462];
	case 3627932779: return &emojis[463];
	case 3627932780: return &emojis[464];
	case 3627932781: return &emojis[465];
	case 3627932782: return &emojis[466];
	case 3627932783: return &emojis[467];
	case 3627932784: return &emojis[468];
	case 3627932785: return &emojis[469];
	case 3627932786: return &emojis[470];
	case 3627932787: return &emojis[471];
	case 3627932788: return &emojis[472];
	case 3627932789: return &emojis[473];
	case 3627932790: return &emojis[474];
	case 3627932791: return &emojis[475];
	case 3627932792: return &emojis[476];
	case 3627932793: return &emojis[477];
	case 3627932794: return &emojis[478];
	case 3627932795: return &emojis[479];
	case 3627932796: return &emojis[480];
	case 3627932797: return &emojis[481];
	case 3627932798: return &emojis[482];
	case 3627932799: return &emojis[483];
	case 3627932800: return &emojis[484];
	case 3627932801: return &emojis[485];
	case 3627932802: return &emojis[486];
	case 3627932803: return &emojis[487];
	case 3627932804: return &emojis[488];
	case 3627932805: return &emojis[489];
	case 3627932806: return &emojis[490];
	case 3627932807: return &emojis[491];
	case 3627932808: return &emojis[492];
	case 3627932809: return &emojis[493];
	case 3627932810: return &emojis[494];
	case 3627932811: return &emojis[495];
	case 3627932812: return &emojis[496];
	case 3627932813: return &emojis[497];
	case 3627932814: return &emojis[498];
	case 3627932815: return &emojis[499];
	case 3627932816: return &emojis[500];
	case 3627932817: return &emojis[501];
	case 3627932818: return &emojis[502];
	case 3627932819: return &emojis[503];
	case 3627932820: return &emojis[504];
	case 3627932821: return &emojis[505];
	case 3627932822: return &emojis[506];
	case 3627932823: return &emojis[507];
	case 3627932824: return &emojis[508];
	case 3627932825: return &emojis[509];
	case 3627932826: return &emojis[510];
	case 3627932827: return &emojis[511];
	case 3627932828: return &emojis[512];
	case 3627932829: return &emojis[513];
	case 3627932830: return &emojis[514];
	case 3627932831: return &emojis[515];
	case 3627932832: return &emojis[516];
	case 3627932833: return &emojis[517];
	case 3627932834: return &emojis[518];
	case 3627932835: return &emojis[519];
	case 3627932836: return &emojis[520];
	case 3627932837: return &emojis[521];
	case 3627932838: return &emojis[522];
	case 3627932839: return &emojis[523];
	case 3627932840: return &emojis[524];
	case 3627932841: return &emojis[525];
	case 3627932842: return &emojis[526];
	case 3627932843: return &emojis[527];
	case 3627932844: return &emojis[528];
	case 3627932845: return &emojis[529];
	case 3627932846: return &emojis[530];
	case 3627932847: return &emojis[531];
	case 3627932848: return &emojis[532];
	case 3627932849: return &emojis[533];
	case 3627932850: return &emojis[534];
	case 3627932851: return &emojis[535];
	case 3627932852: return &emojis[536];
	case 3627932853: return &emojis[537];
	case 3627932854: return &emojis[538];
	case 3627932855: return &emojis[539];
	case 3627932856: return &emojis[540];
	case 3627932857: return &emojis[541];
	case 3627932858: return &emojis[542];
	case 3627932859: return &emojis[543];
	case 3627932860: return &emojis[544];
	case 3627932861: return &emojis[545];
	case 3627932862: return &emojis[546];
	case 3627932863: return &emojis[547];
	case 3627932864: return &emojis[548];
	case 3627932865: return &emojis[549];
	case 3627932866: return &emojis[550];
	case 3627932867: return &emojis[551];
	case 3627932868: return &emojis[552];
	case 3627932869: return &emojis[553];
	case 3627932870: return &emojis[554];
	case 3627932871: return &emojis[555];
	case 3627932872: return &emojis[556];
	case 3627932873: return &emojis[557];
	case 3627932874: return &emojis[558];
	case 3627932875: return &emojis[559];
	case 3627932876: return &emojis[560];
	case 3627932877: return &emojis[561];
	case 3627932878: return &emojis[562];
	case 3627932879: return &emojis[563];
	case 3627932880: return &emojis[564];
	case 3627932881: return &emojis[565];
	case 3627932882: return &emojis[566];
	case 3627932883: return &emojis[567];
	case 3627932884: return &emojis[568];
	case 3627932885: return &emojis[569];
	case 3627932886: return &emojis[570];
	case 3627932887: return &emojis[571];
	case 3627932888: return &emojis[572];
	case 3627932889: return &emojis[573];
	case 3627932890: return &emojis[574];
	case 3627932891: return &emojis[575];
	case 3627932892: return &emojis[576];
	case 3627932893: return &emojis[577];
	case 3627932894: return &emojis[578];
	case 3627932895: return &emojis[579];
	case 3627932896: return &emojis[580];
	case 3627932897: return &emojis[581];
	case 3627932898: return &emojis[582];
	case 3627932899: return &emojis[583];
	case 3627932900: return &emojis[584];
	case 3627932901: return &emojis[585];
	case 3627932902: return &emojis[586];
	case 3627932903: return &emojis[587];
	case 3627932904: return &emojis[588];
	case 3627932905: return &emojis[589];
	case 3627932906: return &emojis[590];
	case 3627932907: return &emojis[591];
	case 3627932908: return &emojis[592];
	case 3627932909: return &emojis[593];
	case 3627932910: return &emojis[594];
	case 3627932911: return &emojis[595];
	case 3627932912: return &emojis[596];
	case 3627932913: return &emojis[597];
	case 3627932914: return &emojis[598];
	case 3627932915: return &emojis[599];
	case 3627932916: return &emojis[600];
	case 3627932917: return &emojis[601];
	case 3627932918: return &emojis[602];
	case 3627932919: return &emojis[603];
	case 3627932921: return &emojis[604];
	case 3627932922: return &emojis[605];
	case 3627932923: return &emojis[606];
	case 3627932924: return &emojis[607];
	case 3627932928: return &emojis[608];
	case 3627932929: return &emojis[609];
	case 3627932930: return &emojis[610];
	case 3627932931: return &emojis[611];
	case 3627932932: return &emojis[612];
	case 3627932933: return &emojis[613];
	case 3627932934: return &emojis[614];
	case 3627932935: return &emojis[615];
	case 3627932936: return &emojis[616];
	case 3627932937: return &emojis[617];
	case 3627932938: return &emojis[618];
	case 3627932939: return &emojis[619];
	case 3627932940: return &emojis[620];
	case 3627932941: return &emojis[621];
	case 3627932942: return &emojis[622];
	case 3627932943: return &emojis[623];
	case 3627932944: return &emojis[624];
	case 3627932945: return &emojis[625];
	case 3627932946: return &emojis[626];
	case 3627932947: return &emojis[627];
	case 3627932948: return &emojis[628];
	case 3627932949: return &emojis[629];
	case 3627932950: return &emojis[630];
	case 3627932951: return &emojis[631];
	case 3627932952: return &emojis[632];
	case 3627932953: return &emojis[633];
	case 3627932954: return &emojis[634];
	case 3627932955: return &emojis[635];
	case 3627932956: return &emojis[636];
	case 3627932957: return &emojis[637];
	case 3627932958: return &emojis[638];
	case 3627932959: return &emojis[639];
	case 3627932960: return &emojis[640];
	case 3627932961: return &emojis[641];
	case 3627932962: return &emojis[642];
	case 3627932963: return &emojis[643];
	case 3627932964: return &emojis[644];
	case 3627932965: return &emojis[645];
	case 3627932966: return &emojis[646];
	case 3627932967: return &emojis[647];
	case 3627932968: return &emojis[648];
	case 3627932969: return &emojis[649];
	case 3627932970: return &emojis[650];
	case 3627932971: return &emojis[651];
	case 3627932972: return &emojis[652];
	case 3627932973: return &emojis[653];
	case 3627932974: return &emojis[654];
	case 3627932975: return &emojis[655];
	case 3627932976: return &emojis[656];
	case 3627932977: return &emojis[657];
	case 3627932978: return &emojis[658];
	case 3627932979: return &emojis[659];
	case 3627932980: return &emojis[660];
	case 3627932981: return &emojis[661];
	case 3627932982: return &emojis[662];
	case 3627932983: return &emojis[663];
	case 3627932984: return &emojis[664];
	case 3627932985: return &emojis[665];
	case 3627932986: return &emojis[666];
	case 3627932987: return &emojis[667];
	case 3627932988: return &emojis[668];
	case 3627932989: return &emojis[669];
	case 3627933008: return &emojis[670];
	case 3627933009: return &emojis[671];
	case 3627933010: return &emojis[672];
	case 3627933011: return &emojis[673];
	case 3627933012: return &emojis[674];
	case 3627933013: return &emojis[675];
	case 3627933014: return &emojis[676];
	case 3627933015: return &emojis[677];
	case 3627933016: return &emojis[678];
	case 3627933017: return &emojis[679];
	case 3627933018: return &emojis[680];
	case 3627933019: return &emojis[681];
	case 3627933020: return &emojis[682];
	case 3627933021: return &emojis[683];
	case 3627933022: return &emojis[684];
	case 3627933023: return &emojis[685];
	case 3627933024: return &emojis[686];
	case 3627933025: return &emojis[687];
	case 3627933026: return &emojis[688];
	case 3627933027: return &emojis[689];
	case 3627933028: return &emojis[690];
	case 3627933029: return &emojis[691];
	case 3627933030: return &emojis[692];
	case 3627933031: return &emojis[693];
	case 3627933179: return &emojis[694];
	case 3627933180: return &emojis[695];
	case 3627933181: return &emojis[696];
	case 3627933182: return &emojis[697];
	case 3627933183: return &emojis[698];
	case 3627933184: return &emojis[699];
	case 3627933185: return &emojis[700];
	case 3627933186: return &emojis[701];
	case 3627933187: return &emojis[702];
	case 3627933188: return &emojis[703];
	case 3627933189: return &emojis[704];
	case 3627933190: return &emojis[705];
	case 3627933191: return &emojis[706];
	case 3627933192: return &emojis[707];
	case 3627933193: return &emojis[708];
	case 3627933194: return &emojis[709];
	case 3627933195: return &emojis[710];
	case 3627933196: return &emojis[711];
	case 3627933197: return &emojis[712];
	case 3627933198: return &emojis[713];
	case 3627933199: return &emojis[714];
	case 3627933200: return &emojis[715];
	case 3627933201: return &emojis[716];
	case 3627933202: return &emojis[717];
	case 3627933203: return &emojis[718];
	case 3627933204: return &emojis[719];
	case 3627933205: return &emojis[720];
	case 3627933206: return &emojis[721];
	case 3627933207: return &emojis[722];
	case 3627933208: return &emojis[723];
	case 3627933209: return &emojis[724];
	case 3627933210: return &emojis[725];
	case 3627933211: return &emojis[726];
	case 3627933212: return &emojis[727];
	case 3627933213: return &emojis[728];
	case 3627933214: return &emojis[729];
	case 3627933215: return &emojis[730];
	case 3627933216: return &emojis[731];
	case 3627933217: return &emojis[732];
	case 3627933218: return &emojis[733];
	case 3627933219: return &emojis[734];
	case 3627933220: return &emojis[735];
	case 3627933221: return &emojis[736];
	case 3627933222: return &emojis[737];
	case 3627933223: return &emojis[738];
	case 3627933224: return &emojis[739];
	case 3627933225: return &emojis[740];
	case 3627933226: return &emojis[741];
	case 3627933227: return &emojis[742];
	case 3627933228: return &emojis[743];
	case 3627933229: return &emojis[744];
	case 3627933230: return &emojis[745];
	case 3627933231: return &emojis[746];
	case 3627933232: return &emojis[747];
	case 3627933233: return &emojis[748];
	case 3627933234: return &emojis[749];
	case 3627933235: return &emojis[750];
	case 3627933236: return &emojis[751];
	case 3627933237: return &emojis[752];
	case 3627933238: return &emojis[753];
	case 3627933239: return &emojis[754];
	case 3627933240: return &emojis[755];
	case 3627933241: return &emojis[756];
	case 3627933242: return &emojis[757];
	case 3627933243: return &emojis[758];
	case 3627933244: return &emojis[759];
	case 3627933245: return &emojis[760];
	case 3627933246: return &emojis[761];
	case 3627933247: return &emojis[762];
	case 3627933248: return &emojis[763];
	case 3627933253: return &emojis[764];
	case 3627933254: return &emojis[765];
	case 3627933255: return &emojis[766];
	case 3627933256: return &emojis[767];
	case 3627933257: return &emojis[768];
	case 3627933258: return &emojis[769];
	case 3627933259: return &emojis[770];
	case 3627933260: return &emojis[771];
	case 3627933261: return &emojis[772];
	case 3627933262: return &emojis[773];
	case 3627933263: return &emojis[774];
	case 3627933312: return &emojis[775];
	case 3627933313: return &emojis[776];
	case 3627933314: return &emojis[777];
	case 3627933315: return &emojis[778];
	case 3627933316: return &emojis[779];
	case 3627933317: return &emojis[780];
	case 3627933318: return &emojis[781];
	case 3627933319: return &emojis[782];
	case 3627933320: return &emojis[783];
	case 3627933321: return &emojis[784];
	case 3627933322: return &emojis[785];
	case 3627933323: return &emojis[786];
	case 3627933324: return &emojis[787];
	case 3627933325: return &emojis[788];
	case 3627933326: return &emojis[789];
	case 3627933327: return &emojis[790];
	case 3627933328: return &emojis[791];
	case 3627933329: return &emojis[792];
	case 3627933330: return &emojis[793];
	case 3627933331: return &emojis[794];
	case 3627933332: return &emojis[795];
	case 3627933333: return &emojis[796];
	case 3627933334: return &emojis[797];
	case 3627933335: return &emojis[798];
	case 3627933336: return &emojis[799];
	case 3627933337: return &emojis[800];
	case 3627933338: return &emojis[801];
	case 3627933339: return &emojis[802];
	case 3627933340: return &emojis[803];
	case 3627933341: return &emojis[804];
	case 3627933342: return &emojis[805];
	case 3627933343: return &emojis[806];
	case 3627933344: return &emojis[807];
	case 3627933345: return &emojis[808];
	case 3627933346: return &emojis[809];
	case 3627933347: return &emojis[810];
	case 3627933348: return &emojis[811];
	case 3627933349: return &emojis[812];
	case 3627933350: return &emojis[813];
	case 3627933351: return &emojis[814];
	case 3627933352: return &emojis[815];
	case 3627933353: return &emojis[816];
	case 3627933354: return &emojis[817];
	case 3627933355: return &emojis[818];
	case 3627933356: return &emojis[819];
	case 3627933357: return &emojis[820];
	case 3627933358: return &emojis[821];
	case 3627933359: return &emojis[822];
	case 3627933360: return &emojis[823];
	case 3627933361: return &emojis[824];
	case 3627933362: return &emojis[825];
	case 3627933363: return &emojis[826];
	case 3627933364: return &emojis[827];
	case 3627933365: return &emojis[828];
	case 3627933366: return &emojis[829];
	case 3627933367: return &emojis[830];
	case 3627933368: return &emojis[831];
	case 3627933369: return &emojis[832];
	case 3627933370: return &emojis[833];
	case 3627933371: return &emojis[834];
	case 3627933372: return &emojis[835];
	case 3627933373: return &emojis[836];
	case 3627933374: return &emojis[837];
	case 3627933375: return &emojis[838];
	case 3627933376: return &emojis[839];
	case 3627933377: return &emojis[840];
	case 3627933378: return &emojis[841];
	case 3627933379: return &emojis[842];
	case 3627933380: return &emojis[843];
	case 3627933381: return &emojis[844];
	}

	return 0;
}

void findEmoji(const QChar *ch, const QChar *e, const QChar *&newEmojiEnd, uint32 &emojiCode) {
	switch (ch->unicode()) {
	case '}':
		if (ch + 1 != e) switch ((ch + 1)->unicode()) {
		case ':':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case ')':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933192;
					return;
				}
			break;
			}
		break;
		}
	break;
	case 'x':
		if (ch + 1 != e) switch ((ch + 1)->unicode()) {
		case 'D':
			newEmojiEnd = ch + 2;
			if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
				emojiCode = 3627933190;
				return;
			}
		break;
		}
	break;
	case 'O':
		if (ch + 1 != e) switch ((ch + 1)->unicode()) {
		case ':':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case ')':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933191;
					return;
				}
			break;
			}
		break;
		}
	break;
	case 'B':
		if (ch + 1 != e) switch ((ch + 1)->unicode()) {
		case '-':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case ')':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933198;
					return;
				}
			break;
			}
		break;
		}
	break;
	case '>':
		if (ch + 1 != e) switch ((ch + 1)->unicode()) {
		case '(':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case '(':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933217;
					return;
				}
			break;
			}
			newEmojiEnd = ch + 2;
			if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
				emojiCode = 3627933216;
				return;
			}
		break;
		}
	break;
	case '<':
		if (ch + 1 != e) switch ((ch + 1)->unicode()) {
		case '3':
			newEmojiEnd = ch + 2;
			if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
				emojiCode = 10084;
				return;
			}
		break;
		}
	break;
	case ';':
		if (ch + 1 != e) switch ((ch + 1)->unicode()) {
		case 'o':
			newEmojiEnd = ch + 2;
			if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
				emojiCode = 3627933232;
				return;
			}
		break;
		case '-':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case 'P':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933212;
					return;
				}
			break;
			case ')':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933193;
					return;
				}
			break;
			}
		break;
		}
	break;
	case ':':
		if (ch + 1 != e) switch ((ch + 1)->unicode()) {
		case '|':
			newEmojiEnd = ch + 2;
			if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
				emojiCode = 3627933200;
				return;
			}
		break;
		case 'v':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case ':':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 9996;
					return;
				}
			break;
			}
		break;
		case 'u':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case 'p':
				if (ch + 3 != e) switch ((ch + 3)->unicode()) {
				case ':':
					newEmojiEnd = ch + 4;
					if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
						emojiCode = 9757;
						return;
					}
				break;
				}
			break;
			}
		break;
		case 'o':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case 'k':
				if (ch + 3 != e) switch ((ch + 3)->unicode()) {
				case ':':
					newEmojiEnd = ch + 4;
					if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
						emojiCode = 3627932748;
						return;
					}
				break;
				}
			break;
			}
			newEmojiEnd = ch + 2;
			if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
				emojiCode = 3627933224;
				return;
			}
		break;
		case 'l':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case 'i':
				if (ch + 3 != e) switch ((ch + 3)->unicode()) {
				case 'k':
					if (ch + 4 != e) switch ((ch + 4)->unicode()) {
					case 'e':
						if (ch + 5 != e) switch ((ch + 5)->unicode()) {
						case ':':
							newEmojiEnd = ch + 6;
							if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
								emojiCode = 3627932749;
								return;
							}
						break;
						}
					break;
					}
				break;
				}
			break;
			}
		break;
		case 'd':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case 'i':
				if (ch + 3 != e) switch ((ch + 3)->unicode()) {
				case 's':
					if (ch + 4 != e) switch ((ch + 4)->unicode()) {
					case 'l':
						if (ch + 5 != e) switch ((ch + 5)->unicode()) {
						case 'i':
							if (ch + 6 != e) switch ((ch + 6)->unicode()) {
							case 'k':
								if (ch + 7 != e) switch ((ch + 7)->unicode()) {
								case 'e':
									if (ch + 8 != e) switch ((ch + 8)->unicode()) {
									case ':':
										newEmojiEnd = ch + 9;
										if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
											emojiCode = 3627932750;
											return;
										}
									break;
									}
								break;
								}
							break;
							}
						break;
						}
					break;
					}
				break;
				}
			break;
			}
		break;
		case '_':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case '(':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933229;
					return;
				}
			break;
			}
		break;
		case ']':
			newEmojiEnd = ch + 2;
			if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
				emojiCode = 3627933199;
				return;
			}
		break;
		case 'X':
			newEmojiEnd = ch + 2;
			if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
				emojiCode = 3627933239;
				return;
			}
		break;
		case '-':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case 'p':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933195;
					return;
				}
			break;
			case 'D':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933187;
					return;
				}
			break;
			case '*':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933210;
					return;
				}
			break;
			case ')':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933194;
					return;
				}
			break;
			case '(':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933202;
					return;
				}
			break;
			}
		break;
		case '(':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case '(':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933225;
					return;
				}
			break;
			}
		break;
		case '\'':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case '(':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933218;
					return;
				}
			break;
			}
		break;
		}
	break;
	case '8':
		if (ch + 1 != e) switch ((ch + 1)->unicode()) {
		case '|':
			newEmojiEnd = ch + 2;
			if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
				emojiCode = 3627933235;
				return;
			}
		break;
		case 'o':
			newEmojiEnd = ch + 2;
			if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
				emojiCode = 3627933234;
				return;
			}
		break;
		case '-':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case ')':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933197;
					return;
				}
			break;
			}
		break;
		}
	break;
	case '3':
		if (ch + 1 != e) switch ((ch + 1)->unicode()) {
		case '-':
			if (ch + 2 != e) switch ((ch + 2)->unicode()) {
			case ')':
				newEmojiEnd = ch + 3;
				if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
					emojiCode = 3627933196;
					return;
				}
			break;
			}
		break;
		case '(':
			newEmojiEnd = ch + 2;
			if (newEmojiEnd == e || emojiEdge(newEmojiEnd) || newEmojiEnd->unicode() == ' ') {
				emojiCode = 3627933204;
				return;
			}
		break;
		}
	break;
	}
}

EmojiPack emojiPack(DBIEmojiTab tab) {
	switch (tab) {

	case dbietPeople: {
		static QVector<EmojiPtr> vPeople;
		if (vPeople.isEmpty()) {
			vPeople.resize(189);
			vPeople[0] = &emojis[703];
			vPeople[1] = &emojis[702];
			vPeople[2] = &emojis[699];
			vPeople[3] = &emojis[709];
			vPeople[4] = &emojis[38];
			vPeople[5] = &emojis[708];
			vPeople[6] = &emojis[712];
			vPeople[7] = &emojis[723];
			vPeople[8] = &emojis[725];
			vPeople[9] = &emojis[722];
			vPeople[10] = &emojis[724];
			vPeople[11] = &emojis[727];
			vPeople[12] = &emojis[728];
			vPeople[13] = &emojis[726];
			vPeople[14] = &emojis[750];
			vPeople[15] = &emojis[700];
			vPeople[16] = &emojis[719];
			vPeople[17] = &emojis[711];
			vPeople[18] = &emojis[717];
			vPeople[19] = &emojis[729];
			vPeople[20] = &emojis[734];
			vPeople[21] = &emojis[733];
			vPeople[22] = &emojis[701];
			vPeople[23] = &emojis[744];
			vPeople[24] = &emojis[741];
			vPeople[25] = &emojis[736];
			vPeople[26] = &emojis[747];
			vPeople[27] = &emojis[704];
			vPeople[28] = &emojis[718];
			vPeople[29] = &emojis[740];
			vPeople[30] = &emojis[742];
			vPeople[31] = &emojis[739];
			vPeople[32] = &emojis[748];
			vPeople[33] = &emojis[731];
			vPeople[34] = &emojis[732];
			vPeople[35] = &emojis[735];
			vPeople[36] = &emojis[721];
			vPeople[37] = &emojis[705];
			vPeople[38] = &emojis[710];
			vPeople[39] = &emojis[754];
			vPeople[40] = &emojis[713];
			vPeople[41] = &emojis[751];
			vPeople[42] = &emojis[752];
			vPeople[43] = &emojis[749];
			vPeople[44] = &emojis[730];
			vPeople[45] = &emojis[737];
			vPeople[46] = &emojis[738];
			vPeople[47] = &emojis[707];
			vPeople[48] = &emojis[483];
			vPeople[49] = &emojis[745];
			vPeople[50] = &emojis[743];
			vPeople[51] = &emojis[715];
			vPeople[52] = &emojis[720];
			vPeople[53] = &emojis[746];
			vPeople[54] = &emojis[753];
			vPeople[55] = &emojis[706];
			vPeople[56] = &emojis[714];
			vPeople[57] = &emojis[716];
			vPeople[58] = &emojis[470];
			vPeople[59] = &emojis[471];
			vPeople[60] = &emojis[466];
			vPeople[61] = &emojis[475];
			vPeople[62] = &emojis[486];
			vPeople[63] = &emojis[474];
			vPeople[64] = &emojis[458];
			vPeople[65] = &emojis[459];
			vPeople[66] = &emojis[460];
			vPeople[67] = &emojis[461];
			vPeople[68] = &emojis[472];
			vPeople[69] = &emojis[473];
			vPeople[70] = &emojis[469];
			vPeople[71] = &emojis[480];
			vPeople[72] = &emojis[476];
			vPeople[73] = &emojis[757];
			vPeople[74] = &emojis[755];
			vPeople[75] = &emojis[758];
			vPeople[76] = &emojis[760];
			vPeople[77] = &emojis[759];
			vPeople[78] = &emojis[763];
			vPeople[79] = &emojis[762];
			vPeople[80] = &emojis[756];
			vPeople[81] = &emojis[761];
			vPeople[82] = &emojis[477];
			vPeople[83] = &emojis[478];
			vPeople[84] = &emojis[767];
			vPeople[85] = &emojis[768];
			vPeople[86] = &emojis[769];
			vPeople[87] = &emojis[484];
			vPeople[88] = &emojis[481];
			vPeople[89] = &emojis[525];
			vPeople[90] = &emojis[645];
			vPeople[91] = &emojis[86];
			vPeople[92] = &emojis[201];
			vPeople[93] = &emojis[527];
			vPeople[94] = &emojis[521];
			vPeople[95] = &emojis[518];
			vPeople[96] = &emojis[522];
			vPeople[97] = &emojis[523];
			vPeople[98] = &emojis[520];
			vPeople[99] = &emojis[524];
			vPeople[100] = &emojis[422];
			vPeople[101] = &emojis[421];
			vPeople[102] = &emojis[423];
			vPeople[103] = &emojis[425];
			vPeople[104] = &emojis[424];
			vPeople[105] = &emojis[433];
			vPeople[106] = &emojis[434];
			vPeople[107] = &emojis[432];
			vPeople[108] = &emojis[430];
			vPeople[109] = &emojis[79];
			vPeople[110] = &emojis[81];
			vPeople[111] = &emojis[431];
			vPeople[112] = &emojis[80];
			vPeople[113] = &emojis[436];
			vPeople[114] = &emojis[426];
			vPeople[115] = &emojis[427];
			vPeople[116] = &emojis[429];
			vPeople[117] = &emojis[428];
			vPeople[118] = &emojis[771];
			vPeople[119] = &emojis[774];
			vPeople[120] = &emojis[37];
			vPeople[121] = &emojis[435];
			vPeople[122] = &emojis[526];
			vPeople[123] = &emojis[829];
			vPeople[124] = &emojis[334];
			vPeople[125] = &emojis[487];
			vPeople[126] = &emojis[463];
			vPeople[127] = &emojis[462];
			vPeople[128] = &emojis[464];
			vPeople[129] = &emojis[465];
			vPeople[130] = &emojis[499];
			vPeople[131] = &emojis[501];
			vPeople[132] = &emojis[467];
			vPeople[133] = &emojis[765];
			vPeople[134] = &emojis[764];
			vPeople[135] = &emojis[485];
			vPeople[136] = &emojis[770];
			vPeople[137] = &emojis[490];
			vPeople[138] = &emojis[491];
			vPeople[139] = &emojis[489];
			vPeople[140] = &emojis[468];
			vPeople[141] = &emojis[773];
			vPeople[142] = &emojis[772];
			vPeople[143] = &emojis[766];
			vPeople[144] = &emojis[308];
			vPeople[145] = &emojis[437];
			vPeople[146] = &emojis[438];
			vPeople[147] = &emojis[451];
			vPeople[148] = &emojis[450];
			vPeople[149] = &emojis[453];
			vPeople[150] = &emojis[452];
			vPeople[151] = &emojis[454];
			vPeople[152] = &emojis[441];
			vPeople[153] = &emojis[440];
			vPeople[154] = &emojis[446];
			vPeople[155] = &emojis[443];
			vPeople[156] = &emojis[328];
			vPeople[157] = &emojis[442];
			vPeople[158] = &emojis[444];
			vPeople[159] = &emojis[445];
			vPeople[160] = &emojis[544];
			vPeople[161] = &emojis[448];
			vPeople[162] = &emojis[449];
			vPeople[163] = &emojis[447];
			vPeople[164] = &emojis[439];
			vPeople[165] = &emojis[279];
			vPeople[166] = &emojis[172];
			vPeople[167] = &emojis[488];
			vPeople[168] = &emojis[511];
			vPeople[169] = &emojis[509];
			vPeople[170] = &emojis[512];
			vPeople[171] = &emojis[510];
			vPeople[172] = &emojis[97];
			vPeople[173] = &emojis[504];
			vPeople[174] = &emojis[507];
			vPeople[175] = &emojis[503];
			vPeople[176] = &emojis[505];
			vPeople[177] = &emojis[506];
			vPeople[178] = &emojis[514];
			vPeople[179] = &emojis[508];
			vPeople[180] = &emojis[496];
			vPeople[181] = &emojis[495];
			vPeople[182] = &emojis[497];
			vPeople[183] = &emojis[498];
			vPeople[184] = &emojis[456];
			vPeople[185] = &emojis[457];
			vPeople[186] = &emojis[528];
			vPeople[187] = &emojis[455];
			vPeople[188] = &emojis[529];
		}
		return vPeople;
	} break;

	case dbietNature: {
		static QVector<EmojiPtr> vNature;
		if (vNature.isEmpty()) {
			vNature.resize(116);
			vNature[0] = &emojis[412];
			vNature[1] = &emojis[416];
			vNature[2] = &emojis[407];
			vNature[3] = &emojis[403];
			vNature[4] = &emojis[415];
			vNature[5] = &emojis[406];
			vNature[6] = &emojis[414];
			vNature[7] = &emojis[405];
			vNature[8] = &emojis[398];
			vNature[9] = &emojis[417];
			vNature[10] = &emojis[413];
			vNature[11] = &emojis[419];
			vNature[12] = &emojis[404];
			vNature[13] = &emojis[381];
			vNature[14] = &emojis[411];
			vNature[15] = &emojis[376];
			vNature[16] = &emojis[410];
			vNature[17] = &emojis[375];
			vNature[18] = &emojis[382];
			vNature[19] = &emojis[418];
			vNature[20] = &emojis[397];
			vNature[21] = &emojis[396];
			vNature[22] = &emojis[394];
			vNature[23] = &emojis[395];
			vNature[24] = &emojis[393];
			vNature[25] = &emojis[378];
			vNature[26] = &emojis[371];
			vNature[27] = &emojis[392];
			vNature[28] = &emojis[385];
			vNature[29] = &emojis[387];
			vNature[30] = &emojis[386];
			vNature[31] = &emojis[388];
			vNature[32] = &emojis[370];
			vNature[33] = &emojis[383];
			vNature[34] = &emojis[384];
			vNature[35] = &emojis[390];
			vNature[36] = &emojis[389];
			vNature[37] = &emojis[402];
			vNature[38] = &emojis[409];
			vNature[39] = &emojis[369];
			vNature[40] = &emojis[362];
			vNature[41] = &emojis[373];
			vNature[42] = &emojis[358];
			vNature[43] = &emojis[361];
			vNature[44] = &emojis[363];
			vNature[45] = &emojis[365];
			vNature[46] = &emojis[367];
			vNature[47] = &emojis[372];
			vNature[48] = &emojis[374];
			vNature[49] = &emojis[377];
			vNature[50] = &emojis[379];
			vNature[51] = &emojis[380];
			vNature[52] = &emojis[359];
			vNature[53] = &emojis[360];
			vNature[54] = &emojis[408];
			vNature[55] = &emojis[391];
			vNature[56] = &emojis[368];
			vNature[57] = &emojis[401];
			vNature[58] = &emojis[400];
			vNature[59] = &emojis[364];
			vNature[60] = &emojis[366];
			vNature[61] = &emojis[399];
			vNature[62] = &emojis[420];
			vNature[63] = &emojis[500];
			vNature[64] = &emojis[210];
			vNature[65] = &emojis[209];
			vNature[66] = &emojis[218];
			vNature[67] = &emojis[211];
			vNature[68] = &emojis[213];
			vNature[69] = &emojis[212];
			vNature[70] = &emojis[219];
			vNature[71] = &emojis[221];
			vNature[72] = &emojis[220];
			vNature[73] = &emojis[217];
			vNature[74] = &emojis[216];
			vNature[75] = &emojis[222];
			vNature[76] = &emojis[208];
			vNature[77] = &emojis[207];
			vNature[78] = &emojis[205];
			vNature[79] = &emojis[206];
			vNature[80] = &emojis[203];
			vNature[81] = &emojis[204];
			vNature[82] = &emojis[214];
			vNature[83] = &emojis[186];
			vNature[84] = &emojis[200];
			vNature[85] = &emojis[199];
			vNature[86] = &emojis[196];
			vNature[87] = &emojis[187];
			vNature[88] = &emojis[188];
			vNature[89] = &emojis[189];
			vNature[90] = &emojis[190];
			vNature[91] = &emojis[191];
			vNature[92] = &emojis[192];
			vNature[93] = &emojis[193];
			vNature[94] = &emojis[194];
			vNature[95] = &emojis[198];
			vNature[96] = &emojis[197];
			vNature[97] = &emojis[195];
			vNature[98] = &emojis[183];
			vNature[99] = &emojis[184];
			vNature[100] = &emojis[185];
			vNature[101] = &emojis[181];
			vNature[102] = &emojis[182];
			vNature[103] = &emojis[183];
			vNature[104] = &emojis[111];
			vNature[105] = &emojis[31];
			vNature[106] = &emojis[66];
			vNature[107] = &emojis[32];
			vNature[108] = &emojis[60];
			vNature[109] = &emojis[35];
			vNature[110] = &emojis[89];
			vNature[111] = &emojis[65];
			vNature[112] = &emojis[170];
			vNature[113] = &emojis[171];
			vNature[114] = &emojis[178];
			vNature[115] = &emojis[180];
		}
		return vNature;
	} break;

	case dbietObjects: {
		static QVector<EmojiPtr> vObjects;
		if (vObjects.isEmpty()) {
			vObjects.resize(229);
			vObjects[0] = &emojis[292];
			vObjects[1] = &emojis[513];
			vObjects[2] = &emojis[293];
			vObjects[3] = &emojis[297];
			vObjects[4] = &emojis[298];
			vObjects[5] = &emojis[294];
			vObjects[6] = &emojis[285];
			vObjects[7] = &emojis[286];
			vObjects[8] = &emojis[295];
			vObjects[9] = &emojis[296];
			vObjects[10] = &emojis[282];
			vObjects[11] = &emojis[479];
			vObjects[12] = &emojis[284];
			vObjects[13] = &emojis[283];
			vObjects[14] = &emojis[280];
			vObjects[15] = &emojis[290];
			vObjects[16] = &emojis[288];
			vObjects[17] = &emojis[289];
			vObjects[18] = &emojis[287];
			vObjects[19] = &emojis[291];
			vObjects[20] = &emojis[654];
			vObjects[21] = &emojis[304];
			vObjects[22] = &emojis[603];
			vObjects[23] = &emojis[604];
			vObjects[24] = &emojis[607];
			vObjects[25] = &emojis[547];
			vObjects[26] = &emojis[548];
			vObjects[27] = &emojis[545];
			vObjects[28] = &emojis[546];
			vObjects[29] = &emojis[543];
			vObjects[30] = &emojis[597];
			vObjects[31] = &emojis[33];
			vObjects[32] = &emojis[578];
			vObjects[33] = &emojis[579];
			vObjects[34] = &emojis[580];
			vObjects[35] = &emojis[581];
			vObjects[36] = &emojis[605];
			vObjects[37] = &emojis[606];
			vObjects[38] = &emojis[618];
			vObjects[39] = &emojis[617];
			vObjects[40] = &emojis[617];
			vObjects[41] = &emojis[615];
			vObjects[42] = &emojis[628];
			vObjects[43] = &emojis[628];
			vObjects[44] = &emojis[582];
			vObjects[45] = &emojis[583];
			vObjects[46] = &emojis[21];
			vObjects[47] = &emojis[15];
			vObjects[48] = &emojis[20];
			vObjects[49] = &emojis[14];
			vObjects[50] = &emojis[627];
			vObjects[51] = &emojis[626];
			vObjects[52] = &emojis[623];
			vObjects[53] = &emojis[624];
			vObjects[54] = &emojis[625];
			vObjects[55] = &emojis[622];
			vObjects[56] = &emojis[517];
			vObjects[57] = &emojis[646];
			vObjects[58] = &emojis[614];
			vObjects[59] = &emojis[613];
			vObjects[60] = &emojis[620];
			vObjects[61] = &emojis[619];
			vObjects[62] = &emojis[621];
			vObjects[63] = &emojis[839];
			vObjects[64] = &emojis[838];
			vObjects[65] = &emojis[836];
			vObjects[66] = &emojis[647];
			vObjects[67] = &emojis[649];
			vObjects[68] = &emojis[648];
			vObjects[69] = &emojis[817];
			vObjects[70] = &emojis[819];
			vObjects[71] = &emojis[519];
			vObjects[72] = &emojis[651];
			vObjects[73] = &emojis[650];
			vObjects[74] = &emojis[494];
			vObjects[75] = &emojis[493];
			vObjects[76] = &emojis[532];
			vObjects[77] = &emojis[536];
			vObjects[78] = &emojis[537];
			vObjects[79] = &emojis[539];
			vObjects[80] = &emojis[538];
			vObjects[81] = &emojis[535];
			vObjects[82] = &emojis[540];
			vObjects[83] = &emojis[598];
			vObjects[84] = &emojis[587];
			vObjects[85] = &emojis[585];
			vObjects[86] = &emojis[584];
			vObjects[87] = &emojis[78];
			vObjects[88] = &emojis[589];
			vObjects[89] = &emojis[588];
			vObjects[90] = &emojis[595];
			vObjects[91] = &emojis[591];
			vObjects[92] = &emojis[590];
			vObjects[93] = &emojis[592];
			vObjects[94] = &emojis[593];
			vObjects[95] = &emojis[594];
			vObjects[96] = &emojis[586];
			vObjects[97] = &emojis[577];
			vObjects[98] = &emojis[552];
			vObjects[99] = &emojis[551];
			vObjects[100] = &emojis[565];
			vObjects[101] = &emojis[558];
			vObjects[102] = &emojis[556];
			vObjects[103] = &emojis[557];
			vObjects[104] = &emojis[576];
			vObjects[105] = &emojis[559];
			vObjects[106] = &emojis[553];
			vObjects[107] = &emojis[554];
			vObjects[108] = &emojis[555];
			vObjects[109] = &emojis[549];
			vObjects[110] = &emojis[550];
			vObjects[111] = &emojis[75];
			vObjects[112] = &emojis[560];
			vObjects[113] = &emojis[562];
			vObjects[114] = &emojis[83];
			vObjects[115] = &emojis[82];
			vObjects[116] = &emojis[563];
			vObjects[117] = &emojis[564];
			vObjects[118] = &emojis[569];
			vObjects[119] = &emojis[571];
			vObjects[120] = &emojis[572];
			vObjects[121] = &emojis[573];
			vObjects[122] = &emojis[567];
			vObjects[123] = &emojis[568];
			vObjects[124] = &emojis[566];
			vObjects[125] = &emojis[574];
			vObjects[126] = &emojis[570];
			vObjects[127] = &emojis[630];
			vObjects[128] = &emojis[575];
			vObjects[129] = &emojis[652];
			vObjects[130] = &emojis[653];
			vObjects[131] = &emojis[596];
			vObjects[132] = &emojis[307];
			vObjects[133] = &emojis[311];
			vObjects[134] = &emojis[303];
			vObjects[135] = &emojis[306];
			vObjects[136] = &emojis[327];
			vObjects[137] = &emojis[320];
			vObjects[138] = &emojis[321];
			vObjects[139] = &emojis[324];
			vObjects[140] = &emojis[326];
			vObjects[141] = &emojis[325];
			vObjects[142] = &emojis[322];
			vObjects[143] = &emojis[323];
			vObjects[144] = &emojis[482];
			vObjects[145] = &emojis[313];
			vObjects[146] = &emojis[129];
			vObjects[147] = &emojis[319];
			vObjects[148] = &emojis[128];
			vObjects[149] = &emojis[317];
			vObjects[150] = &emojis[314];
			vObjects[151] = &emojis[338];
			vObjects[152] = &emojis[331];
			vObjects[153] = &emojis[63];
			vObjects[154] = &emojis[64];
			vObjects[155] = &emojis[329];
			vObjects[156] = &emojis[316];
			vObjects[157] = &emojis[339];
			vObjects[158] = &emojis[318];
			vObjects[159] = &emojis[71];
			vObjects[160] = &emojis[828];
			vObjects[161] = &emojis[827];
			vObjects[162] = &emojis[332];
			vObjects[163] = &emojis[337];
			vObjects[164] = &emojis[336];
			vObjects[165] = &emojis[330];
			vObjects[166] = &emojis[333];
			vObjects[167] = &emojis[340];
			vObjects[168] = &emojis[335];
			vObjects[169] = &emojis[302];
			vObjects[170] = &emojis[36];
			vObjects[171] = &emojis[271];
			vObjects[172] = &emojis[272];
			vObjects[173] = &emojis[278];
			vObjects[174] = &emojis[276];
			vObjects[175] = &emojis[277];
			vObjects[176] = &emojis[274];
			vObjects[177] = &emojis[275];
			vObjects[178] = &emojis[273];
			vObjects[179] = &emojis[270];
			vObjects[180] = &emojis[239];
			vObjects[181] = &emojis[238];
			vObjects[182] = &emojis[249];
			vObjects[183] = &emojis[241];
			vObjects[184] = &emojis[240];
			vObjects[185] = &emojis[247];
			vObjects[186] = &emojis[245];
			vObjects[187] = &emojis[254];
			vObjects[188] = &emojis[267];
			vObjects[189] = &emojis[253];
			vObjects[190] = &emojis[255];
			vObjects[191] = &emojis[243];
			vObjects[192] = &emojis[242];
			vObjects[193] = &emojis[244];
			vObjects[194] = &emojis[246];
			vObjects[195] = &emojis[268];
			vObjects[196] = &emojis[252];
			vObjects[197] = &emojis[251];
			vObjects[198] = &emojis[269];
			vObjects[199] = &emojis[248];
			vObjects[200] = &emojis[259];
			vObjects[201] = &emojis[264];
			vObjects[202] = &emojis[256];
			vObjects[203] = &emojis[258];
			vObjects[204] = &emojis[257];
			vObjects[205] = &emojis[281];
			vObjects[206] = &emojis[266];
			vObjects[207] = &emojis[260];
			vObjects[208] = &emojis[261];
			vObjects[209] = &emojis[262];
			vObjects[210] = &emojis[263];
			vObjects[211] = &emojis[265];
			vObjects[212] = &emojis[232];
			vObjects[213] = &emojis[233];
			vObjects[214] = &emojis[228];
			vObjects[215] = &emojis[229];
			vObjects[216] = &emojis[236];
			vObjects[217] = &emojis[225];
			vObjects[218] = &emojis[227];
			vObjects[219] = &emojis[237];
			vObjects[220] = &emojis[235];
			vObjects[221] = &emojis[226];
			vObjects[222] = &emojis[230];
			vObjects[223] = &emojis[234];
			vObjects[224] = &emojis[231];
			vObjects[225] = &emojis[250];
			vObjects[226] = &emojis[224];
			vObjects[227] = &emojis[223];
			vObjects[228] = &emojis[215];
		}
		return vObjects;
	} break;

	case dbietPlaces: {
		static QVector<EmojiPtr> vPlaces;
		if (vPlaces.isEmpty()) {
			vPlaces.resize(101);
			vPlaces[0] = &emojis[341];
			vPlaces[1] = &emojis[342];
			vPlaces[2] = &emojis[352];
			vPlaces[3] = &emojis[343];
			vPlaces[4] = &emojis[344];
			vPlaces[5] = &emojis[346];
			vPlaces[6] = &emojis[347];
			vPlaces[7] = &emojis[351];
			vPlaces[8] = &emojis[350];
			vPlaces[9] = &emojis[349];
			vPlaces[10] = &emojis[502];
			vPlaces[11] = &emojis[69];
			vPlaces[12] = &emojis[353];
			vPlaces[13] = &emojis[345];
			vPlaces[14] = &emojis[177];
			vPlaces[15] = &emojis[176];
			vPlaces[16] = &emojis[356];
			vPlaces[17] = &emojis[357];
			vPlaces[18] = &emojis[73];
			vPlaces[19] = &emojis[354];
			vPlaces[20] = &emojis[695];
			vPlaces[21] = &emojis[697];
			vPlaces[22] = &emojis[694];
			vPlaces[23] = &emojis[174];
			vPlaces[24] = &emojis[175];
			vPlaces[25] = &emojis[173];
			vPlaces[26] = &emojis[696];
			vPlaces[27] = &emojis[179];
			vPlaces[28] = &emojis[299];
			vPlaces[29] = &emojis[300];
			vPlaces[30] = &emojis[70];
			vPlaces[31] = &emojis[301];
			vPlaces[32] = &emojis[809];
			vPlaces[33] = &emojis[72];
			vPlaces[34] = &emojis[811];
			vPlaces[35] = &emojis[810];
			vPlaces[36] = &emojis[58];
			vPlaces[37] = &emojis[775];
			vPlaces[38] = &emojis[77];
			vPlaces[39] = &emojis[542];
			vPlaces[40] = &emojis[776];
			vPlaces[41] = &emojis[777];
			vPlaces[42] = &emojis[785];
			vPlaces[43] = &emojis[784];
			vPlaces[44] = &emojis[805];
			vPlaces[45] = &emojis[781];
			vPlaces[46] = &emojis[779];
			vPlaces[47] = &emojis[780];
			vPlaces[48] = &emojis[783];
			vPlaces[49] = &emojis[782];
			vPlaces[50] = &emojis[804];
			vPlaces[51] = &emojis[804];
			vPlaces[52] = &emojis[778];
			vPlaces[53] = &emojis[789];
			vPlaces[54] = &emojis[787];
			vPlaces[55] = &emojis[788];
			vPlaces[56] = &emojis[800];
			vPlaces[57] = &emojis[799];
			vPlaces[58] = &emojis[798];
			vPlaces[59] = &emojis[796];
			vPlaces[60] = &emojis[797];
			vPlaces[61] = &emojis[802];
			vPlaces[62] = &emojis[801];
			vPlaces[63] = &emojis[815];
			vPlaces[64] = &emojis[794];
			vPlaces[65] = &emojis[795];
			vPlaces[66] = &emojis[793];
			vPlaces[67] = &emojis[792];
			vPlaces[68] = &emojis[791];
			vPlaces[69] = &emojis[825];
			vPlaces[70] = &emojis[808];
			vPlaces[71] = &emojis[806];
			vPlaces[72] = &emojis[807];
			vPlaces[73] = &emojis[803];
			vPlaces[74] = &emojis[492];
			vPlaces[75] = &emojis[790];
			vPlaces[76] = &emojis[310];
			vPlaces[77] = &emojis[813];
			vPlaces[78] = &emojis[812];
			vPlaces[79] = &emojis[59];
			vPlaces[80] = &emojis[814];
			vPlaces[81] = &emojis[656];
			vPlaces[82] = &emojis[74];
			vPlaces[83] = &emojis[355];
			vPlaces[84] = &emojis[315];
			vPlaces[85] = &emojis[55];
			vPlaces[86] = &emojis[698];
			vPlaces[87] = &emojis[309];
			vPlaces[88] = &emojis[312];
			vPlaces[89] = &emojis[561];
			vPlaces[90] = &emojis[816];
			vPlaces[91] = &emojis[151];
			vPlaces[92] = &emojis[152];
			vPlaces[93] = &emojis[146];
			vPlaces[94] = &emojis[145];
			vPlaces[95] = &emojis[154];
			vPlaces[96] = &emojis[148];
			vPlaces[97] = &emojis[147];
			vPlaces[98] = &emojis[150];
			vPlaces[99] = &emojis[153];
			vPlaces[100] = &emojis[149];
		}
		return vPlaces;
	} break;

	case dbietSymbols: {
		static QVector<EmojiPtr> vSymbols;
		if (vSymbols.isEmpty()) {
			vSymbols.resize(204);
			vSymbols[0] = &emojis[119];
			vSymbols[1] = &emojis[120];
			vSymbols[2] = &emojis[121];
			vSymbols[3] = &emojis[122];
			vSymbols[4] = &emojis[123];
			vSymbols[5] = &emojis[124];
			vSymbols[6] = &emojis[125];
			vSymbols[7] = &emojis[126];
			vSymbols[8] = &emojis[127];
			vSymbols[9] = &emojis[118];
			vSymbols[10] = &emojis[639];
			vSymbols[11] = &emojis[642];
			vSymbols[12] = &emojis[117];
			vSymbols[13] = &emojis[643];
			vSymbols[14] = &emojis[107];
			vSymbols[15] = &emojis[108];
			vSymbols[16] = &emojis[106];
			vSymbols[17] = &emojis[101];
			vSymbols[18] = &emojis[640];
			vSymbols[19] = &emojis[641];
			vSymbols[20] = &emojis[644];
			vSymbols[21] = &emojis[9];
			vSymbols[22] = &emojis[8];
			vSymbols[23] = &emojis[10];
			vSymbols[24] = &emojis[11];
			vSymbols[25] = &emojis[6];
			vSymbols[26] = &emojis[7];
			vSymbols[27] = &emojis[612];
			vSymbols[28] = &emojis[26];
			vSymbols[29] = &emojis[25];
			vSymbols[30] = &emojis[668];
			vSymbols[31] = &emojis[669];
			vSymbols[32] = &emojis[12];
			vSymbols[33] = &emojis[13];
			vSymbols[34] = &emojis[5];
			vSymbols[35] = &emojis[17];
			vSymbols[36] = &emojis[16];
			vSymbols[37] = &emojis[18];
			vSymbols[38] = &emojis[19];
			vSymbols[39] = &emojis[105];
			vSymbols[40] = &emojis[104];
			vSymbols[41] = &emojis[141];
			vSymbols[42] = &emojis[608];
			vSymbols[43] = &emojis[609];
			vSymbols[44] = &emojis[610];
			vSymbols[45] = &emojis[139];
			vSymbols[46] = &emojis[143];
			vSymbols[47] = &emojis[136];
			vSymbols[48] = &emojis[137];
			vSymbols[49] = &emojis[140];
			vSymbols[50] = &emojis[602];
			vSymbols[51] = &emojis[305];
			vSymbols[52] = &emojis[155];
			vSymbols[53] = &emojis[158];
			vSymbols[54] = &emojis[160];
			vSymbols[55] = &emojis[162];
			vSymbols[56] = &emojis[159];
			vSymbols[57] = &emojis[161];
			vSymbols[58] = &emojis[159];
			vSymbols[59] = &emojis[168];
			vSymbols[60] = &emojis[166];
			vSymbols[61] = &emojis[167];
			vSymbols[62] = &emojis[163];
			vSymbols[63] = &emojis[157];
			vSymbols[64] = &emojis[834];
			vSymbols[65] = &emojis[832];
			vSymbols[66] = &emojis[833];
			vSymbols[67] = &emojis[835];
			vSymbols[68] = &emojis[837];
			vSymbols[69] = &emojis[823];
			vSymbols[70] = &emojis[821];
			vSymbols[71] = &emojis[133];
			vSymbols[72] = &emojis[57];
			vSymbols[73] = &emojis[820];
			vSymbols[74] = &emojis[164];
			vSymbols[75] = &emojis[165];
			vSymbols[76] = &emojis[156];
			vSymbols[77] = &emojis[22];
			vSymbols[78] = &emojis[169];
			vSymbols[79] = &emojis[116];
			vSymbols[80] = &emojis[115];
			vSymbols[81] = &emojis[135];
			vSymbols[82] = &emojis[142];
			vSymbols[83] = &emojis[138];
			vSymbols[84] = &emojis[818];
			vSymbols[85] = &emojis[638];
			vSymbols[86] = &emojis[601];
			vSymbols[87] = &emojis[822];
			vSymbols[88] = &emojis[824];
			vSymbols[89] = &emojis[826];
			vSymbols[90] = &emojis[830];
			vSymbols[91] = &emojis[831];
			vSymbols[92] = &emojis[68];
			vSymbols[93] = &emojis[87];
			vSymbols[94] = &emojis[90];
			vSymbols[95] = &emojis[92];
			vSymbols[96] = &emojis[76];
			vSymbols[97] = &emojis[88];
			vSymbols[98] = &emojis[515];
			vSymbols[99] = &emojis[144];
			vSymbols[100] = &emojis[599];
			vSymbols[101] = &emojis[600];
			vSymbols[102] = &emojis[130];
			vSymbols[103] = &emojis[131];
			vSymbols[104] = &emojis[134];
			vSymbols[105] = &emojis[132];
			vSymbols[106] = &emojis[516];
			vSymbols[107] = &emojis[103];
			vSymbols[108] = &emojis[56];
			vSymbols[109] = &emojis[39];
			vSymbols[110] = &emojis[40];
			vSymbols[111] = &emojis[41];
			vSymbols[112] = &emojis[42];
			vSymbols[113] = &emojis[43];
			vSymbols[114] = &emojis[44];
			vSymbols[115] = &emojis[45];
			vSymbols[116] = &emojis[46];
			vSymbols[117] = &emojis[47];
			vSymbols[118] = &emojis[48];
			vSymbols[119] = &emojis[49];
			vSymbols[120] = &emojis[50];
			vSymbols[121] = &emojis[67];
			vSymbols[122] = &emojis[655];
			vSymbols[123] = &emojis[348];
			vSymbols[124] = &emojis[541];
			vSymbols[125] = &emojis[534];
			vSymbols[126] = &emojis[533];
			vSymbols[127] = &emojis[0];
			vSymbols[128] = &emojis[1];
			vSymbols[129] = &emojis[4];
			vSymbols[130] = &emojis[114];
			vSymbols[131] = &emojis[113];
			vSymbols[132] = &emojis[637];
			vSymbols[133] = &emojis[634];
			vSymbols[134] = &emojis[633];
			vSymbols[135] = &emojis[635];
			vSymbols[136] = &emojis[636];
			vSymbols[137] = &emojis[91];
			vSymbols[138] = &emojis[112];
			vSymbols[139] = &emojis[96];
			vSymbols[140] = &emojis[93];
			vSymbols[141] = &emojis[95];
			vSymbols[142] = &emojis[94];
			vSymbols[143] = &emojis[611];
			vSymbols[144] = &emojis[681];
			vSymbols[145] = &emojis[693];
			vSymbols[146] = &emojis[670];
			vSymbols[147] = &emojis[682];
			vSymbols[148] = &emojis[671];
			vSymbols[149] = &emojis[683];
			vSymbols[150] = &emojis[672];
			vSymbols[151] = &emojis[684];
			vSymbols[152] = &emojis[673];
			vSymbols[153] = &emojis[685];
			vSymbols[154] = &emojis[674];
			vSymbols[155] = &emojis[686];
			vSymbols[156] = &emojis[675];
			vSymbols[157] = &emojis[676];
			vSymbols[158] = &emojis[677];
			vSymbols[159] = &emojis[678];
			vSymbols[160] = &emojis[679];
			vSymbols[161] = &emojis[680];
			vSymbols[162] = &emojis[687];
			vSymbols[163] = &emojis[688];
			vSymbols[164] = &emojis[689];
			vSymbols[165] = &emojis[690];
			vSymbols[166] = &emojis[691];
			vSymbols[167] = &emojis[692];
			vSymbols[168] = &emojis[85];
			vSymbols[169] = &emojis[98];
			vSymbols[170] = &emojis[99];
			vSymbols[171] = &emojis[100];
			vSymbols[172] = &emojis[51];
			vSymbols[173] = &emojis[53];
			vSymbols[174] = &emojis[52];
			vSymbols[175] = &emojis[54];
			vSymbols[176] = &emojis[530];
			vSymbols[177] = &emojis[531];
			vSymbols[178] = &emojis[84];
			vSymbols[179] = &emojis[34];
			vSymbols[180] = &emojis[632];
			vSymbols[181] = &emojis[631];
			vSymbols[182] = &emojis[102];
			vSymbols[183] = &emojis[657];
			vSymbols[184] = &emojis[658];
			vSymbols[185] = &emojis[659];
			vSymbols[186] = &emojis[28];
			vSymbols[187] = &emojis[27];
			vSymbols[188] = &emojis[30];
			vSymbols[189] = &emojis[29];
			vSymbols[190] = &emojis[23];
			vSymbols[191] = &emojis[24];
			vSymbols[192] = &emojis[666];
			vSymbols[193] = &emojis[110];
			vSymbols[194] = &emojis[109];
			vSymbols[195] = &emojis[62];
			vSymbols[196] = &emojis[61];
			vSymbols[197] = &emojis[660];
			vSymbols[198] = &emojis[661];
			vSymbols[199] = &emojis[667];
			vSymbols[200] = &emojis[662];
			vSymbols[201] = &emojis[663];
			vSymbols[202] = &emojis[664];
			vSymbols[203] = &emojis[665];
		}
		return vSymbols;
	} break;

	};

	EmojiPack result;
	result.reserve(cGetRecentEmojis().size());
	for (RecentEmojiPack::const_iterator i = cGetRecentEmojis().cbegin(), e = cGetRecentEmojis().cend(); i != e; ++i) {
		result.push_back(i->first);
	}
	return result;}

